<?php
namespace App\Http\Controllers\Login;
  
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;
use App\Models\Logs;
use App\Models\User;
use App\Models\Employee;
use App\Models\Attendance;

use Illuminate\Support\Facades\Validator;
use Exception;
use Log;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Password;
use Illuminate\Support\Facades\Mail;
use Illuminate\Mail\Mailable;
use App\Mail\sendEmail;
use Illuminate\Support\Facades\Schema;
use Storage;

use Laravel\Socialite\Facades\Socialite;

class LoginController extends Controller
{
    /**
     * Write code on Method
     *
     * @return response()
     */
     public function setEnvironmentValue($envKey, $envValue)
{
    $envFile = app()->environmentFilePath();
    $str = file_get_contents($envFile);

   $oldValue = env($envKey);

    $str = str_replace("{$envKey}={$oldValue}", "{$envKey}={$envValue}", $str);

    $fp = fopen($envFile, 'w');
    fwrite($fp, $str);
    fclose($fp);
}
     public function updateEnv(Request $request)
     {
         $alldata=$request->all();
         $type=User::where("userId",$alldata['type'])->value("employee_type");
        if($type=="TG")
        {
             /*$client_id="dc0e136b-bc9a-43cb-8968-edce74ed89e5";
        $client_secret="Ll38Q~AYJR.pdv3eNA5G6FeLD.pslU3vWuvTEdbU";
        $redirect="https://agpdpr.gcs-us.com/handleProviderCallback";
        $tenant="2a159305-8036-4b31-80c6-d9c8078cd1b4";*/
            $client_id="26df8696-7b70-4672-b0cf-bd7ec0b30390";
        $client_secret="7vm8Q~qsNic90lpR~_LC0x61nC0Oyu4QZJDS2a5S";
        $redirect="https://agpdpr.gcs-us.com/handleProviderCallback";
        $tenant="1a63eded-aece-4b7f-a3d7-39828b274d9b";
            
        /*
           $client_id= env("AZURE_CLIENT_ID");
           $client_secret= env("AZURE_CLIENT_SECRET");
           $redirect= env("AZURE_REDIRECT_URI"); 
           $tenant= env("AZURE_TENANT_ID");*/
        }
        else
        {
            $client_id="dc0e136b-bc9a-43cb-8968-edce74ed89e5";
        $client_secret="Ll38Q~AYJR.pdv3eNA5G6FeLD.pslU3vWuvTEdbU";
        $redirect="https://agpdpr.gcs-us.com/handleProviderCallback";
        $tenant="2a159305-8036-4b31-80c6-d9c8078cd1b4";
           /* $client_id="26df8696-7b70-4672-b0cf-bd7ec0b30390";
        $client_secret="7vm8Q~qsNic90lpR~_LC0x61nC0Oyu4QZJDS2a5S";
        $redirect="https://agpdpr.gcs-us.com/handleProviderCallback";
        $tenant="1a63eded-aece-4b7f-a3d7-39828b274d9b";*/
          /*  $client_id= env("AZURE_CLIENT_ID_TG");
           $client_secret= env("AZURE_CLIENT_SECRET_TG");
           $redirect= env("AZURE_REDIRECT_URI_TG"); 
           $tenant= env("AZURE_TENANT_ID_TG");*/
        }
        $this->setEnvironmentValue('AZURE_CLIENT_ID', $client_id);
        $this->setEnvironmentValue('AZURE_CLIENT_SECRET',$client_secret);
        $this->setEnvironmentValue('AZURE_TENANT_ID', $tenant);
        $this->setEnvironmentValue('AZURE_REDIRECT_URI', $redirect);
        
        echo "yes";
     }
    public function redirectToProvider()
    {
        
        sleep(3);
          
        return Socialite::with('azure')->redirect();

    }
    
    
    public function handleProviderCallback()
    {
        $azureUser = Socialite::with('azure')->stateless()->user();
       // print_r($azureUser);exit;
         $user = User::where('email', $azureUser->email)->first();
        if($user){
            auth()->login($user, true);
                $userData=auth()->user();
                $userdt['userId']=$userData['userId'];
                $userdt['userName']=$userData['userName'];
                $userdt['email']=$userData['email'];
                $userdt['phone']=$userData['phone'];
                $userdt['role']=$userData['role'];
                $userdt['ga']=$userData['ga'];
                $userdt['menuList']=array("Dashboard");
                $idd=auth()->user()->id;
            if($idd!=""){
               return redirect()->route('dashboard');
            }
        }
    }
    public function index()
    {
        $user=auth()->user();
        if(Auth::check()){
            return redirect()->intended('dashboard')->with(["status" => 200,"code" => 1,  "msg" => "Logged in Successfully!"]); 
            //return redirect()->back()->withSuccess('Opps! You do not have access');
        }
        else
        {
             return view('auth.login');
        }
    } 
    public function postLogin(Request $request)
    {
        $alldata=$request->all();
        if(isset($alldata['device']))
        {
            $device=$alldata['device'];
        }
        else
        {
            $device="";
        }
        unset($alldata['device']);
        $rtype="login";
        if($device!="web")
        {
            $validator=Validator::make($alldata,
            [
                "userId"=> "required",
                "password"=> "required",
            ]
        );
        }
        else
        {
            $validator=Validator::make($alldata,
            [
                "userId"=> "required",
                "password"=> "required"
            ]
        );
        }
        
        if($validator->fails()) 
        {
            if($device=="web")
            {
               return back()->with(["status" => 200,"code" => 0,   "msg" => $validator->errors()->first(), "errors" => $validator->errors()]);
            }
            else
            {
                
                return response(["status" => 200,"code" => 0,   "msg" => $validator->errors()->first(), "errors" => $validator->errors()]);
            }
        }
            if($device=="web")
            {
        $userid = User::where('userId','=',$request->userId)->where("role","!=","Surveyor")->pluck("id")->first();
            }
            else
            {
                $userid = User::where('userId','=',$request->userId)->pluck("id")->first();
            }
       // if userid exists then we will check password for the same user
        if(!is_null($userid)) {
            if($device=="web")
            {
                $password=hashIt($request->password);
            }
            else
            {
                $password=$request->password;
            }
            $password_status    =   User::where('id', $userid)->where("password", $password)->first();
            
            // if password is correct
            if(!is_null($password_status)) {
                /*if($password_status['o_auth']=='Yes')
                {
                    return back()->with(["status" => 200,"code" => 0,   "msg" => "Please login with O365 Login!"]);
                }
                else
                {*/
                     $status=$password_status['status'];
                      if($status<=1)
                      {
                          
                         auth()->login($password_status, true);
                           
                        $userData=auth()->user();
                        $userdt['userId']=$userData['userId'];
                        $userdt['userName']=$userData['userName'];
                        $userdt['email']=$userData['email'];
                        $userdt['phone']=$userData['phone'];
                        $userdt['role']=$userData['role'];
                        $userdt['ga']=$userData['ga'];
                        $userdt['menuList']=array("Dashboard");
                        $idd=auth()->user()->id;
                        if($device=="web")
                        {
                            if($userdt['role']=="Admin" || $userdt['role']=="Super Admin")
                            return redirect()->intended('dashboard')->with(["status" => 200,"code" => 1,  "msg" => "Logged in Successfully!", "data" => $userData]); 
                            else
                            return redirect()->intended('dashboard')->with(["status" => 200,"code" => 1,  "msg" => "Logged in Successfully!", "data" => $userData]); 
        
                        }
                        else
                        {
                            return response()->json(["status" => 200,"code" => 1,  "msg" =>"Logged in Successfully!", "data" => $userdt]); 
                        }
                        
                      }
                      else
                      {
                         if($device=="web")
                        {
                            return back()->with(["status" => 200,"code" => 0,   "msg" => "User not found!"]);
                        }
                        else
                        {
                            
                            return response()->json(["status" => 200,"code" => 0,   "msg" => "User not found!"]);
                        }
                      }
               // }
             
            }

            else {
                if($device=="web")
                {
                    return back()->with(["status" => 200,"code" => 0,   "msg" => "Incorrect Password!"]);
                }
                else
                {
                    return response()->json(["status" => 200,"code" => 0,   "msg" => "Incorrect Password!"]);
                }
            }
        }

        else {
            if($device=="web")
            {
                return back()->with(["status" => 200,"code" => 0,   "msg" => "User Not Found!"]);
            }
            else
            {
                
                return response()->json(["status" => 200,"code" => 0,   "msg" => "User Not Found!"]);
            }
            
        }
    }
    /*forgot password*/
    public function postForgot(Request $request)
    {
        $alldata=$request->all();
        if(isset($request->device))
        {
            $device=$request->device;
        }
        else
        {
            $device="";
        }
        $userid = User::where('userId','=',$request->userId)->pluck("id")->first();
        if($userid)
        {
		    $email = User::where('id','=',$userid)->pluck("email")->first();
		    if($email)
            {
                if(isset($request->device) && $request->device=="web")
                {
    		        $encoded_employeeid = urlencode(base64_encode($request->userId));
    		        $actual_link = "https://pragati.gcs-us.com/forgot-activation/".$encoded_employeeid;
    		        $senmail = mail($email,"Forgot Password",$actual_link);	
    		        if($senmail)
    		        {
    		            $activation_send_mail_time = date('Y-m-d H:i:s');
    		            User::where("id",'=',$userid)->update(['activation_mail_time' =>$activation_send_mail_time]);	
    		        }
                }
                else
                {
    		        $otp = rand(1000,9999);
                    Log::info("otp = ".$otp);
                    $msg="Your OTP is ".$otp;
    		        $senmail = mail($email,"Forgot Password OTP",$msg);	
    		        if($senmail)
    		        {
    		            $activation_send_mail_time = date('Y-m-d H:i:s');
    		            User::where("id",'=',$userid)->update(['activation_mail_time' =>$activation_send_mail_time,"otp"=>$otp]);	
    		        }
                }                    

		        if(isset($request->device) && $request->device=="web")
                {
                    return back()->with(["status" => 200, "msg" => "forgot password link sent successfully.", "code" => config("constants.CODE_SUCCESS")]);
                }
                else
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/forgotPassword?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => $otp." OTP sent successfully!",
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
                    return response(["status" => 200, "msg" => "OTP sent successfully.", "code" => config("constants.CODE_SUCCESS")]);
                }
                
		    }
		}
		else
		{
		    if(isset($request->device) )
                {
                    return back()->with(["status" => 200, "msg" => "forgot password link send failed.", "code" => config("constants.CODE_SUCCESS")]);
                }
                else
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/forgotPassword?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => " OTP sending failed!",
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
                    return response(["status" => 200, "msg" => "OTP sending failed.", "code" => config("constants.CODE_SUCCESS")]);
                }
			
		}  
    }
    public function forgotPassword(Request $request)
    {
		if (Auth::check()) 
		{
			 return redirect("dashboard")->withSuccess('Great! You have Successfully loggedin');
		}
		$employeeId = base64_decode(urldecode($request->userId));
		return view('auth.forgotpassword',['employeeid'=>$employeeId]);
	}
    public function postForgotPassword(Request $request)
    {
        $alldata=$request->all();
        $id=$alldata['userId'];
        if(isset($alldata['device']))
        {
            $device=$alldata['device'];
        }
        else
        {
            $device="";
            $alldata['password_confirmation']=$alldata['confirmPassword'];
        }
        if($device=="web")
        {
            $validator=  Validator::make($alldata, [
            'password' => [
            'required',
            'string',
            'min:6',             // must be at least 10 characters in length
            'regex:/[a-z]/',      // must contain at least one lowercase letter
            'regex:/[A-Z]/',      // must contain at least one uppercase letter
            'regex:/[0-9]/',      // must contain at least one digit
            'regex:/[@$!%*#?&]/', // must contain a special character
             'confirmed',
        ],
        ], ['password.min' => 'The password field must be atleast 6 characters in length and contain at least one lowercase letter,one uppercase letter,one digit and a special character!']
        , ['password.regex' => 'The password field must be atleast 6 characters in length and contain at least one lowercase letter,one uppercase letter,one digit and a special character!']);
        }
        else
        {
            $validator=  Validator::make($alldata, [
            'password' => [
            'required',
            'string',
             'confirmed',
        ],
        ]);
        }

        if($validator->fails()) 
        {
            if($device=="web")
            {
                return back()->with(["status" => "failed", "code"=>config("constants.CODE_FAILURE"),"msg" => $validator->errors()->first(), "errors" => $validator->errors()]);
            }
            else
            {
                $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/resetPassword",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => $validator->errors()->first(),
                        'method_name' => "POST",
        
                    );
                $log = manageLogs($logs);
                return response()->json(["status" => "failed", "code"=>config("constants.CODE_FAILURE"),"msg" => $validator->errors()->first()]);
            }
        }
		else
		{
		    $user  = User::where("userId",'=',$id)->first();
            if($user){
            if($request->password)
            {
                $password=$request->password;
            }
            else
            {
                if($device=="web")
                {
                    return back()->with(["status" => config("constants.OK"),"code" => config("constants.CODE_SUCCESS"),  'msg' => 'Please enter a valid Password.']);
                }
                else
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/resetPassword",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Please enter a valid Password.",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
                    return response()->json(["status" => config("constants.OK"),"code" => config("constants.CODE_SUCCESS"),  'msg' => 'Please enter a valid Password.']);
                }
            }
            //$msg="Your new password is '".$password."'. You can change it after login";
            //mail($request->value,"Forgot Password",$msg);
            if($device=="web")
            {
                $password1=hashIt($password);;
            }
            else
            {
                $password1=$password;
            }
            User::where("userId",'=',$id)->update(['password' =>$password1,'status'=>1]);
            if($device=="web")
            {
                return redirect()->intended('/')
                        ->with(["status" => 200, "msg" => "Password set successfully. Please login here","code" => config("constants.CODE_SUCCESS")]);
            }
            else
            {
                $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/resetPassword",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Password set successfully!",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
                return response()->json(["status" => 200, "msg" => "Password set successfully.","code" => config("constants.CODE_SUCCESS")]);
            }
        }
            else{
                if($device=="web")
                {
                    return back()->with(["status" => config("constants.OK"),"code"=>config("constants.CODE_FAILURE"),  'msg' => 'Please enter a valid email id.']);
                }
                else
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => "https://pragati.gcs-us.com/api/resetPassword",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Please enter a valid email id",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
                    return response()->json(["status" => config("constants.OK"),"code"=>config("constants.CODE_FAILURE"),  'msg' => 'Please enter a valid email id.']);
                }
            }  	  
    	}   
    }
    //---------------- [Email OTP Request] ------------------------
     public function requestOtp(Request $request)
     {
         $alldata=$request->all();
         $field='userId';
         $uid="";
         if(isset($alldata['mobileNumber']))
         {
            $field="phone"; 
            $userid = $request->mobileNumber;
            $alldata['userId']=User::where($field,'=',$userid)->value("userId");
            $uid=User::where($field,'=',$userid)->where("role","Retailer")->value("userId");
         }
         else
         {
             $userid = $alldata['userId'];
         }
         $validator=Validator::make($request->all(),
        [
            "mobileNumber"=> "required|numeric",
        ]
        );
         
        if($validator->fails() || $uid=="") {
            $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/resendOTP?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Please enter the valid User Id",
                        'method_name' => "GET",
        
                    );
            $log = manageLogs($logs);
            return response(["status" =>  config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" => "Please enter the valid User Id"]);
        }
        
        if($userid)
        {
            $email = User::where($field,'=',$userid)->pluck("email")->first();
            $phone=User::where($field,'=',$userid)->value("phone");
            if($email)
            {
                $otp = rand(1000,9999);
                Log::info("otp = ".$otp);
                $msg="Your OTP is ".$otp;
                $sms=send_sms($otp,$phone);
		        $senmail = mail($email,"Forgot Password OTP",$msg);	
		        if($senmail)
		        {
		            $activation_send_mail_time = date('Y-m-d H:i:s');
		            $user=User::where($field,'=',$userid)->update(['activation_mail_time' =>$activation_send_mail_time,"otp"=>$otp]);	
		            if($user){
		                $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/resendOTP?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => $msg,
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
                        return response(["status" =>  config("constants.OK"),"code" => 1,   "msg" =>"OTP is sent to your mobile. The OTP is valid for 5 mins!"]);
                    }
                    else{
                        $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/resendOTP?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Invalid UserId!",
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
                       return response(["status" =>  config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" => "Invalid User ID"]);
                    }
		        }
            }
            else
            {
                $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/resendOTP?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Mobile number is not present for this User Id. Please contact the Admin to update mobile number!",
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
               return response(["status" =>  config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" => "Mobile number is not present for this User Id. Please contact the Admin to update mobile number!"]);
            }
        }
        else
        {
            $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/resendOTP?userId=".$alldata['userId'],
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Invalid UserId",
                        'method_name' => "GET",
        
                    );
                    $log = manageLogs($logs);
            return response(["status" =>  config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" =>"Invalid data" ]);
        }   

    }
    
    // ------------------------[OTP Verification] ----------------------------
    public function verifyOtp(Request $request){
        $alldata=$request->all();
        $aotp = $request->OTP;
        $field='userId';
         $uid="";
         if(isset($alldata['mobileNumber']))
         {
            $field="phone"; 
            $userid = $request->mobileNumber;
            $alldata['userId']=User::where($field,'=',$userid)->value("userId");
            $uid=User::where($field,'=',$userid)->where("role","Retailer")->value("userId");
         }
         else
         {
             $userid = $alldata['userId'];
         }
        if($aotp)
        {
            $user  = User::where($field,$userid)->where('otp','=',$request->OTP)->first();
            
            if($user)
            {
                $aa=User::where($field,$userid)->update(['otp' => null,'status'=>1]);
                auth()->login($user, true);
                $userData=auth()->user();
                $userdt['id']=$userData['id'];
                $userdt['userId']=$userData['userId'];
                //$userdt['plant']=Employee::where('employee_id', $userData['userId'])->value("plant");
                $userdt['plant']=plantCode($userData['userId']);
                $userdt['userName']=$userData['userName'];
                $userdt['email']=$userData['email'];
                $userdt['role']=$userData['role'];
                
                if($userdt['role']=="Retailer")
                  {
                      $userdt['menuList']=array("Retailer Place Order","Retailer Advanced Order List","Retailer Final Order List");
                  }
                if($aa)
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/verifyOTP",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Verified!",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
                    return response(["status" => config("constants.OK"),"code" => 1,   "data" =>$userdt ]);
                }
                else
                {
                    $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/verifyOTP",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Verification Failed!!",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
                    return response(["status" => config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" =>"Verification failed!" ]);
                }
            }
            else{
                $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/verifyOTP",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Invalid OTP!",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
               return response(["status" => config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" =>"Invalid OTP!" ]);
            } 
        }
        else
        {
            $logs = array(
                        'module' => "Login",
                        'user' => $alldata['userId'],
                        'access_device' => "Mobile",
                        'called_api' => "https://pragati.gcs-us.com/api/verifyOTP",
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Please enter OTP!",
                        'method_name' => "POST",
        
                    );
                    $log = manageLogs($logs);
            return response(["status" => config("constants.OK"),"code" => config("constants.CODE_FAILURE"),   "msg" =>"Please enter OTP!" ]);
        }
    }
    
    
    public function otp(Request $request)
    {
       // dd($request->userId);
        return view('auth.otp',['userId'=>$request->userId]);
       
    } 

    public function registration()
    {
        return view('auth.registration');
    }
      
     public function resetpassword()
    {
        $user=auth()->user();
        if(Auth::check()){
             return view('auth.resetpassword');
        }
        else
        {
             return redirect("/")->withSuccess('Opps! You do not have access');
        }
       
       
    }  
    
    
     public function logout(Request $request) {  
     if(Auth::user()->o_auth=='Yes')
     {
        Session::flush();
        Auth::logout();
         Auth::guard()->logout();
     $request->session()->flush();
        $azureLogoutUrl = Socialite::driver('azure')->getLogoutUrl(route('login'));
     return redirect($azureLogoutUrl);
     }
     else{
        Session::flush();
        Auth::logout();
  
        return redirect("/")->withSuccess('Done!');
        return redirect("/")->withSuccess('Done!');
     }
     
    }
}
