<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class SurveyDone extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'survey_done';
    protected $fillable = [
        'assignment_id', 'ca', 'agp_user', 'customer_name', 'customer_mobile', 'customer_email', 'rent_or_own', 'customer_address', 'connection_status', 'meter_no', 'meter_reading', 'meter_photo', 'site_photo', 'kitchen_photo', 'house_photo', 'gc_photo', 'geyser_connection', 'tube_status', 'date_visibility', 'created_at', 'survey_assignment_id'
    ];
}