<?php 

return [
    //statuscodes
    "CONTINUE"=> 100,
    "SWITCHING_PROTOCOLS"=> 101,
    "PROCESSING"=> 102,
    "EARLY_HINTS"=> 103,
    "OK"=> 200,
    "CREATED"=> 201,
    "ACCEPTED"=> 202,
    "NON_AUTHORITATIVE_INFORMATION"=> 203,
    "NO_CONTENT"=> 204,
    "RESET_CONTENT"=> 205,
    "PARTIAL_CONTENT"=> 206,
    "MULTI_STATUS"=> 207,
    "ALREADY_REPORTED"=> 208,
    "IM_USED"=> 226,
    "MULTIPLE_CHOICES"=> 300,
    "MOVED_PERMANENTLY"=> 301,
    "MOVED_TEMPORARILY"=> 302,
    "SEE_OTHER"=> 303,
    "NOT_MODIFIED"=> 304,
    "USE_PROXY"=> 305,
    "TEMPORARY_REDIRECT"=> 307,
    "PERMANENT_REDIRECT"=> 308,
    "BAD_REQUEST"=> 400,
    "UNAUTHORIZED"=> 401,
    "PAYMENT_REQUIRED"=> 402,
    "FORBIDDEN"=> 403,
    "NOT_FOUND"=> 404,
    "METHOD_NOT_ALLOWED"=> 405,
    "NOT_ACCEPTABLE"=> 406,
    "PROXY_AUTHENTICATION_REQUIRED"=> 407,
    "REQUEST_TIMEOUT"=> 408,
    "CONFLICT"=> 409,
    "GONE"=> 410,
    "LENGTH_REQUIRED"=> 411,
    "PRECONDITION_FAILED"=> 412,
    "REQUEST_TOO_LONG"=> 413,
    "REQUEST_URI_TOO_LONG"=> 414,
    "UNSUPPORTED_MEDIA_TYPE"=> 415,
    "REQUESTED_RANGE_NOT_SATISFIABLE"=> 416,
    "EXPECTATION_FAILED"=> 417,
    "IM_A_TEAPOT"=> 418,
    "INSUFFICIENT_SPACE_ON_RESOURCE"=> 419,
    "METHOD_FAILURE"=> 420,
    "MISDIRECTED_REQUEST"=> 421,
    "UNPROCESSABLE_ENTITY"=> 422,
    "LOCKED"=> 423,
    "FAILED_DEPENDENCY"=> 424,
    "PRECONDITION_REQUIRED"=> 428,
    "TOO_MANY_REQUESTS"=> 429,
    "REQUEST_HEADER_FIELDS_TOO_LARGE"=> 431,
    "UNAVAILABLE_FOR_LEGAL_REASONS"=> 451,
    "INTERNAL_SERVER_ERROR"=> 500,
    "NOT_IMPLEMENTED"=> 501,
    "BAD_GATEWAY"=> 502,
    "SERVICE_UNAVAILABLE"=> 503,
    "GATEWAY_TIMEOUT"=> 504,
    "HTTP_VERSION_NOT_SUPPORTED"=> 505,
    "INSUFFICIENT_STORAGE"=> 507,
    "NETWORK_AUTHENTICATION_REQUIRED"=> 511,


    // etc

    //messages


    "CODE_FAILURE"=> 0,
    "CODE_SUCCESS"=> 1,
    "CODE_ERROR"=> 2,
    "MSG_SUCCESS"=> "Success",
    "MSG_FAILURE"=> "Failure",
    "MSG_EMPTY"=> "No data found",
    "MSG_ERROR"=> "Error",
    "MSG_INVALID_USER_ID"=> "Invalid userId",
    "MSG_INVALID_TYPE"=> "Invalid type",
    "MSG_INVALID_KEY_VALUE"=> "Invalid key value",
    "MSG_INVALID_LOGIN_TYPE"=> "Invalid loginType",
    "MSG_FIND_OTP_ERROR"=> "Error finding OTP data for verfication",
    "MSG_NO_OTP_DATA"=> "No OTP data",
    "MSG_OTP_EXPIRED"=> "OTP expired",
    "MSG_FULLNAME_EMPTY"=> 'FullName cannot be empty',
    "MSG_FULL_NAME_MIN_RANGE"=> "FullName must be atleast 3 characters",
    "MSG_FULL_NAME_MAX_RANGE"=> "FullName must be atleast 3 characters",
    "MSG_PASSWORD_EMPTY"=> "Password cannot be empty",
    "MSG_EMAIL_EMPTY"=> 'Email cannot be empty',
    "MSG_EMAIL_INVALID"=> "Invalid email address",
    "MSG_PHONENUMBER_EMPTY"=> "PhoneNumber cannot be empty",
    "MSG_PASSWORD_KEY_MISSING"=> "Password key must be needed",
    "MSG_USER_ALREADY_EXISTS"=> "User already registered",
    "MSG_TYPE_EMPTY"=> "Type cannot be empty",
    "MSG_TYPE_KEY_EMPTY"=> "Type key must be needed",
    "MSG_REQ_TYPE_EMPTY"=> "RequestType Cannot be empty",
    "MSG_REQ_TYPE_KEY_EMPTY"=> "RequestType key must be needed",
    "MSG_REQ_TYPE_INVALID"=> "Invalid RequestType",
    "MSG_VALUE_EMPTY"=> "Value cannot be empty",
    "MSG_VALUE_KEY_EMPTY"=> "Value key cannot be empty",
    "MSG_COUNTRY_PREFIX_CODE_KEY_EMPTY"=> "CountryPrefixCode key cannot be empty",
    "MSG_COUNTRY_PREFIX_CODE_EMPTY"=> "CountryPrefixCode  cannot be empty",
    "MSG_INVALID_PHONENUMBER"=> "Invalid phoneNumber",
    "MSG_INVALID_USER"=> "Invalid User",
    "MSG_USER_NOT_FOUND"=> "User not found",
    "MSG_ERROR_OTP_SAVING"=> "Error in saving OTP verfication data for sendOTP",
    "MSG_EMAIL_OR_PHONENUMBER_MANDATORY"=> "Email or PhoneNumber is Mandatory",
    "MSG_OTP_EMPTY_OR_INVALID"=> "OTP Cannot be empty or invalid OTP",
    "MSG_TYPE_EMAIL_OR_PHONENUMBER"=> "Type must be email or phoneNumber",
    "MSG_ERROR_UPDATING_VERIFICATION_STATUS"=> "Error updating verificationStatus",
    "MSG_NO_OTP_DATA"=> "No otp data to update verfication status",
    "MSG_OTP_VERIFIED_SUCCESS"=> "OTP Verified successfully",
    "MSG_OTP_INVALID"=> "Invalid OTP",
    "MSG_OTP_NOT_FOUND"=> "No verfication data found",
    "MSG_ERROR_FINDING_USER"=> "Error in finding userdata",
    "MSG_LOGIN_SUCCESS"=> "Login successful!",
    "MSG_SIGNUP_SUCCESS"=> "Your profile has been created successfully!",
    "MSG_SIGNUP_PHONENUMBER_CONFLICT"=> " Your phone number is already associated with different account, Please try to signup with  different phone number",
    "MSG_SIGNUP_EMAIL_CONFLICT"=> " Your email is already associated with different account, Please try to signup with  different email",
    "MSG_ERROR_UPDATING_USER_DETAILS"=> "Error in updating profile",
    "MSG_ERROR_UPDATING_USER_PASSSWORD"=> "Error in updating userpassword",
    "MSG_USER_ACC_DELETED"=> "Account deleted Successfully",
    "MSG_USERID_NEED_TO_PROVIDE"=> 'Please Povide the UserID',
    "MSG_INVALID_CREDENTIALS"=> 'Invalid Credentials',
    "MSG_PASSWORD_UPDATE_SUCESS"=> 'Paswword Updated Successfully',
    "MSG_NEW_PASSWORD_CANNOT_SAME_AS_OLD"=> "New password cannot be same as previous password",
    "MSG_OTP_SENT_SUCCESSFULLY"=> "OTP Sent Successfully",
    "MSG_EMAIL_CANNOT_UPDATE"=> "Email address can't be updated",
    "MSG_PHONENUMBER_CANNOT_UPDATE"=> "You can not update your phone number",
    "MSG_PASSWORD_CANNOT_UPDATE"=> "You can not update your password",
    "MSG_INVALID_AUTH_KEY"=> "Invalid Auth key",
    "MSG_FILE_MUST_BE_PROVIDED_IN_REQ"=> 'File must be provided in request form-data file',

    //constant keys

    "EMAIL"=> "email",
    "PHONENUMBER"=> "phoneNumber",
    "REQUESTTYPE"=> ["signup", "login", "forgotPassword", "profileUpdate"],
    "TYPE"=> ["email", "phoneNumber"],
    "OTP_TYPE"=> ["numeric", 'alphanumeric'],
    "OTP_LENGTH"=> [4, 6, 8, 10],
    "UNDEFINED"=> 'undefined',
    "DEFAULTSENDERID"=> 'BBFitness',
    "DEFAULTSMSTYPE"=> 'Transactional',

   
 
];
