$(document).ready(function(){
//jQuery time
var current_fs, next_fs, previous_fs; //fieldsets
var left, opacity, scale; //fieldset properties which we will animate
var animating; //flag to prevent quick multi-click glitches
var currentTab = 0;

$('body').on('change', '.connection_status', function(e){
        var value=$(this).val();
        if(value=='Plumbing Done without meter' || value=='No Connection' || value=='TD' || value=='PD' || value=='FD') {
            $('.step-title').html('Site Photo');
            $('.meter-block, .next2, .gc-photo-block, .geyser-block').hide();
            $('.site-photo-block, .submit1, .step2').show();
        } else if(value=='House Locked') {
            $('.step-title').html('If House Locked');
            $('.meter-block, .next2, .site-photo-block').hide();
            $('.house-photo-block, .submit1').show();
        } else if(value=='Address Not Found') {
            $('.step-title').html('Click submit to finish');
            $('.house-photo-block').hide();
        } else if(value=='GC Done') {
            $('.step-title').html('GC Details');
            $('.meter-block, .next2, .site-photo-block, .house-photo-block').hide();
            $('.gc-photo-block, .submit1').show();
        } else if(value=='Customer using Gas' || value=='Customer using Gas but Bill not received') {
            $('.step-title').html('If Conversion Done');
            $('.geyser-block, .meter-block, .next2').show();
            $('.site-photo-block, .gc-photo-block').hide();
        } else {
            $('.step-title').html('Meter Details');
            $('.site-photo-block, .submit1, .house-photo-block, .gc-photo-block, .geyser-block').hide();
            $('.meter-block, .next2').show();
        }
});

$('body').on('change', '.tube_status', function(e){
        var value=$(this).val();
        if(value=='Standardized') {
           $('.visibility-block, .next2').show();
        } else {
           $('.fs-subtitle').html('Click submit to finish');
           $('.visibility-block, .tube-next').hide();
           $('.tube-submit').show();
        }
});

$(".next").click(function(){
      //  if (!validateForm()) return false;
        
	if(animating) return false;
	animating = true;
	
	current_fs = $(this).parent().parent();
	next_fs = $(this).parent().next();
	alert("pikun");
	//activate next step on progressbar using the index of next_fs
	$("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");
	
	//show the next fieldset
	next_fs.show(); 
	//hide the current fieldset with style
	current_fs.animate({opacity: 0}, {
		step: function(now, mx) {
			//as the opacity of current_fs reduces to 0 - stored in "now"
			//1. scale current_fs down to 80%
			scale = 1 - (1 - now) * 0.2;
			//2. bring next_fs from the right(50%)
			left = (now * 50)+"%";
			//3. increase opacity of next_fs to 1 as it moves in
			opacity = 1 - now;
			current_fs.css({
        'transform': 'scale('+scale+')',
        'position': 'absolute'
      });
			next_fs.css({'left': left, 'opacity': opacity});
		}, 
		duration: 800, 
		complete: function(){
			current_fs.hide();
			animating = false;
		}, 
		//this comes from the custom easing plugin
		easing: 'easeInOutBack'
	});
});

$(".previous").click(function(){
	if(animating) return false;
	animating = true;
	
	current_fs = $(this).parent();
	previous_fs = $(this).parent().prev();
	
	//de-activate current step on progressbar
	$("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
	
	//show the previous fieldset
	previous_fs.show(); 
	//hide the current fieldset with style
	current_fs.animate({opacity: 0}, {
		step: function(now, mx) {
			//as the opacity of current_fs reduces to 0 - stored in "now"
			//1. scale previous_fs from 80% to 100%
			scale = 0.8 + (1 - now) * 0.2;
			//2. take current_fs to the right(50%) - from 0%
			left = ((1-now) * 50)+"%";
			//3. increase opacity of previous_fs to 1 as it moves in
			opacity = 1 - now;
			current_fs.css({'left': left});
			previous_fs.css({'transform': 'scale('+scale+')', 'opacity': opacity});
		}, 
		duration: 800, 
		complete: function(){
			current_fs.hide();
			animating = false;
		}, 
		//this comes from the custom easing plugin
		easing: 'easeInOutBack'
	});
});
function validateForm() {
              var x, y, i, valid = true;
              x = document.getElementsByClassName("step");
              y = x[currentTab].getElementsByTagName("input");
              for (i = 0; i < y.length; i++) {
                if (y[i].value == "") {
                  y[i].className += " invalid";
                  valid = false;
                }
              }
              return valid;
}
$(".submit").click(function(){
  $('#msform').submit();
});

});
