const BASE_URL = "https://agpdpr.gcs-us.com/api/";
function lossDuringUnloading(date) {
  $.ajax({
    url: BASE_URL+"lossDuringUnloading",
    type: "POST",
    data: { date: date, device: "web", _token: "{{csrf_token()}}" },
    dataType: "json",
    success: function (result) {
      $("#loss_during_unloading").val(result);
      $("#cng_side_loss").val(0);
    },
  });
}

function totalUnAccounted(loss_during_unloading, approx_loss, cng_side_loss, line_damage, venting_purging_vol, line_pack, identified_theft, others){
  loss_during_unloading = parseFloat(loss_during_unloading) || 0; // Default to 0 if empty
  approx_loss = parseFloat(approx_loss) || 0; // Default to 0 if empty
  cng_side_loss = parseFloat(cng_side_loss) || 0; // Default to 0 if empty
  line_damage = parseFloat(line_damage) || 0; // Default to 0 if empty
  venting_purging_vol = parseFloat(venting_purging_vol) || 0; // Default to 0 if empty
  line_pack = parseFloat(line_pack) || 0; // Default to 0 if empty
  amc = parseFloat(amc) || 0; // Default to 0 if empty
  others = parseFloat(others) || 0; // Default to 0 if empty
  var total =
    loss_during_unloading +
    approx_loss +
    cng_side_loss +
    line_damage +
    venting_purging_vol +
    line_pack +
    amc +
    others;
  $("#total_unaccounted").val(total);
}
