<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>RRVPNL | Log in (v2)</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link href="{{ asset('public/theme/plugins/fontawesome-free/css/all.min.css') }}" rel="stylesheet">

  <!--<link rel="stylesheet" href="{{  URL::asset('public/public/theme/plugins/fontawesome-free/css/all.min.css')}}">-->
  <!-- icheck bootstrap -->
  <link href="{{ asset('public/theme/plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}" rel="stylesheet">

  <!--<link rel="stylesheet" href="{{  URL::asset('public/public/theme/plugins/icheck-bootstrap/icheck-bootstrap.min.css')}}">-->
  <!-- public/Theme style -->
  <link href="{{ asset('public/theme/dist/css/adminlte.min.css') }}" rel="stylesheet">
<!--   <link rel="stylesheet" href="{{  URL::asset('public/public/theme/dist/css/adminlte.min.css') }}">

 -->
 <style>
 input::-ms-reveal,
input::-ms-clear {
  display: none;
}
 </style>
 </head>
<body class="hold-transition login-page">
<div class="login-box">
     <div class="alert alert-success" id="msgg" style="display:none;">
            OTP is sent to your registered mobile number. The OTP is valid for 5 mins!
                    </div>
     @if(Session::has('msg') && Session::has('success'))
             @if(Session::get('success')==true)
        <div class="alert alert-success">
            {{ Session::get('msg') }}
            @php
                Session::forget('msg');
            @endphp
        </div>
         @else
        <div class="alert alert-danger">
            {{ Session::get('msg') }}
            @php
                Session::forget('msg');
            @endphp
        </div>
         @endif
        @endif
  <!-- /.login-logo -->
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <a href="#" class="h1"><b>RRVPNL</b></a>
    </div>
    <div class="card-body">

<!--       Fill OTP
 -->
 <h5 class="login-box-msg icheck-primary">Login with OTP</h5>
 <form action="{{ route('verifyOTP.post') }}" id="otpform" method="POST">
          {{csrf_field()}}
        
        <div class="input-group mb-3">
        <input type="password" name="OTP" id="email" class="form-control" placeholder="OTP">
        <input type="hidden" name="requestType" value="login">
        <input type="hidden" id="userid" name="userId" value="{{$userId}}">
          <div class="input-group-append">
            <div class="input-group-text">
              <a href="#"><i class="fa fa-eye-slash toggle-password" aria-hidden="true"></i></a>
            </div>
          </div>
        </div>
          <!-- /.col -->
          <div class="row">
              <div class="col-md-4"> <button type="submit" name="login" value="login" id="loginwithotp" class="btn btn-primary btn-block">Verify</button></div>
               <div class="col-md-4"> </div>
           <div class="col-md-4"> 
            <button type="button" name="resend" value="resend" id="resend" class="btn btn-info btn-block">Resend</button>
            </div>
          </div>
          
          <!-- /.col -->
        </div>
      </form>
       
<!--       Fill OTP
 -->
      <!-- /.social-auth-links -->

    </div>
    <!-- /.card-body -->
  </div>
  <!-- /.card -->
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="{{  URL::asset('public/theme/plugins/jquery/jquery.min.js')}}"></script>
<!-- Bootstrap 4 -->
<script src="{{  URL::asset('public/theme/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{  URL::asset('public/theme/dist/js/adminlte.min.js')}}"></script>
<script type="text/javascript">
  $(document).ready(function(){
      $("#resend").on("click",function()
      {
          var userId=$("#userid").val();
          $.ajax({
  url: "{{ route('sendOTP.post') }}",
  method: "POST",
  data: { userId : userId, _token: "{{csrf_token()}}" },
  success:function(response){
            $(".alert").hide();

      $("#msgg").show();
          }
});
      })
  });
  
  $("body").on('click', '.toggle-password', function() {
  var input = $("#email");
  if (input.attr("type") === "password") {
    input.attr("type", "text");
	$(this).addClass('fa-eye').removeClass('fa-eye-slash');
  } else {
    input.attr("type", "password");
	$(this).addClass('fa-eye-slash').removeClass('fa-eye');
  }

});
 </script>
</body>
</html>
