@extends('layout')
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">COM</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item active">COM</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        @php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;">{{ isset($msg) ? $msg : '' }}</div>
                        <form name="registration" action="{{ route('postComData') }}" method="POST"
                            class="needs-validation" novalidate>
                            {{ csrf_field() }}
                            <div class="form-body">
                                <h3 class="card-title">COM</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="{{ Auth::user()->userId }}">
                                <input type="hidden" name="cid" value="{{ isset($singleComData[0]['id']) ? $singleComData[0]['id'] : '' }}" />
                                <div class="row">
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <?php //print $singleComData[0]['ga_code']; ?>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option>Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                @if($myga == $k || $myga == "All")
            <option value="{{$k}}" {{ (isset($singleComData[0]['ga_code']) && $singleComData[0]['ga_code'] == $k) ? "selected" : "" }}>{{$v}} ({{$k}})</option>
        @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                        <option value="">--Please Select--</option>
                                        <?php if(isset($singleComData[0]['district'])){ ?>
                                        <option value="{{$singleComData[0]['district']}}"  selected>{{$singleComData[0]['district']}}</option>
                                        <?php } ?>
                                       </select>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
<input type="date" name="date" id="date" required="true" class="form-control" value="{{ isset($singleComData[0]['date']) ? $singleComData[0]['date'] : '' }}">
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                     <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Total Customers Comissioned</label>
                                            <input type="number" name="total_customers_commissoned" id="total_customers_commissoned" class="form-control" value="{{ isset($singleComData[0]['total_customers_commissoned']) ? $singleComData[0]['total_customers_commissoned'] : '' }}" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Actual Live and Active Customers</label>
                                            <input type="number" name="actual_live_active_customers" id="actual_live_active_customers"
                                                required="true" placeholder="" class="form-control invoice_data" value="{{ isset($singleComData[0]['actual_live_active_customers']) ? $singleComData[0]['actual_live_active_customers'] : '' }}" />
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                
                                <div class="row">
                                    
                                    <!--/span-->
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Comm. Average as per avg. billing days</label>
                                            <input type="text" name="comm_average" id="comm_average" class="form-control" value="{{ isset($singleComData[0]['comm_average']) ? $singleComData[0]['comm_average'] : '' }}" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">COMM Volume Actual</label>
                                            <input type="text" name="comm_volume_actual" id="comm_volume_actual"  value="{{ isset($singleComData[0]['comm_volume_actual']) ? $singleComData[0]['comm_volume_actual'] : '' }}"
                                                required="true" placeholder="" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                          
                                            <th>GA</th>
                                            <th>District</th>
                                            <th>Total Customers Comissioned</th>
                                            <th>Actual Live and Active Customers</th>
                                            <th>Comm Average as per avg. billing days</th>
                                            <th>Com Volume Actual</th>
                                            <th>Last Modified</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($allComData))
                                            @foreach ($allComData as $key => $value)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $value['ga_code'] }}</td>
                                                    <td>{{ $value['district'] }}</td>
                                                    <td>{{ $value['total_customers_commissoned'] }}</td>
                                                    <td>{{ $value['actual_live_active_customers'] }}</td>
                                                    <td>{{ $value['comm_average'] }}</td>
                                                    <td>{{ $value['comm_volume_actual'] }}</td>
                                                    <td>{{ $value['updated_at'] }}</td>
                                                    <td><a style="float:left; margin-right:10px;" href="{{route('dprCom', ['id'=>$value['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 </td>
                                                </tr>
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
@endsection
@push('custom-scripts')
@endpush
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
$(document).ready(function()
{
    var table =  new DataTable('#ga_log_entry', {  
                    dom: 'rti',
                    order:[1,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
})
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "{{url('api/getDistrict')}}",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "{{url('api/getDcu')}}",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

})
    });
</script>
