@extends('layout')
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">ED Compressor</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item active">ED Compressor</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        @php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;">{{ isset($msg) ? $msg : '' }}</div>
                        <form name="registration" action="{{ route('postEdCompressor') }}" method="POST"
                            class="needs-validation" novalidate>
                            {{ csrf_field() }}
                            <div class="form-body">
                                <h3 class="card-title">ED Compressor</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="{{ Auth::user()->userId }}">
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="date" id="date"
                                                required="true" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Initial Suction MFM</label>
                                            <input type="text" name="ism" id="ism" class="form-control calculation" value="" required="true" />
                                    </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Final Suction MFM</label>
                                            <input type="text" name="fsm" id="fsm" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Net Suction MFM</label>
                                            <input type="text" name="nsm" id="nsm" class="form-control calculation" value="" required="true" readonly />
                                        </div>
                                    </div>
                                
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Initial Discharge MFM</label>
                                            <input type="text" name="idm" id="idm" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Final Discharge MFM</label>
                                            <input type="text" name="fdm" id="fdm" class="form-control calculation" value="" required="true" /> 
                                    </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Net Discharge MFM</label>
                                            <input type="text" name="ndm" id="ndm" class="form-control calculation" value="" required="true" readonly />
                                    </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Initial Fuel Consumption</label>
                                            <input type="text" name="ifc" id="ifc" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                
                                
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Final Fuel Consumption</label>
                                            <input type="text" name="ffc" id="ffc" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Net Fuel Consumption</label>
                                            <input type="text" name="nfc" id="nfc" class="form-control calculation" value="" required="true" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Specific Fuel Consumption</label>
                                            <input type="text" name="sfc" id="sfc" class="form-control calculation" value="" required="true" />
                                    </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Initial Running Hours</label>
                                            <input type="text" name="irh" id="irh" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Final Running Hours</label>
                                            <input type="text" name="frh" id="frh" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Net Running Hours</label>
                                            <input type="text" name="nrh" id="nrh" class="form-control calculation" value="" required="true" readonly />
                                        </div>
                                    </div>
                                </div>
                                
                                    <div class="row">
                                    <div class="col-md-3" style="padding-top:51px;">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                    <!--/span-->
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                             <th>Date</th>
                                            <th>Initial Suction MFM</th>
                                            <th>Final Suction MFM</th>
                                            <th>Net Suction MFM</th>
                                            <th>Initial Discharge MFM</th>
                                            <th>Final Discharge MFM</th>
                                            <th>Net Discharge MFM</th>
                                            <th>Initial Fuel Consumption</th>
                                            <th>Final Fuel Consumption</th>
                                            <th>Net Fuel Consumption</th>
                                            <th>Specific Fuel Consumption</th>
                                            <th>Initial Running Hours</th>
                                            <th>Final Running Hours</th>
                                            <th>Net Running Hours</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($allEDCompressor))
                                            @foreach ($allEDCompressor as $key => $value)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $value['date'] }}</td>
                                                    <td>{{ $value['initial_suction_mfm'] }}</td>
                                                    <td>{{ $value['final_suction_mfm'] }}</td>
                                                      <td>{{ $value['final_suction_mfm']-$value['initial_suction_mfm'] }}</td>
                                                    <td>{{ $value['initial_discharge_mfm'] }}</td>
                                                    <td>{{ $value['final_discharge_mfm'] }}</td>
                                                    <td>{{ $value['final_discharge_mfm']-$value['initial_discharge_mfm']  }}</td>
                                                    <td>{{ $value['initial_fuel_consumption'] }}</td>
                                                    <td>{{ $value['final_fuel_consumption'] }}</td>
                                                    <td>{{ $value['final_fuel_consumption']- $value['initial_fuel_consumption']}}</td>
                                                    <td>{{ $value['specific_fuel_consumption'] }}</td>
                                                    <td>{{ $value['initial_running_hours'] }}</td>
                                                    <td>{{ $value['final_running_hours'] }}</td>
                                                     <td>{{ $value['final_running_hours']-$value['initial_running_hours'] }}</td>
                                                </tr>
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
@endsection
@push('custom-scripts')
@endpush
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
$(document).ready(function()
{
    var table =  new DataTable('#ga_log_entry', {  
                    dom: 'rti',
                    order:[1,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
})
/*$(document).on("blur","#ism, #idm, #ifc, #irh",function()
{
    var ism=$("#ism").val();
    var idm=$("#idm").val();
    var ifc=$("#ifc").val();
    var irh=$("#irh").val();
    ism = parseFloat(ism) || 0; // Default to 0 if empty
    idm = parseFloat(idm) || 0; // Default to 0 if empty
    ifc = parseFloat(ifc) || 0; // Default to 0 if empty
    irh = parseFloat(irh) || 0; // Default to 0 if empty
    var date = $("#date").val();
    $.ajax({
            url: "{{url('api/getFinalSuctionMFM')}}",
            type: "POST",
            data: {
              "ism":ism, "date":date, "device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            var fsm = ism-result[0].initial_suction_mfm;
            var fdm = idm-result[0].initial_discharge_mfm;
            var ffc = ifc-result[0].initial_fuel_consumption;
            var sfc = fdm/ffc;
            if(isNaN(sfc)){
                sfc=0;
            }
            var frh = irh-result[0].initial_running_hours;
            $("#fsm").val(fsm.toFixed(3));
            $("#fdm").val(fdm.toFixed(3));
            $("#ffc").val(ffc.toFixed(3));
            $("#sfc").val(sfc.toFixed(3));
            $("#frh").val(frh.toFixed(3));
            }
        });
});*/
//by pikun
$(document).on("blur","#fsm, #fdm, #ffc, #frh",function()
{
    var ism=$("#ism").val();
    var idm=$("#idm").val();
    var ifc=$("#ifc").val();
    var irh=$("#irh").val();
    ism = parseFloat(ism) || 0; // Default to 0 if empty
    idm = parseFloat(idm) || 0; // Default to 0 if empty
    ifc = parseFloat(ifc) || 0; // Default to 0 if empty
    irh = parseFloat(irh) || 0; // Default to 0 if empty
     
    var fsm=$("#fsm").val();
    var fdm=$("#fdm").val();
    var ffc=$("#ffc").val();
    var frh=$("#frh").val();
    fsm = parseFloat(fsm) || 0; // Default to 0 if empty
    fdm = parseFloat(fdm) || 0; // Default to 0 if empty
    ffc = parseFloat(ffc) || 0; // Default to 0 if empty
    frh = parseFloat(frh) || 0; // Default to 0 if empty
    
    var nsm = fsm-ism;
    var ndm = fdm-idm;
    var nfc = ffc-ifc;
    var nrh = frh-irh;
    var sfc = ndm/nfc;
    if(isNaN(sfc)){
        sfc=0;
    }
    $("#nsm").val(nsm.toFixed(3));
    $("#ndm").val(ndm.toFixed(3));
    $("#nfc").val(nfc.toFixed(3));
    $("#sfc").val(sfc.toFixed(3));
    $("#nrh").val(nrh.toFixed(3));
});
$(document).on("change","#date",function()
{
    var date = $("#date").val();
    $.ajax({
            url: "{{url('api/getFinalSuctionMFM')}}",
            type: "POST",
            data: {
               "date":date, "device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                if(result[0])
                {
                     var ism = result[0].final_suction_mfm;
                     $("#ism").val(ism.toFixed(3));
                     $("#ism").attr("readonly",true);
                    var idm = result[0].final_discharge_mfm;
                     $("#idm").val(idm.toFixed(3));
                     $("#idm").attr("readonly",true);
                    var ifc = result[0].final_fuel_consumption;
                     $("#ifc").val(ifc.toFixed(3));
                     $("#ifc").attr("readonly",true);
                    var irh = result[0].final_running_hours;
                     $("#irh").val(irh.toFixed(3));
                     $("#irh").attr("readonly",true);
                }
                else
                {                     
                    $("#ism").attr("readonly",false);
                    $("#idm").attr("readonly",false);
                    $("#ifc").attr("readonly",false);
                    $("#irh").attr("readonly",false);
                }
                
           
            }
        });
})

</script>
