@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">GA/District Input</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">GA/District Input Sheet</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
           
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 mt-2 text-white pull-left" id="gaDistrictInputname">GA/District Input Sheet</h4>
                </div>
                <form id="form-filter" class="form-horizontal" action="{{ route('gaDistrictInput.post') }}" method="POST">
                     {{ csrf_field() }}
                    <input type="hidden" name="device" value="web">
                    <input type="hidden" name="user_id" value="{{Auth::user()->userId}}">
                    <div class="card-body">
                        <div class="form-body">
                                <div class="row">
                                    <!--<div class="col-md-12 m-b-10">
                                            <div class="custom-control custom-radio  pull-left m-r-10 m-l-40	">
                                                <input type="radio" id="customRadio1" name="customRadio" class="form-check-input ">
                                                <label class="form-check-label h4 font-bold" for="customRadio1">GA Input Sheet</label>
                                            </div>
                                            <div class="custom-control custom-radio pull-left">
                                                <input type="radio" id="customRadio2" name="customRadio" class="form-check-input" checked>
                                                <label class="form-check-label h4 font-bold" for="customRadio2">District Input Sheet</label>
                                            </div>
                                    </div>-->
                                    
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option  value="">Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                     @if($myga==$k)
                                                    <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @elseif($myga=="All")
                                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                   
                                </div>
                            
                            <div> &nbsp;</div>
                        </div>
                        <table id="customers" class="table table-bordered table-striped"  style="display:none;">
                            <thead>
                                <tr>
                                   <!-- <th>Month</th>-->
                                    <th>Date</th>
                                    <th>Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q</th>
                                    <th>Quantity of LNG Unloaded at the LNG terminal as per MFM (in Kgs)- Q.1</th>
                                    <th>Quantity of LNG Unloaded at the LCNG Station as per Weighment (in Kgs)- Q.2</th>
                                    <th>Tank -1 Stock in KL</th>
                                    <th>Tank -2 Stock in KL</th>
                                    <th>Tank -3 Stock in KL</th>
                                    <th>Tank -4 Stock in KL</th>
                                    <th>Volume Available in Stationary Cascade in KG</th>
                                    <th>HP Vap. MFM 1 in KG</th>
                                    <th>HP Vap. MFM 2 in KG</th>
                                    <th>LCV Fill Post-1 MFM in KG</th>
                                    <th>LCV Fill Post-2 MFM in KG</th>
                                    <th>LCV Fill Post-3 MFM in KG</th>
                                    <th>LCV Fill Post-4 MFM in KG</th>
                                    <th>PRS Skid-1 RPD Meter in SCM(2000SCMH)</th>
                                    <th>PRS Skid-2 RPD Meter in SCM(5000 SCMH)</th>
                                    <th>MP Metering Skid USM Meter in SCM(10000 SCMH)</th>
                                    <th>Total Dispenser Sales in KG</th>
                                    <th>Total MCV Sales in KG</th>
                                    <th>Total CNG Sales</th>
                                    <th>CNG Sales at DBS</th>
                                    <th>PE Commissioned in Mtr.Jodhpur</th>
                                    <th>PE Laying in Mtr.Jodhpur</th>
                                    <th>Steel Commissioned in Inch-Mtr</th>
                                    <th>Steel Stringing in Inch-Mtr.</th>
                                    <th>Steel Commissioned in Mtr</th>
                                    <th>Steel Stringing in Mtr.</th>
                                    <th>Domestic Connections (Registration)Jodhpur</th>
                                    <th>Domestic Connections (Advanced Plumbing)Jodhpur</th>
                                    <th>Domestic Connections (Commissioned)Jodhpur</th>
                                    <th>Commercial / NDEC Connections (Registration)</th>
                                    <th>Commercial / NDEC Connections (Commissioned)</th>
                                    <th>Industrial Connections (Registration)</th>
                                    <th>Industrial Connections (Commissioned)</th>
                                    <th>OFC Duct Laying with Steel Pipeline in Mtr.	</th>
                                    <th>OFC Duct Laying with MDPE in Mtr.</th>
                                    <th>CNG Vehicles (OEM)	</th>
                                    <th>CNG Vehicles (Conversion)</th>
                                    <th>(OMC)Final PESO Applied</th>
                                    <th>(OMC)No. of CNG Stations Commissioned</th>
                                    <th>(COCO/CODO/DODO)Final PESO Applied</th>
                                    <th>(COCO/CODO/DODO)No. of CNG Stations Commissioned</th>
                                    <th>MDPE Laid 20 mm	</th>
                                    <th>MDPE Commissioned 20 mm</th>
                                    
                                </tr>
                            </thead>
                            <tbody id="new_data">
                            </tbody>
                        </table>     
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
$(document).ready(function()
{
       table =  new DataTable('#customers', {  
        dom: 'rti',
        order:[0,"asc"],
        scrollX:true,
        scrollCollapse: true,
        scrollY: '65vh',
        autoWidth: true,
     });
     
})
function load_table(ga_code,district)
{
    $("#customers").show();
    $.ajax({
            url: "{{url('api/getInputsGA')}}",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
                $("#customers").dataTable().fnDestroy();
                $("#new_data").html(result);
                var table =  new DataTable('#customers', {  
                    dom: 'rti',
                    order:[0,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
                }
    });
}
$(document).on("change","#ga_code",function()
{
    var ga_code=$("#ga_code").val();
    var district="";
    
    $("#gaDistrictInputname").html(ga_code+" Input Sheet");
    load_table(ga_code,district);
})
$(document).on("keyup","#total_CNG_Sales",function()
{
    var total_CNG_Sales=$(this).val();
    var total_Dispenser_Sales=$("#total_Dispenser_Sales").val();
    var v=parseFloat(total_CNG_Sales)-parseFloat(total_Dispenser_Sales);
    $("#CNG_Sales_at_DBS").val(v);
});
$(document).on("keyup","#steel_Stringing_in_Mtr",function()
{
    var steel_Stringing_in_Mtr=$(this).val();
    var v=parseFloat(steel_Stringing_in_Mtr)*8;
    $("#steel_Stringing").val(v);
})

//$(document).on("blur","#MDPE_Commissioned_20_mm",function()
//{
$(document).on("submit","#form-filter",function()
{
    var form=$("#form-filter");
    $.ajax({
            url:form.attr("action"),
            data:$("#form-filter").serialize(),//only input
            type: "POST",
            Type: 'json',
            success: function (result) {
                if(result=="Success")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                   hideAfter: 3500, 
                    stack: 6,
                     icon: 'success',
                    text: "Data submitted successfully!"
                  });
                }
                if(result=="Failed")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                    hideAfter: 3500, 
                    stack: 6,
                    icon: 'error',
                    text: "Failed! Please try again!"
                  });
                }
                $("#district").trigger("change");
            }
        });
});
</script>
@endpush