@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Highlights</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Highlights</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <textarea class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
            //print_r($highlightsdetail);exit;
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Highlights Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="ga" action="{{ route('dashboardHighlightsPost') }}" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            @if(isset($highlightsdetail))
                             <input type='hidden' name='zid'  value='{{$highlightsdetail["input_date"]}}'>
                             @endif
                             
                            <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">GA</label>
                                        <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA Code">
                                            <option>Please Select GA Code</option>
                                            @foreach($ga as $k=>$v)
                                                <option {{ (@$highlightsdetail['ga_code'] == $k ? "selected":"") }} value="{{$k}}">{{$v}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                 <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Input Date</label>
                                        <input type="date" name="input_date" id="input_date"  class="form-control" data-placeholder="Select Input Date" value='{{@$highlightsdetail["input_date"]}}'>
                                    </div>
                                </div>
                                </div>
                                <div class="row p-t-20">
                                    
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Reportable Safety Incident(s)</label>
                                        <textarea name="highlights['Reportable Safety Incident(s)']" class="form-control summernote">{{@$highlightsdetail["Reportable Safety Incident(s)"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Reportable Quality Concerns</label>
                                        <textarea name="highlights['Reportable Quality Concerns']" class="form-control summernote">{{@$highlightsdetail["Reportable Quality Concerns"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Station Dry outs (with reasons)</label>
                                        <textarea name="highlights['Station Dry outs (with reasons)']" class="form-control summernote" >{{@$highlightsdetail["Station Dry outs (with reasons)"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">HSE Activities	</label>
                                        <textarea name="highlights['HSE Activities']" class="form-control summernote" >{{@$highlightsdetail["HSE Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">LNG Project Activities	</label>
                                        <textarea name="highlights['LNG Project Activities']" class="form-control summernote">{{@$highlightsdetail["LNG Project Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">LCNG O&M Activities	</label>
                                        <textarea name="highlights['LCNG O&M Activities']" class="form-control summernote" >{{@$highlightsdetail["LCNG O&M Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">CNG Project Activities	</label>
                                        <textarea name="highlights['CNG Project Activities']" class="form-control summernote">{{@$highlightsdetail["CNG Project Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">CNG O&M Activities</label>
                                        <textarea name="highlights['CNG O&M Activities']" class="form-control summernote" >{{@$highlightsdetail["CNG O&M Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Steel Project Activities	</label>
                                        <textarea name="highlights['Steel Project Activities']" class="form-control summernote">{{@$highlightsdetail["Steel Project Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Steel O&M Activities	</label>
                                        <textarea name="highlights['Steel O&M Activities']" class="form-control summernote">{{@$highlightsdetail["Steel O&M Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PE Laying Project Activities	</label>
                                        <textarea name="highlights['PE Laying Project Activities']" class="form-control summernote">{{@$highlightsdetail["PE Laying Project Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Domestic	</label>
                                        <textarea name="highlights['PNG Project Activities - Domestic']" class="form-control summernote">{{@$highlightsdetail["PNG Project Activities - Domestic"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Commercial	</label>
                                        <textarea name="highlights['PNG Project Activities - Commercial']" class="form-control summernote">{{@$highlightsdetail["PNG Project Activities - Commercial"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Industrial	</label>
                                        <textarea name="highlights['PNG Project Activities - Industrial']" class="form-control summernote">{{@$highlightsdetail["PNG Project Activities - Industrial"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG O&M Activities	</label>
                                        <textarea name="highlights['PNG O&M Activities']" class="form-control summernote">{{@$highlightsdetail["PNG O&M Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Marketing Activities	</label>
                                        <textarea name="highlights['Marketing Activities']" class="form-control summernote">{{@$highlightsdetail["Marketing Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PR - RoU activities	</label>
                                        <textarea name="highlights['PR - RoU activities']" class="form-control summernote">{{@$highlightsdetail["PR - RoU activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Stations commissioned on the day	</label>
                                        <textarea name="highlights['Stations commissioned on the day']" class="form-control summernote">{{@$highlightsdetail["Stations commissioned on the day"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Highlight of sales- Any records set		</label>
                                        <textarea name="highlights['Highlight of sales- Any records set']" class="form-control summernote">{{@$highlightsdetail["Highlight of sales- Any records set"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Assistance required from Management	</label>
                                        <textarea name="highlights['Assistance required from Management']" class="form-control summernote">{{@$highlightsdetail["Assistance required from Management"] }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Other Activities	</label>
                                        <textarea name="highlights['Other Activities']" class="form-control summernote">{{@$highlightsdetail["Other Activities"] }}</textarea>
                                    </div>
                                </div>
                                <div class="form-actions col-md-6 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="{{route('dashboardHighlights')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="ga" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Input Date</th>
                                <th>Highlights</th>
                                <th>Value</th>
                                <th>Ga Code</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(!empty($highlights))
                            @foreach($highlights as $k=>$cc)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{date('d-m-Y',strtotime($cc['input_date']))}}</td>
                                <td>{{$cc['field_name']}}</td>
                                <td>{{$cc['field_value']}}</td>
                                <td>{{$cc['ga_code']}}</td>
                                @if($cc['status']=="Active")
                                <td><span class="label label-success">{{$cc['status']}}</span></td>
                                @else
                                <td><span class="label label-danger">{{$cc['status']}}</span></td>
                                @endif
                                <td><a style="float:left; margin-right:10px;" href="{{route('dashboardHighlights', ['zid'=>$cc['input_date']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="{{route('dashboardHighlightsDelete',$cc['id'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<link rel="stylesheet" type="text/css" href="{{  URL::asset('public/assets/node_modules/summernote/dist/summernote-bs4.css')}}">
<script src="{{  URL::asset('public/assets/node_modules/summernote/dist/summernote-bs4.min.js')}}"></script>
    <script>
    $(function() {

        $('.summernote').summernote({
            height: 150, // set editor height
            minHeight: null, // set minimum height of editor
            maxHeight: null, // set maximum height of editor
            focus: false // set focus to editable area after initializing summernote
        });

        $('.inline-editor').summernote({
            airMode: true
        });

    });

    window.edit = function() {
            $(".click2edit").summernote()
        },
        window.save = function() {
            $(".click2edit").summernote('destroy');
        }
    </script>
<script>
    $(function()
    {
        $('#ga').DataTable();
    })
</script>
@endpush