@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Upload Customer data</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Upload Customer data</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Upload Customer data</h4>
                </div>
                <div class="card-body">
                    <form name="importuser" class="needs-validation" action="{{ route('importUser.post') }}" method="POST" enctype="multipart/form-data">
                    {{ csrf_field() }}
                        <div class="form-body">
                            
                            <input type="hidden" name="device" value="web">
                            <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Upload</label>
                                        <input type="file" name="file" id="user"  required placeholder="upload csv file" class="form-control">
                                        <small class="form-control-feedback"> Please upload csv file only</small>
                                        <div class="invalid-feedback">
                                            Please upload csv file.
                                        </div>
                                        
                                        </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <div class="download float-right mt-3"><a href="public/sample/customers.csv" >Download Sample csv</a></div></div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                        <div class="form-actions">
                            <button type="submit" name="submit" id="submit" value="Import" class="btn btn-primary text-white"> <i class="fa fa-check"></i> Import</button>
                            <button type="reset" class="btn btn-secondary">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')

@endpush