@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Standing Instruction</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Standing Instruction</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">AG&P Standing Instruction Form</h4>
                </div>
                <div class="card-body">
                    <form name="registration" action="{{ route('standingInstruction.post') }}" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <h3 class="card-title"> Standing Instruction</h3>
                            <hr>
                            <input type="hidden" name="device" value="web">
                            <input type="hidden" name="user_id" value="{{Auth::user()->userId}}">
                            <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Date</label>
                                        <input type="date" name="instruction_date" id="instruction_date" required="true" placeholder="Enter Date" class="form-control">
                                        <small class="form-control-feedback"> Please select date</small>
                                        </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">GA</label>
                                        <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                            <option>Please Select GA</option>
                                            @foreach($ga as $v)
                                                <option value="{{$v}}">{{$v}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Instructions</label>
                                        <textarea name="instruction" id="instruction"  class="form-control" placeholder="Enter Instruction"></textarea>
                                    </div>
                                </div>
                                <!--/span-->
                                 <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Validity</label>
                                        <input type="date" name="instruction_validity" id="instruction_validity" required="true" placeholder="Enter Date" class="form-control">
                                        <small class="form-control-feedback"> Please select date</small>
                                        </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                        <div class="form-actions">
                            <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                            <button type="reset" class="btn btn-secondary">Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')

@endpush