<!DOCTYPE html>
<html>
<head>
    <?php 
  /*define('ADMIN_LOGIN','dpr'); 
  define('ADMIN_PASSWORD','Gemini@2024'); // Could be hashed too.
  if (!isset($_SERVER['PHP_AUTH_USER']) || !isset($_SERVER['PHP_AUTH_PW']) 
      || ($_SERVER['PHP_AUTH_USER'] != ADMIN_LOGIN) 
      || ($_SERVER['PHP_AUTH_PW'] != ADMIN_PASSWORD)) { 
    header('HTTP/1.1 401 Unauthorized'); 
    header('WWW-Authenticate: Basic realm="Password For Application"'); 
    exit("Access Denied: Username and password required.");
  }*/
?>
    <title>AG&P Survey | Login</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<style>
.login-sidebar {
  padding: 0px;
  margin-top: 0px;
}
.login-register {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  height: 100%;
  width: 100%;
  padding: 0;
  position: fixed;
}
.login-sidebar .login-box {
  right: 0px;
  position: absolute;
  height: 100%;
  top: 0;
}
.form-control{
    padding: 32px 20px;
    border:none;
    box-shadow: 0 0 12px 1px rgba(0, 0, 0, 0.1);
    border-radius:20px; 

}
.btn-primary {
    color: #fff;
    background-color: #F2652D;
    border-color:#F2652D;
    
}
.btn-primary:hover{
    background-color:#fe7c48;
    border-color:#fe7c48;
}
#password2 {
  display: none;
}
</style>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>

    <script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="<?php echo e(asset('css/survey.css')); ?>">
    <script src="<?php echo e(asset('js/login.js')); ?>"></script>
    
</head>

<body>
<!-- MultiStep Form -->
<section class="login-register login-sidebar">
<div class="col-md-9 loginBG" style="background-image:url(../assets/images/Final-Login-bg-3.png);">

</div>
<div class="col-md-5" style="margin:100px auto">
        <?php if(Session::has('msg') && Session::has('code')): ?>
             <?php if(Session::get('code')==1): ?>
        <div class="alert alert-success">
            <?php echo e(Session::get('msg')); ?>

            <?php
                Session::forget('msg');
            ?>
        </div>
         <?php else: ?>
        <div class="alert alert-danger">
            <?php echo e(Session::get('msg')); ?>

            <?php
                Session::forget('msg');
            ?>
        </div>
         <?php endif; ?>
        <?php endif; ?>
</div>

        <div class="login-box card" >
            <div class="card-body">
            <!-- fieldsets -->
            <fieldset id="login" class="step loginBox">
                <form class="needs-validation" action="<?php echo e(route('login.post')); ?>" method="POST">
                <?php echo e(csrf_field()); ?>

                <h2 class="fs-title text-center"><img src="<?php echo e(asset('images/AG&P-Logo.png')); ?>" /></h2>
                <h3 class="fs-subtitle">Welcome to Employee i-Portal!</h3>
                <p class="text-center">Your one-stop portal for all employee requests,<br>communications & updates!</p>
                <input type="hidden" name="device" value="web">
                <input type="hidden" name="userId" id="userId">
                <div id="useridd">
                <input type="text" id="userId1"  class="required form-control mb-4" required="true" placeholder="Enter your User Id">
               
                <button type="button" style="width:100%" class="btn waves-effect waves-light btn-lg btn-primary mb-3 float-right" id="continue" >Continue</button>
               </div>
                 
               <div id='passworddd' style="display:none;">
                <a href="<?php echo e(route('redirectToProvider')); ?>"><button type="button" class="btn waves-effect waves-light btn-outline-secondary BTN365"><img style="width:30px" src="<?php echo e(asset('images/office-365-icon.png')); ?>" /> Sign in with Office 365</button></a>
                <hr class="mt-5">
                <p class="text-center mb-0"><span class="or">or</span></p>
                <input type="hidden" name="device" value="web">
                
                <input type="password" name="password" id="password"  class="required form-control mb-3" required="true" placeholder="Password">
                
                <input style="width:100%" type="submit" name="login" class="btn waves-effect waves-light btn-lg btn-primary mb-3 float-right" value="Login"/>
                <a href="<?php echo e(route('login')); ?>"><button type="button" style="width:100%" class="btn waves-effect waves-light btn-lg btn-disable mb-3 float-right" >Cancel</button></a>
                </div>
                 </form>
              
            </fieldset>
            
            </div>
           
       </div>
        

<!-- /.MultiStep Form -->
</section>
<script>
$(document).on("keyup","#userId1",function()
{
    $("#userId").val($(this).val());
})
$(document).on("click","#continue",function()
{
    $("#userId").val($("#userId1").val());
    if($("#userId1").val()!="")
    {
        
        
             $.ajax({
                    url: "<?php echo e(url('api/updateEnv')); ?>",
                    type: "POST",
                    data: {
                      type:$("#userId1").val(),"device":"web",
                        _token: '<?php echo e(csrf_token()); ?>'
                    },
                    success: function (result) {
                        $("#useridd").hide("slow", function(){ $("#passworddd").show("slow");
                        })
                     }
                });
        
        
    }
})
   
</script>
</body>

</html>
<?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/auth/login.blade.php ENDPATH**/ ?>