    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">District Wise CGD RECO Report</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">District Wise CGD RECO Report Sheet</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
           
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 mt-2 text-white pull-left" id="gaDistrictInputname">District Wise CNG Report Sheet</h4>
                </div>
                <form id="form-filter" class="form-horizontal" action="<?php echo e(route('cngPurchaseInput.post')); ?>" method="POST">
                     <?php echo e(csrf_field()); ?>

                    <input type="hidden" name="device" value="web">
                    <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->userId); ?>">
                    <div class="card-body">
                        <div class="form-body">
                                <div class="row">
                                    <!--<div class="col-md-12 m-b-10">
                                            <div class="custom-control custom-radio  pull-left m-r-10 m-l-40	">
                                                <input type="radio" id="customRadio1" name="customRadio" class="form-check-input ">
                                                <label class="form-check-label h4 font-bold" for="customRadio1">GA Input Sheet</label>
                                            </div>
                                            <div class="custom-control custom-radio pull-left">
                                                <input type="radio" id="customRadio2" name="customRadio" class="form-check-input" checked>
                                                <label class="form-check-label h4 font-bold" for="customRadio2">District Input Sheet</label>
                                            </div>
                                    </div>-->
                                    
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option  value="">Please Select GA</option>
                                                <?php $__currentLoopData = $ga; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <?php if($myga==$k): ?>
                                                    <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php elseif($myga=="All"): ?>
                                                     <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                        <option value="">Please select</option>
                                        
                                       </select>
                                    </div>
                                </div>
                            
                            <div> &nbsp;</div>
                        </div>
                        <table id="customers" class="table table-bordered table-striped"  style="display:none;">
                            <thead>
                                <tr><!--<th>Month</th>-->
                                    <th>Date</th>
                                    <th>Cummulative  Opening Reading- -MFM -HP Vap Out in KG</th>
                                    <th>Cummulative  Closing Reading- -MFM -HP Vap Out in KG</th>
                                    <th>Total Purchase- Difference in SCM- CNG</th>
                                    <th>Cummulative  Corrected EVC Opening Reading- -RPD in SCM</th>
                                    <th>Cummulative Corrected EVC Closing Reading RPD in SCM</th>
                                    <th>Total Purchase- Difference in SCM- PNG</th>
                                    <th>Cummulative  Corrected USM Opening Reading- in SCM</th>
                                    <th>Cummulative Corrected USM Closing Reading in SCM</th>
                                    <th>Total Purchase- Difference in SCM- MP Line</th>
                                    <th>Gross Purchase - PNG + CNG</th>
                                    <th>INDUSTRIAL</th>
                                    <th>IND PD CF Vol</th>
                                    <th>CNG</th>
                                    <th>COMMERCIAL</th>
                                    <th>COM PD CF Vol</th>
                                    <th>DOMESTIC</th>
                                    <th>DOM PD CF Vol</th>
                                    <!--<th>Un-Accounted Gas Volumes(SCM)</th>-->
                                    <th>Total Sales in SCM</th>
                                    <!--<th>Diff in SCM</th>
                                    <th>% Loss</th>
                                    <th>Cumulative Diff.in SCM</th>
                                    <th>Cum. Monthly Purchase in SCM</th>
                                    <th>% Loss</th>
                                    <th>Cumulative Diff.in SCM</th>
                                    <th>Cum. Yearly Purchase in SCM</th>
                                    <th>% Loss</th>-->
                                </tr>
                            </thead>
                            <tbody id="new_data">
                            </tbody>
                        </table>     
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
function load_it(ga_code,district)
{
    $("#customers").show();
     $.ajax({
            url: "<?php echo e(url('api/getDistCgdRecoReport')); ?>",
            type: "POST",
            data: {
             district:district,ga_code:ga_code, "device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
                $("#customers").dataTable().fnDestroy();
                $("#new_data").html(result);
                var table =  new DataTable('#customers', {  
                    dom: 'rti',
                    "aaSorting": [],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
                }
    });
}

$(document).on("keyup","[id^='qty_']",function()
{
    var qty_c=$("#qty_c").val();
    var qty_d=$("#qty_d").val();
    if(qty_c=="" || qty_d=="" || qty_c==0 || qty_d==0)var v=0;
    else
    var v=parseFloat(qty_d)/parseFloat(qty_c);
   // alert(v);
    $("#CF").val(v);
});

$(document).on("blur","#qty_d",function()
{
    var MCV_Loading_Date=$("#MCV_Loading_Date").val();
    if(MCV_Loading_Date!="")
    {
     var form=$("#form-filter");
    $.ajax({
            url:form.attr("action"),
            data:$("#form-filter").serialize(),//only input
            type: "POST",
            Type: 'json',
            success: function (result) {
                if(result=="Success")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                   hideAfter: 3500, 
                    stack: 6,
                     icon: 'success',
                    text: "Data submitted successfully!"
                  });
                }
                if(result=="Failed")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                    hideAfter: 3500, 
                    stack: 6,
                    icon: 'error',
                    text: "Failed! Please try again!"
                  });
                }
               load_it();
            }
        });   
    }
    
});

$(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
        $.ajax({
            url: "<?php echo e(url('api/getDistrict')); ?>",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();
    
    $("#gaDistrictInputname").html(district+" Input Sheet");
    load_it(ga_code,district);
})
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/dpr/distCgdRecoReport.blade.php ENDPATH**/ ?>