    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">WhatsApp Templates</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">WhatsApp Templates</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">WhatsApp Templates Form</h4>
                </div>
                <div class="card-body">
                    <form name="whatsAppTemplate" action="<?php echo e(route('whatsAppTemplatePost')); ?>" method="POST" class="needs-validation" novalidate >
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <?php if(isset($whatsAppTemplateDetail)): ?>
                             <input type='hidden' name='zid'  value='<?php echo e($whatsAppTemplateDetail["id"]); ?>'>
                             <?php endif; ?>
                            <div class="row p-t-20">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Templates Display Name</label>
                                        <input type="text" name="display_name" id="display_name" required="true" placeholder="Enter WhatsApp Templates Display Name" class="form-control" value="<?php echo e(@$whatsAppTemplateDetail['display_name']); ?>">
                                        <small class="form-control-feedback text-primary"> Display Name of the WhatsApp Templates</small>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates Name</label>
                                        <input type="text" name="template_name" id="template_name" required="true" placeholder="Enter WhatsApp Templates Name" class="form-control" value="<?php echo e(@$whatsAppTemplateDetail['template_name']); ?>">
                                        <small class="form-control-feedback text-primary"> Name of the WhatsApp Templates</small>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates API</label>
                                        <input type="text" name="template_api" id="template_api" class="form-control " placeholder="Enter WhatsApp Templates API" value="<?php echo e(@$whatsAppTemplateDetail['template_api']); ?>">
                                        <small class="form-control-feedback text-primary"> This is API of the WhatsApp Templates. </small> </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Status</label>
                                        <select  name="status" id="status" required="true" class="form-control form-select">
                                            <option value="Active"  <?php echo e((@$whatsAppTemplateDetail['status'] == 'Active' ? "selected":"")); ?>>Active</option>
                                            <option value="Inactive" <?php echo e((@$whatsAppTemplateDetail['status'] == 'Inactive' ? "selected":"")); ?>>Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-actions col-md-3 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="<?php echo e(route('whatsAppTemplate')); ?>"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="whatsAppTemplate" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Templates Display Name</th>
                                <th>WhatsApp Templates Name</th>
                                <th>WhatsApp Templates API</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(!empty($whatsAppTemplate)): ?>
                            <?php $__currentLoopData = $whatsAppTemplate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$cc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($cc['display_name']); ?></td>
                                <td><?php echo e($cc['template_name']); ?></td>
                                <td><?php echo e($cc['template_api']); ?></td>
                                <?php if($cc['status']=="Active"): ?>
                                <td><span class="label label-success"><?php echo e($cc['status']); ?></span></td>
                                <?php else: ?>
                                <td><span class="label label-danger"><?php echo e($cc['status']); ?></span></td>
                                <?php endif; ?>
                                <td><a style="float:left; margin-right:10px;" href="<?php echo e(route('whatsAppTemplate', ['zid'=>$cc['id']])); ?>"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="<?php echo e(route('whatsAppTemplateDelete',$cc['id'])); ?>">
                            <?php echo csrf_field(); ?>
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(function()
    {
        $('#whatsAppTemplate').DataTable();
    })
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/whatsapp/whatsAppTemplate.blade.php ENDPATH**/ ?>