<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">Steel Line Pack</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Steel Line Pack</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        <?php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;"><?php echo e(isset($msg) ? $msg : ''); ?></div>
                        <form name="registration" action="<?php echo e(route('postDprSteelLinePack')); ?>" method="POST"
                            class="needs-validation" novalidate>
                            <?php echo e(csrf_field()); ?>

                            <div class="form-body">
                                <h3 class="card-title">Steel Line Pack</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->userId); ?>">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="date" id="date"
                                                required="true" class="form-control">
                                        </div>
                                    </div>
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA" required>
                                                <option>Please Select GA</option>
                                                <?php $__currentLoopData = $ga; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($myga==$k): ?>
                                                    <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php elseif($myga=="All"): ?>
                                                     <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control form-select" required>
                                        <option value="">Please select</option>

                                       </select>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Network</label>
                                           <select name="network" id="network"  class="form-control form-select" data-placeholder="Choose a GA" required>
                                                <option value="">--Please Select Network--</option>
                                                <option value="60.3">60.3</option>
                                                <option value="89">89</option>
                                                <option value="114.3">114.3</option>
                                                <option value="168.3">168.3</option>
                                                <option value="219.1">219.1</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Weighted Average Correction Factor</label>
                                            <input type="text" name="weighted_average_correction_factor" id="weighted_average_correction_factor"
                                                required="text" class="form-control calculation" value="">
                                        </div>
                                    </div>
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Nominal Wall Thickness (mm)</label>
                                            <input type="text" name="nominal_wall_thickness" id="nominal_wall_thickness" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Pipeline Length (in m)</label>
                                            <input type="text" name="pipe_line_length" id="pipe_line_length" class="form-control calculation" value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Pressure</label>
                                            <input type="text" name="pressure" id="pressure" class="form-control calculation" value="" />
                                        </div>
                                    </div>
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Temperature</label>
                                            <input type="text" name="temperature" id="temperature" class="form-control calculation" value="" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Specific Gravity</label>
                                            <input type="text" name="specific_gravity" id="specific_gravity"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Calculated Line ID</label>
                                            <input type="text" name="calculated_line_id" id="calculated_line_id"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="row">
                                    <!--/span-->
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="form-label">Physical / Actual Volume (m3)</label>
                                            <input type="text" name="physical_actual_volume" id="physical_actual_volume"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                     <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="form-label">Calculated Temp in deg. R</label>
                                            <input type="text" name="calculated_temp" id="calculated_temp" class="form-control" value="" required="true" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Calculated Actual Compressibility Factor (Za)</label>
                                            <input type="text" name="calculated_actual_compressibility_factor" id="calculated_actual_compressibility_factor"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="form-label">Calculated Standard Volume</label>
                                            <input type="text" name="calculated_standard_volume" id="calculated_standard_volume"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3" style="padding-top:51px;">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                    <!--/span-->
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                            <th>Date</th>
                                            <th>District</th>
                                            <th>Network</th>
                                            <th>Weighted Average Correction Factor</th>
                                            <th>Nominal Wall Thickness</th>
                                            <th>Pipeline Length</th>
                                            <th>Pressure</th>
                                            <th>Temperature</th>
                                            <th>Specific Gravity</th>
                                            <th>Calculated Line ID</th>
                                            <th>Physical / Actual Volume</th>
                                            <th>Calculated Temp in deg. R</th>
                                            <th>Calculated Actual Compressibility Factor</th>
                                            <th>Calculated Standard Volume</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($allDPRLinePackData)): ?>
                                            <?php $__currentLoopData = $allDPRLinePackData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($loop->iteration); ?></td>
                                                   <td><?php echo e($value['date']); ?></td>
                                                    <td><?php echo e($value['district']); ?></td>
                                                    <td><?php echo e($value['network']); ?></td>
                                                    <td><?php echo e($value['weighted_average_correction_factor']); ?></td>
                                                    <td><?php echo e($value['nominal_wall_thickness']); ?></td>
                                                    <td><?php echo e($value['pipe_line_length']); ?></td>
                                                    <td><?php echo e($value['pressure']); ?></td>
                                                    <td><?php echo e($value['temperature']); ?></td>
                                                    <td><?php echo e($value['specific_gravity']); ?></td>
                                                    <td><?php echo e($value['calculated_line_id']); ?></td>
                                                    <td><?php echo e($value['physical_actual_volume']); ?></td>
                                                    <td><?php echo e($value['calculated_temp']); ?></td>
                                                    <td><?php echo e($value['calculated_actual_compressibility_factor']); ?></td>
                                                    <td><?php echo e($value['calculated_standard_volume']); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<?php $__env->stopPush(); ?>
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
$(document).ready(function()
{
    var table =  new DataTable('#ga_log_entry', {  
                    dom: 'rti',
                    order:[1,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
})
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        $(".calculation").keyup(function(){
            var weighted_average_correction_factor = $("#weighted_average_correction_factor").val();
            //Specific Gravity Logic
            weighted_average_correction_factor = parseFloat(weighted_average_correction_factor) || 0; // Default to 0 if empty
            var specific_gravity = ((1/weighted_average_correction_factor)/1.225);
            specific_gravity = specific_gravity.toFixed(3);
            if($.isNumeric(specific_gravity)){
                $("#specific_gravity").val(specific_gravity);
            }
            else{
                $("#specific_gravity").val(0);
            }
        //Specific Gravity Logic
        //Calculated Line ID Logic
            var nominal_wall_thickness = $("#nominal_wall_thickness").val();
            var network = $("#network").val();
            nominal_wall_thickness = parseFloat(nominal_wall_thickness) || 0; // Default to 0 if empty
            var calculated_line_id = (network-(2*nominal_wall_thickness));
            calculated_line_id = calculated_line_id.toFixed(3);
            if($.isNumeric(calculated_line_id)){
                $("#calculated_line_id").val(calculated_line_id);
            }
            else{
                $("#calculated_line_id").val(0);
            }
        //Calculated Line ID Logic

        //Physical Actual Volume Logic
        var calculated_line_id = $("#calculated_line_id").val();
            var pipe_line_length = $("#pipe_line_length").val();
            calculated_line_id = parseFloat(calculated_line_id) || 0; // Default to 0 if empty
            pipe_line_length = parseFloat(pipe_line_length) || 0; // Default to 0 if empty
            //console.log(pipe_line_length); return false;
            var physical_actual_volume1 = ((Math.PI * Math.pow(calculated_line_id / (2 * 1000), 2)) * pipe_line_length);
            physical_actual_volume1 = physical_actual_volume1.toFixed(3);
            if($.isNumeric(physical_actual_volume1)){
                $("#physical_actual_volume").val(physical_actual_volume1);
            }
            else{
                $("#physical_actual_volume").val(0);
            }
        //Physical Actual Volume Logic

        //Calculated Temp Logic
            var temperature = $("#temperature").val();
            temperature = parseFloat(temperature) || 0; // Default to 0 if empty
            var calculated_temp = (temperature*1.8+492);
            calculated_temp = Math.round(calculated_temp);
            if($.isNumeric(calculated_temp)){
                $("#calculated_temp").val(calculated_temp);
            }
            else{
                $("#calculated_temp").val(0);
            }
        //Calculated Temp Logic

        //Calculated Actual Compressibility Factor (Za) Logic
            var pressure = $("#pressure").val();
            var specific_gravity = $("#specific_gravity").val();
            var calculated_temp = $("#calculated_temp").val();
            pressure = parseFloat(pressure) || 0; // Default to 0 if empty
            specific_gravity = parseFloat(specific_gravity) || 0; // Default to 0 if empty
            calculated_temp = parseFloat(calculated_temp) || 0; // Default to 0 if empty
            var calculated_actual_compressibility_factor = 1/((1+((pressure*14.696)*344400*Math.pow(10,1.785*specific_gravity))/Math.pow(calculated_temp,3.825)));
            calculated_actual_compressibility_factor = calculated_actual_compressibility_factor.toFixed(4);
            if($.isNumeric(calculated_actual_compressibility_factor)){
                $("#calculated_actual_compressibility_factor").val(calculated_actual_compressibility_factor);
            }
            else{
                $("#calculated_actual_compressibility_factor").val(0);
            }
        //Calculated Actual Compressibility Factor (Za) Logic

        //Calculated Standard Volume Logic
            var pressure = $("#pressure").val();
            var physical_actual_volume = $("#physical_actual_volume").val();
            var temperature = $("#temperature").val();
            var calculated_actual_compressibility_factor = $("#calculated_actual_compressibility_factor").val();
            pressure = parseFloat(pressure) || 0; // Default to 0 if empty
            physical_actual_volume = parseFloat(physical_actual_volume) || 0; // Default to 0 if empty
            temperature = parseFloat(temperature) || 0; // Default to 0 if empty
            calculated_actual_compressibility_factor = parseFloat(calculated_actual_compressibility_factor) || 0; // Default to 0 if empty
            var calculated_standard_volume = ((pressure+1.01325)/1.01325)*physical_actual_volume*(273.15+15)/(273.15+temperature)*(1/calculated_actual_compressibility_factor);
            calculated_standard_volume = calculated_standard_volume.toFixed(3);
            if($.isNumeric(calculated_standard_volume)){
                $("#calculated_standard_volume").val(calculated_standard_volume);
            }
            else{
                $("#calculated_standard_volume").val(0);
            }
        //Calculated Standard Volume Logic
        
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "<?php echo e(url('api/getDistrict')); ?>",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "<?php echo e(url('api/getDcu')); ?>",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

});

$(document).on("change","#network",function()
{
    var network=$(this).val();
    $.ajax({
            url: "<?php echo e(url('api/getNominalThickness')); ?>",
            type: "POST",
            data: {
              "network":network, "category": "Steel", "device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
            $("#nominal_wall_thickness").val(result);
            }
        });
});
    });
</script>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/dpr/dprSteelLinePack.blade.php ENDPATH**/ ?>