    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">GA</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">GA</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">GA Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="ga" action="<?php echo e(route('districtMasterPost')); ?>" method="POST" class="needs-validation" novalidate >
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <?php if(isset($gaDetail)): ?>
                             <input type='hidden' name='zid'  value='<?php echo e($gaDetail["id"]); ?>'>
                             <?php endif; ?>
                             
                            <div class="row p-t-20">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">GA</label>
                                        <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                            <option>Please Select GA</option>
                                            <?php $__currentLoopData = $ga; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($v); ?>"><?php echo e($v); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">PNGRB District</label>
                                        <input type="text" name="pngrb_district" id="pngrb_district" required="true" placeholder="Enter GA Name" class="form-control" value="<?php echo e(@$gaDetail['pngrb_district']); ?>">
                                        <small class="form-control-feedback text-primary"> Name of the PNGRB District</small>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Address District</label>
                                        <input type="text" name="address_district" id="address_district" required="true" placeholder="Enter Address District" class="form-control" value="<?php echo e(@$gaDetail['address_district']); ?>">
                                        <small class="form-control-feedback text-primary"> Id of the Address District</small>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Status</label>
                                        <select  name="status" id="status" required="true" class="form-control form-select">
                                            <option value="Active"  <?php echo e((@$gaDetail['status'] == 'Active' ? "selected":"")); ?>>Active</option>
                                            <option value="Inactive" <?php echo e((@$gaDetail['status'] == 'Inactive' ? "selected":"")); ?>>Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-actions col-md-3 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="<?php echo e(route('districtMaster')); ?>"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="ga" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Address District</th>
                                <th>PNGRB District</th>
                                <th>GA Code</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(!empty($district)): ?>
                            <?php $__currentLoopData = $district; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$cc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($cc['address_district']); ?></td>
                                <td><?php echo e($cc['pngrb_district']); ?></td>
                                <td><?php echo e($cc['ga_code']); ?></td>
                                <?php if($cc['status']=="Active"): ?>
                                <td><span class="label label-success"><?php echo e($cc['status']); ?></span></td>
                                <?php else: ?>
                                <td><span class="label label-danger"><?php echo e($cc['status']); ?></span></td>
                                <?php endif; ?>
                                <td><a style="float:left; margin-right:10px;" href="<?php echo e(route('districtMaster', ['zid'=>$cc['id']])); ?>"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="<?php echo e(route('districtMasterDelete',$cc['id'])); ?>">
                            <?php echo csrf_field(); ?>
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(function()
    {
        $('#ga').DataTable();
    })
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/masters/district.blade.php ENDPATH**/ ?>