<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class Customer extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'customers';
    protected $fillable = [
        'Company', 'GA', 'PNGRB_District_t', 'Address_District', 'Charge_Area_Code', 'BP_Grouping', 'Application_Number', 'BP_Creation_Date', 'Business_Partner', 'CA', 'CA_Creation_date', 'Interest_Lock_Reason', 'Posting_Lock_Reason', 'BP_Lock_Status', 'Installation_Blocking_Reason', 'Customer_Type', 'Installation_No', 'Name_of_the_Customer', 'Full_Address_of_the_Customer', 'Contact_No', 'Mobile_Number', 'Email_Address', 'DMA_SCHEME', 'Scheme_Description', 'Portion', 'MRU', 'MRU_Description', 'Material_No', 'Meter_Serial_No', 'Meter_Manufacturer_name', 'Meter_Installation_date', 'Volume_Correction_Factor', 'Move_in_date_from_legacy_system', 'Move_out_date', 'Move_in_date_created_in_SAP', 'Actual_Move_in_date', 'Move_in_Read', 'Registration_Amount_Requested', 'Registration_Amount_Received', 'Conn_Security_dep_amount_requested', 'Consum_Security_dep_amount_requested', 'Conn_Security_dep_amount_received', 'Consum_Security_dep_amount_received', 'BP_creation_to_Move_in_aging_days', 'SRM_Number', 'Functional_Location', 'SRM_Description'
    ];
}