<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class DPRDensityData extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_density_data";
    protected $fillable = [
        'tanker_loading_date',
        'source',
        'type',
        'tanker_unloading_date',
        'invoice_quantity',
        'mmbtu_cross',
        'invoice_value',
        'rs_kg',
        'methane_percentage',
        'mmbtu_per_mt',
        'tank',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
