<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class DPRPELinePack extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_pe_linepack";
    protected $fillable = [
        'user_id',
        'date',
        'ga_code',
        'district',
        'weighted_average_correction_factor',
        'nominal_wall_thickness',
        'pipe_line_length',
        'pressure',
        'temperature',
        'specific_gravity',
        'calculated_line_id',
        'physical_actual_volume',
        'calculated_temp',
        'calculated_actual_compressibility_factor',
        'calculated_standard_volume',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
