<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprDistrictCGDRecoReport extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_district_cgd_reco';
    protected $fillable = [
        'id1', 'id2', 'Cummulative_Opening_Reading_MFM_HP_Vap_Out_in_KG', 'Cummulative_Closing_Reading_MFM_HP_Vap_Out_in_KG', 'Total_Purchase_Difference_in_SCM_CNG', 'Cummulative_Corrected_EVC_Opening_Reading_RPD_in_SCM', 'Cummulative_Corrected_EVC_Closing_Reading_RPD_in_SCM', 'Total_Purchase_Difference_in_SCM_PNG', 'Cummulative_Corrected_USM_Opening_Reading_in_SCM', 'Cummulative_Corrected_USM_Closing_Reading_in_SCM', 'Total_Purchase_Difference_in_SCM_MP_Line', 'Gross_Purchase_PNG_CNG', 'industrial', 'int_pd_cf_vol', 'cng', 'commercial', 'com_pd_cf_vol', 'domestic', 'dom_pd_cf_vol', 'Un_Accounted_Gas_Volumes_SCM', 'Total_Sales_in_SCM', 'diff_in_scm', 'percentage_loss_day', 'Cumulative_monthly_Diff_in_SCM', 'Cum_Monthly_Purchase_in_SCM', 'percentage_loss_month', 'Cumulative_yearly_Diff_in_SCM', 'Cum_Yearly_Purchase_in_SCM', 'percentage_loss_year'    ];
}