<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprIndustry extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_industry';
    protected $fillable = [
         'input_date', 'created_at', 'industrial_volume', 'volume_bar_with_evc', 'volume_bar_without_evc', 'pd_meter_volume_110','Volume_Correction_Factor_110', 'pd_meter_volume_250','Volume_Correction_Factor_250', 'pd_meter_volume_300','Volume_Correction_Factor_300', 'pd_meter_volume_400','Volume_Correction_Factor_400', 'total_sales', 'user_id', 'updated_at','status'
    ];
}