<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprStorageTank1 extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_storage_tank_1';
    protected $fillable = [
        'user_id', 'lcng_station_name', 'tanker_identification', 'date_of_unloading', 'tanker_no', 'supplier', 'before_unloading_tank_volume', 'after_onloading_tank_volume', 'total_volumn_in_kl', 'conversion', 'conversion_factor', 'calorific_value', 'total_volume_in_scm', 'status', 'created_at', 'updated_at'
    ];
}