<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class EDCompressor extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_ed_compressor";
    protected $fillable = [
        'userId',
        'date',
        'initial_suction_mfm',
        'final_suction_mfm',
        'initial_discharge_mfm',
        'final_discharge_mfm',
        'initial_fuel_consumption',
        'final_fuel_consumption',
        'specific_fuel_consumption',
        'initial_running_hours',
        'final_running_hours',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
