<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class ShiftLogGAEntry extends Model
{
    use HasFactory, Notifiable;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'shiftlog_ga_entry';
    protected $fillable = [
        'userId', 'ga_day', 'shift', 'start_time', 'end_time', 'function', 'equipment', 'sub_equipment', 'station', 'status',
    ];
}
