@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Highlights</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Highlights</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Highlights Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="ga" action="{{ route('dashboardHighlightsPost') }}" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            @if(isset($highlightsdetail))
                             <input type='hidden' name='zid'  value='{{$highlightsdetail["id"]}}'>
                             @endif
                             
                            <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">GA</label>
                                        <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA Code">
                                            <option>Please Select GA Code</option>
                                            @foreach($ga as $k=>$v)
                                                <option value="{{$k}}">{{$v}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                </div>
                                <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Retrieving data. Wait a few seconds and try to cut or copy again.</label>
                                        <input type="text" name="highlights['Retrieving data. Wait a few seconds and try to cut or copy again.']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Reportable Quality Concerns</label>
                                        <input type="text" name="highlights['Reportable Quality Concerns']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Station Dry outs (with reasons)</label>
                                        <input type="text" name="highlights['Station Dry outs (with reasons)']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">HSE Activities	</label>
                                        <input type="text" name="highlights['HSE Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">LNG Project Activities	</label>
                                        <input type="text" name="highlights['LNG Project Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">LCNG O&M Activities	</label>
                                        <input type="text" name="highlights['LCNG O&M Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">CNG Project Activities	</label>
                                        <input type="text" name="highlights['CNG Project Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">CNG O&M Activities</label>
                                        <input type="text" name="highlights['CNG O&M Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Steel Project Activities	</label>
                                        <input type="text" name="highlights['Steel Project Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Steel O&M Activities	</label>
                                        <input type="text" name="highlights['Steel O&M Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PE Laying Project Activities	</label>
                                        <input type="text" name="highlights['PE Laying Project Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Domestic	</label>
                                        <input type="text" name="highlights['PNG Project Activities - Domestic']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Commercial	</label>
                                        <input type="text" name="highlights['PNG Project Activities - Commercial']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG Project Activities - Industrial	</label>
                                        <input type="text" name="highlights['PNG Project Activities - Industrial']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PNG O&M Activities	</label>
                                        <input type="text" name="highlights['PNG O&M Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Marketing Activities	</label>
                                        <input type="text" name="highlights['Marketing Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">PR - RoU activities	</label>
                                        <input type="text" name="highlights['PR - RoU activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Stations commissioned on the day	</label>
                                        <input type="text" name="highlights['Stations commissioned on the day']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Highlight of sales- Any records set		</label>
                                        <input type="text" name="highlights['Highlight of sales- Any records set']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Assistance required from Management	</label>
                                        <input type="text" name="highlights['Assistance required from Management']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Other Activities	</label>
                                        <input type="text" name="highlights['Other Activities']" class="form-control" value="">
                                    </div>
                                </div>
                                <div class="form-actions col-md-6 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="{{route('dashboardHighlights')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="ga" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Highlights</th>
                                <th>Value</th>
                                <th>Ga Code</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(!empty($highlights))
                            @foreach($highlights as $k=>$cc)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$cc['field_name']}}</td>
                                <td>{{$cc['field_value']}}</td>
                                <td>{{$cc['ga_code']}}</td>
                                @if($cc['status']=="Active")
                                <td><span class="label label-success">{{$cc['status']}}</span></td>
                                @else
                                <td><span class="label label-danger">{{$cc['status']}}</span></td>
                                @endif
                                <td><a style="float:left; margin-right:10px;" href="{{route('districtMaster', ['zid'=>$cc['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="{{route('districtMasterDelete',$cc['id'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
    $(function()
    {
        $('#ga').DataTable();
    })
</script>
@endpush