@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Role</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Role</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
           
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Role Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="module" action="{{ route('roleMasterPost') }}" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            @if(isset($roleDetail))
                             <input type='hidden' name='zid'  value='{{$roleDetail["id"]}}'>
                             @endif
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Module</label>
                                        <select class="form-control form-select" name="module" id="module">
                                            <option value="" >Please Select Module</option>
                                            @if(isset($modules))
                                            @foreach($modules as $key=>$val)
                                          <option value="{{$key}}"  {{ (@$roleDetail['parent_module'] == $key ? "selected":"") }}>{{ anyFiled("MasterModule","module_name",$key) }}</option>
                                          @endforeach
                                          @endif
                                           <option value="All"  {{ (@$roleDetail['parent_module'] == 'All' ? "selected":"") }}>All</option>
                                        </select>
                                        <small class="form-control-feedback text-primary">Parent module </small> </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">User Designation</label>
                                        <select class="form-control form-select" name="role" id="role">
                                            <option value="" >Please Select Role</option>
                                            @if(isset($roles))
                                            @foreach($roles as $key=>$val)
                                          <option value="{{$val}}"  {{ (@$roleDetail['designation'] == $val ? "selected":"") }}>{{$val}}</option>
                                          @endforeach
                                          @endif
                                        </select>
                                        <small class="form-control-feedback text-primary">User Designation </small> </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Role Name</label>
                                     <input type="text" class="form-control" name="role_name" value="{{@$roleDetail['role_name']}}" id="role_name" placeholder="Please enter Role Name" >   
                                        <small class="form-control-feedback text-primary">System generated role name. you can change it.</small> </div>
                                </div>
                              <div class="col-md-12">
                                 
                                  <ul id="menuList"  class="list-group ">
                                  
                                  <!--<li class="col-md-6 pull-left m-b-10" style="list-style-type: none">
                                  <input type="checkbox"  class="js-switch" data-color="#009efb" />
                                
                                  </li>
                                  -->
                                  </ul>
                                  
                              </div>
                                <div class="form-actions col-md-4 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="{{route('roleMaster')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <br>
                    <!--Table Data-->
                    <div class="row">
                     <div class="col-md-12">
                   <table id="roleTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Role Name</th>
                                <th>Parent Module</th>
                                <th>Designation</th>
                                <th>Access</th>
                               <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(!empty($allrole))
                            @foreach($allrole as $k=>$cc)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$cc['role_name']}}</td>
                                <td>{{ ($cc['parent_module'] == 'All' ? "All":anyFiled("MasterModule","module_name",$cc['parent_module'])) }}</td>
                                <td>{{$cc['designation']}}</td>
                                <td style="width:20%">{{$cc['role_access']}}"</td>
                                @if($cc['status']=="Active")
                                <td><span class="label label-success">{{$cc['status']}}</span></td>
                                @else
                                <td><span class="label label-danger">{{$cc['status']}}</span></td>
                                @endif
                                <td><a style="float:left; margin-right:10px;" href="{{route('roleMaster', ['zid'=>$cc['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <!--<form method="post" action="{{route('roleMasterDelete',$cc['id'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form>--></td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
    @php
    $role_access=@$roleDetail['role_access'];
    @endphp
    <div style="display:none;">
        @if(!empty($modules))
          <ul id="grp">
          @foreach($modules as $key=>$vall)
          
          
          
          <h4 class="box-title  pull-left ">{{ anyFiled("MasterModule","module_name",$key) }}</h4>
           @foreach($vall as $k=>$val)
          <li class="col-md-6 pull-left m-b-10" style="list-style-type: none">
          <input type="checkbox" value="{{$val['module_name']}}" name="role_access[{{$key}}][{{$val['id']}}]"  class="js-switch" data-color="#009efb"  {{ (str_contains($role_access,$val['module_name']) ? "checked":"") }} />{{$val['module_name']}}
        
          </li>
          @endforeach
          
          @endforeach
          </ul>
          @endif
    </div>
    
</div>
     @endsection
@push('custom-scripts')
<script>
    $(function()
    {
        var table = $('#roleTable').DataTable({
    autoWidth: false,
    scrollY:true,
   
});
        $("#role").on("change",function()
        {
            var module=$("#module option:selected").text();
            var role=$("#role option:selected").text();
            $("#role_name").val(module+"_"+role);
        })
    })
    @if(isset($roleDetail))
        $("#menuList").html("");
        var module=$("#module option:selected").val();
       
        listMenu(module); 
    @endif
    $(document).on("change","#module",function()
        {
            $("#menuList").html("");
            var module=$(this).val();
          listMenu(module); 
           
        })
        function listMenu(module)
        {
             var module_text=$("#module option:selected").text();
             if(module=="All")
            {
                var grp=$("#grp").html();
               $("#menuList").html(grp);
               $("#menuList").find('.js-switch').each(function () {
                        new Switchery($(this)[0], $(this).data());
                    });
            }
            else
            {
                $.ajax({
                    url: "{{url('api/getMenuList')}}",
                    type: "POST",
                    data: {
                      module:module,"device":"web",
                        _token: '{{csrf_token()}}'
                    },
                    dataType: 'json',
                    success: function (result) {
                       var arr='{!!$role_access!!}';
                       var aar= $.parseJSON(arr); 
                    $("#menuList").html(' <h4 class="box-title  pull-left ">'+module_text+'</h4>');
                       $.each(result, function (key, value) {
                           //$.map(aar, function(v) { console.log(aar[module]) ;
                          // console.log("pppp");})
                           //if ($.inArray(value, aar[module][key]) > -1) 
                           if(key in aar[module])
                           {
                               
                    $("#menuList").append('<li class="col-md-6 pull-left m-b-10" style="list-style-type: none"><input type="checkbox" value="'+value+'" name="role_access['+module+']['+key+']"  class="js-switch" data-color="#009efb" checked />'+value+'</li>');
                           }
                           else
                           {
                                $("#menuList").append('<li class="col-md-6 pull-left m-b-10" style="list-style-type: none"><input type="checkbox" value="'+value+'" name="role_access['+module+']['+key+']"  class="js-switch" data-color="#009efb" />'+value+'</li>');
                           }
                        });
                    $("#menuList").find('.js-switch').each(function () {
                        new Switchery($(this)[0], $(this).data());
                    });
                    }
                });
            }
        }
</script>
@endpush