@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Role</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Role</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Role Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="module" action="" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            @if(isset($moduleDetail))
                             <input type='hidden' name='zid'  value='{{$moduleDetail["id"]}}'>
                             @endif
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">User Roles</label>
                                        <select class="form-control form-select" name="role" id="role">
                                            <option value="" >Please Select Role</option>
                                            @if(isset($roles))
                                            @foreach($roles as $key=>$val)
                                          <option value="{{$key}}"  {{ (@$moduleDetail['role'] == $key ? "selected":"") }}>{{$val}}</option>
                                          @endforeach
                                          @endif
                                        </select>
                                        <small class="form-control-feedback text-primary">Parent module </small> </div>
                                </div>
                              <div class="col-md-12">
                                  @if(!empty($modules))
                                  <ul class="list-group ">
                                  @foreach($modules as $key=>$val)
                                  
                                  @if($val['parent_module']=="")
                                  
                                  <h4 class="box-title  pull-left ">{{$val['module_name']}}</h4>
                                  
                                     
                                  @else
                                  <li class="col-md-6 pull-left m-b-10" style="list-style-type: none">
                                       <!--<div class="col-md-6 pull-left">-->
                                  <input type="checkbox"  class="js-switch" data-color="#009efb" />{{$val['module_name']}}
                                 <!-- </div>
                                  <div class="col-md-8  pull-left" >
                                      <input type="checkbox" data-size="small" class="js-switch m-r-10" data-color="#ffbc34" />View
                                      <input type="checkbox" data-size="small" class="js-switch m-r-10" data-color="#ffbc34" />Add/Edit
                                      <input type="checkbox" data-size="small" class="js-switch" data-color="#ffbc34" />Delete
                                      
                                  </div>-->
                                  </li>
                                  @endif
                                  
                                  @endforeach
                                  </ul>
                                  @endif
                              </div>
                                <div class="form-actions col-md-4 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="{{route('moduleMaster')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                   
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
    $(function()
    {
        $('#module').DataTable();
    })
</script>
@endpush