@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">WhatsApp Templates Image Upload</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">WhatsApp Templates Image Upload</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">WhatsApp Templates Image Upload Form</h4>
                </div>
                <div class="card-body">
                    <form name="whatsAppTemplate" action="{{ route('whatsAppUploadImagePost') }}" method="POST" class="needs-validation" enctype="multipart/form-data" >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            @if(isset($whatsAppTemplateDetail))
                             <input type='hidden' name='zid'  value='{{$whatsAppTemplateDetail["id"]}}'>
                             @endif
                            <div class="row p-t-20">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option>Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                @if($myga==$k)
                                                    <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['ga_code'] == $k ? "selected":"") }}>{{$v}} ({{$k}})</option>
                                                    @elseif($myga=="All")
                                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district_code" id="district" class="form-control">
                                        <option value="">Please select</option>
                                        
                                       </select>
                                    </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates Name</label>
                                       <select name="template_id" id="template_id"  class="form-control form-select">
                                                <option>Please Select Template</option>
                                                @foreach($whatsAppTemplate as $k=>$v)
                                             <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['template_id'] == $k ? "selected":"") }}>{{$v}} </option>
                                                @endforeach
                                            </select> 
                                    </div>
                                </div>
                                <!--/span-->
                               <!-- <div class="col-md-12 ">
                                    <div class="form-group">
                                        <div class="col-md-12 row">
                                        <label class="form-label">Image</label>
                                        <div class=" col-md-4"><input type="file" name="template_image" id="template_image" class="form-control" placeholder="Upload WhatsApp Templates Image" value="{{@$whatsAppTemplateImageDetail['template_image']}}"></div>
                                        <div class=" col-md-4">
                                        <img  width="100" height="100" src="/uploads/whatsapp/{{@$whatsAppTemplateImageDetail['template_image']}}"></div></div>
                                        <small class="form-control-feedback text-primary">Upload image for approval </small> </div>
                                        
                                </div>-->
                                <div class="col-md-12 row">
                                     <div class="col-md-6">
                                    <label for="input-file-now" class="form-label">Image</label>
                                            <input type="file" id="input-file-now" class="dropify" name="template_image" />
                                </div></div>
                                <!--/span-->
                               
                                <div class="form-actions col-md-3 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="{{route('whatsAppUploadImage')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="whatsAppTemplate" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>GA Code</th>
                                <th>District Code</th>
                                <th>Template Name</th>
                                <th>Image</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(!empty($whatsAppTemplateImage))
                            @foreach($whatsAppTemplateImage as $k=>$cc)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$cc['ga_code']}}</td>
                                <td>{{$cc['district_code']}}</td>
                                <td>{{anyFiled("WhatsAppTemplates","display_name",$cc['template_id'])}}</td>
                                <td> <img width="50" height="50" src="/uploads/whatsapp/template_image/{{$cc['template_image']}}"></td>
                                @if($cc['status']=="Approved")
                                <td><span class="label label-success">{{$cc['status']}}</span></td>
                                @elseif($cc['status']=="Rejected")
                                <td><span class="label label-danger">{{$cc['status']}}</span></td>
                                 @elseif($cc['status']=="Old")
                                <td><span class="label label-warning">{{$cc['status']}}</span></td>
                                @else
                                <td><span class="label label-info">{{$cc['status']}}</span></td>
                                @endif
                                <td> 
                               @if($cc['status']!="Approved")
                                    <a style="float:left; margin-right:10px;" href="{{route('whatsAppUploadImage', ['zid'=>$cc['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="{{route('whatsAppUploadImageDelete',$cc['id'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form>
                                @endif
                                </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
$(document).ready(function() {
        // Basic
        $('.dropify').dropify();

      
        // Used events
        var drEvent = $('#input-file-events').dropify();

        drEvent.on('dropify.beforeClear', function(event, element) {
            return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
        });

        drEvent.on('dropify.afterClear', function(event, element) {
            alert('File deleted');
        });

        drEvent.on('dropify.errors', function(event, element) {
            console.log('Has Errors');
        });

        var drDestroy = $('#input-file-to-destroy').dropify();
        drDestroy = drDestroy.data('dropify')
        $('#toggleDropify').on('click', function(e) {
            e.preventDefault();
            if (drDestroy.isDropified()) {
                drDestroy.destroy();
            } else {
                drDestroy.init();
            }
        })
    });


    $(function()
    {
        $('#whatsAppTemplate').DataTable();
        
    })
    $(document).on("change","#ga_code",function()
    {
        var ga_code=$(this).val();
        $.ajax({
                url: "{{url('api/getDistrict')}}",
                type: "POST",
                data: {
                  ga_code:ga_code,"device":"web",
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                $("#district").html('<option value="">Please Select</option>');
                   $.each(result, function (key, value) {
                     $("#district").append('<option value="' + key + '">' + value + '</option>');
                    });
                }
            });
    })
</script>
@endpush