    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Role</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">Role</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
           
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Role Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="module" action="<?php echo e(route('roleMasterPost')); ?>" method="POST" class="needs-validation" novalidate >
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <?php if(isset($roleDetail)): ?>
                             <input type='hidden' name='zid'  value='<?php echo e($roleDetail["id"]); ?>'>
                             <?php endif; ?>
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Module</label>
                                        <select class="form-control form-select" name="module" id="module">
                                            <option value="" >Please Select Module</option>
                                            <?php if(isset($modules)): ?>
                                            <?php $__currentLoopData = $modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <option value="<?php echo e($key); ?>"  <?php echo e((@$roleDetail['parent_module'] == $key ? "selected":"")); ?>><?php echo e(anyFiled("MasterModule","module_name",$key)); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                          <?php endif; ?>
                                           <option value="All"  <?php echo e((@$roleDetail['parent_module'] == 'All' ? "selected":"")); ?>>All</option>
                                        </select>
                                        <small class="form-control-feedback text-primary">Parent module </small> </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">User Designation</label>
                                        <select class="form-control form-select" name="role" id="role">
                                            <option value="" >Please Select Role</option>
                                            <?php if(isset($roles)): ?>
                                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <option value="<?php echo e($val); ?>"  <?php echo e((@$roleDetail['designation'] == $val ? "selected":"")); ?>><?php echo e($val); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                          <?php endif; ?>
                                        </select>
                                        <small class="form-control-feedback text-primary">User Designation </small> </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Role Name</label>
                                     <input type="text" class="form-control" name="role_name" value="<?php echo e(@$roleDetail['role_name']); ?>" id="role_name" placeholder="Please enter Role Name" >   
                                        <small class="form-control-feedback text-primary">System generated role name. you can change it.</small> </div>
                                </div>
                              <div class="col-md-12">
                                 
                                  <ul id="menuList"  class="list-group ">
                                  
                                  <!--<li class="col-md-6 pull-left m-b-10" style="list-style-type: none">
                                  <input type="checkbox"  class="js-switch" data-color="#009efb" />
                                
                                  </li>
                                  -->
                                  </ul>
                                  
                              </div>
                                <div class="form-actions col-md-4 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="<?php echo e(route('roleMaster')); ?>"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <br>
                    <!--Table Data-->
                    <div class="row">
                     <div class="col-md-12">
                   <table id="roleTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Role Name</th>
                                <th>Parent Module</th>
                                <th>Designation</th>
                                <th>Access</th>
                               <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(!empty($allrole)): ?>
                            <?php $__currentLoopData = $allrole; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$cc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($cc['role_name']); ?></td>
                                <td><?php echo e(($cc['parent_module'] == 'All' ? "All":anyFiled("MasterModule","module_name",$cc['parent_module']))); ?></td>
                                <td><?php echo e($cc['designation']); ?></td>
                                <td style="width:20%"><?php echo e($cc['role_access']); ?>"</td>
                                <?php if($cc['status']=="Active"): ?>
                                <td><span class="label label-success"><?php echo e($cc['status']); ?></span></td>
                                <?php else: ?>
                                <td><span class="label label-danger"><?php echo e($cc['status']); ?></span></td>
                                <?php endif; ?>
                                <td><a style="float:left; margin-right:10px;" href="<?php echo e(route('roleMaster', ['zid'=>$cc['id']])); ?>"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <!--<form method="post" action="<?php echo e(route('roleMasterDelete',$cc['id'])); ?>">
                            <?php echo csrf_field(); ?>
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form>--></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
    <?php
    $role_access=@$roleDetail['role_access'];
    ?>
    <div style="display:none;">
        <?php if(!empty($modules)): ?>
          <ul id="grp">
          <?php $__currentLoopData = $modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$vall): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          
          
          
          <h4 class="box-title  pull-left "><?php echo e(anyFiled("MasterModule","module_name",$key)); ?></h4>
           <?php $__currentLoopData = $vall; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <li class="col-md-6 pull-left m-b-10" style="list-style-type: none">
          <input type="checkbox" value="<?php echo e($val['module_name']); ?>" name="role_access[<?php echo e($key); ?>][<?php echo e($val['id']); ?>]"  class="js-switch" data-color="#009efb"  <?php echo e((str_contains($role_access,$val['module_name']) ? "checked":"")); ?> /><?php echo e($val['module_name']); ?>

        
          </li>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </ul>
          <?php endif; ?>
    </div>
    
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(function()
    {
        var table = $('#roleTable').DataTable({
    autoWidth: false,
    scrollY:true,
   
});
        $("#role").on("change",function()
        {
            var module=$("#module option:selected").text();
            var role=$("#role option:selected").text();
            $("#role_name").val(module+"_"+role);
        })
    })
    <?php if(isset($roleDetail)): ?>
        $("#menuList").html("");
        var module=$("#module option:selected").val();
       
        listMenu(module); 
    <?php endif; ?>
    $(document).on("change","#module",function()
        {
            $("#menuList").html("");
            var module=$(this).val();
          listMenu(module); 
           
        })
        function listMenu(module)
        {
             var module_text=$("#module option:selected").text();
             if(module=="All")
            {
                var grp=$("#grp").html();
               $("#menuList").html(grp);
               $("#menuList").find('.js-switch').each(function () {
                        new Switchery($(this)[0], $(this).data());
                    });
            }
            else
            {
                $.ajax({
                    url: "<?php echo e(url('api/getMenuList')); ?>",
                    type: "POST",
                    data: {
                      module:module,"device":"web",
                        _token: '<?php echo e(csrf_token()); ?>'
                    },
                    dataType: 'json',
                    success: function (result) {
                       var arr='<?php echo $role_access; ?>';
                       var aar= $.parseJSON(arr); 
                    $("#menuList").html(' <h4 class="box-title  pull-left ">'+module_text+'</h4>');
                       $.each(result, function (key, value) {
                           //$.map(aar, function(v) { console.log(aar[module]) ;
                          // console.log("pppp");})
                           //if ($.inArray(value, aar[module][key]) > -1) 
                           if(key in aar[module])
                           {
                               
                    $("#menuList").append('<li class="col-md-6 pull-left m-b-10" style="list-style-type: none"><input type="checkbox" value="'+value+'" name="role_access['+module+']['+key+']"  class="js-switch" data-color="#009efb" checked />'+value+'</li>');
                           }
                           else
                           {
                                $("#menuList").append('<li class="col-md-6 pull-left m-b-10" style="list-style-type: none"><input type="checkbox" value="'+value+'" name="role_access['+module+']['+key+']"  class="js-switch" data-color="#009efb" />'+value+'</li>');
                           }
                        });
                    $("#menuList").find('.js-switch').each(function () {
                        new Switchery($(this)[0], $(this).data());
                    });
                    }
                });
            }
        }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/masters/role.blade.php ENDPATH**/ ?>