    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Tankerno</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">Tankerno</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Tankerno Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="tankerno" action="<?php echo e(route('tankernoMasterPost')); ?>" method="POST" class="needs-validation" novalidate >
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <?php if(isset($tankernoDetail)): ?>
                             <input type='hidden' name='zid'  value='<?php echo e($tankernoDetail["id"]); ?>'>
                             <?php endif; ?>
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Tanker No</label>
                                        <input type="text" name="tankerno_name" id="tankerno_name" required="true" placeholder="Enter Tanker no" class="form-control" value="<?php echo e(@$tankernoDetail['tankerno_name']); ?>">
                                        <small class="form-control-feedback text-primary"> Name of the tankerno</small>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Tankerno Code</label>
                                        <input type="text" name="tankerno_code" id="tankerno_code" class="form-control " placeholder="Enter Tankerno Code" value="<?php echo e(@$tankernoDetail['tankerno_code']); ?>">
                                        <small class="form-control-feedback text-primary"> This is code or short form(if any)of the tankerno. Or add data same as tankerno name </small> </div>
                                </div>
                                <!--/span-->
                                
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Status</label>
                                        <select  name="status" id="status" required="true" class="form-control form-select">
                                            <option value="Active"  <?php echo e((@$tankernoDetail['status'] == 'Active' ? "selected":"")); ?>>Active</option>
                                            <option value="Inactive" <?php echo e((@$tankernoDetail['status'] == 'Inactive' ? "selected":"")); ?>>Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-actions col-md-4 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="<?php echo e(route('tankernoMaster')); ?>"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="tankerno" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Tankerno Name</th>
                                <th>Tankerno Code</th>
                               
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(!empty($tankerno)): ?>
                            <?php $__currentLoopData = $tankerno; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$cc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($cc['tankerno_name']); ?></td>
                                <td><?php echo e($cc['tankerno_code']); ?></td>
                               
                                <?php if($cc['status']=="Active"): ?>
                                <td><span class="label label-success"><?php echo e($cc['status']); ?></span></td>
                                <?php else: ?>
                                <td><span class="label label-danger"><?php echo e($cc['status']); ?></span></td>
                                <?php endif; ?>
                                <td><a style="float:left; margin-right:10px;" href="<?php echo e(route('tankernoMaster', ['zid'=>$cc['id']])); ?>"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="<?php echo e(route('tankernoMasterDelete',$cc['id'])); ?>">
                            <?php echo csrf_field(); ?>
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(tankerno()
    {
        $('#tankerno').DataTable();
    })
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/masters/tankerno.blade.php ENDPATH**/ ?>