<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">Sales Report</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Sales Report</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        <?php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;"><?php echo e(isset($msg) ? $msg : ''); ?></div>
                        <form name="registration" action="<?php echo e(route('generateSalesReport')); ?>" method="POST"
                            class="needs-validation" novalidate>
                            <?php echo e(csrf_field()); ?>

                            <div class="form-body">
                                <h3 class="card-title">Sales Report</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->userId); ?>">
                                <div class="row">
                                <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Districts</label>
                                            <select name="district" id="district"  class="form-control form-select">
                                                <option value="">--Select District--</option>
                                                <option value="Jodhpur">Jodhpur</option>
                                                <option value="Barmer">Barmer</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Search</button>
                                    </div>
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                            <th>Date</th>
                                            <th>Total Sales (SCM)</th>
                                            <th>PNG-Domestic Sales</th>
                                            <th>PNG-Commercial Sales</th>
                                            <th>PNG-Industrial Sales</th>
                                            <th>CNG Sales</th>
                                            <th>Direct LNG Sales</th>
                                            <th>Compression Services</th>
                                            <th>For AG&P GA</th>
                                            <th>For Others</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($finalData)): ?>
                                            <?php $__currentLoopData = $finalData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $finalData1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php //print_r($finalData1); exit; ?>
                                                <tr>
                                                    <td><?php echo e($loop->iteration); ?></td>
                                                     <td><?php echo e($finalData1['input_date']); ?></td>
                                                    <td><?php echo e($finalData1['total_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['png_domestic_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['png_commercial_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['png_industrial_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['cng_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['direct_lng_sales_scm']); ?></td>
                                                    <td><?php echo e($finalData1['compression_services']); ?></td>
                                                    <td><?php echo e($finalData1['agp_ga_scm']); ?></td>
                                                    <td><?php echo e($finalData1['others_scm']); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<?php $__env->stopPush(); ?>
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        $(".calculation").keyup(function(){
            var gas_engine_genset_fuel = $("#gas_engine_genset_fuel").val();
            var engine_composer_fuel = $("#engine_composer_fuel").val();
            //GG 1 Logic
            gas_engine_genset_fuel = parseFloat(gas_engine_genset_fuel) || 0; // Default to 0 if empty
            engine_composer_fuel = parseFloat(engine_composer_fuel) || 0; // Default to 0 if empty
            var total_png_used = gas_engine_genset_fuel + engine_composer_fuel;
            total_png_used = Math.round(total_png_used);
            if($.isNumeric(total_png_used)){
                $("#total_png_used").val(total_png_used);
            }
            else{
                $("#total_png_used").val(0);
            }
        //GG 1 Logic
        
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "<?php echo e(url('api/getDistrict')); ?>",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "<?php echo e(url('api/getDcu')); ?>",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

})
    });
</script>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/dpr/districtWiseSalesReport.blade.php ENDPATH**/ ?>