<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class DPRSug extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_sug";
    protected $fillable = [
        'user_id',
        'date',
        'ga_code',
        'district',
        'financial_year',
        'month',
        'opening_reading_mfm_gg_1',
        'closing_reading_mfm_gg_1',
        'gg_1_sug',
        'opening_reading_mfm_gg_2',
        'closing_reading_mfm_gg_2',
        'gg_2_sug',
        'gross_sug_scm',
        'cum_monthly_purchase',
        'cum_yearly_purchase',
        'gross_sug_kg',
        'gas_filled_to_mcv_from_salawas',
        'mcv_fuel',
        'admin_cab_fuel',
        'gas_engine_genset_fuel',
        'engine_composer_fuel',
        'total_cng_used',
        'total_png_used',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
