<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class DPRTankerUnloading extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_tanker_unloding";
    protected $fillable = [
        'month',
        'date',
        'opening_level_of_tank_1_a_kl',
        'opening_level_of_tank_2_b_kl',
        'opening_level_of_tank_3_i_kl',
        'opening_level_of_tank_4_j_kl',
        'total_opening_stock_c_a_b_i_j_in_kl',
        'total_opening_ctock_in_scm_d',
        'quantity_of_lng_invoiced_in_kg_q',
        'quantity_of_lng_unloaded_mfm_kg_q_1',
        'quantity_of_lng_unloaded_mfm_weighment_q_2',
        'closing_level_tank_1_e_kl',
        'closing_level_tank_2_f_kl',
        'closing_level_tank_3_e_kl',
        'closing_level_tank_4_i_kl',
        'total_closing_g_e_f_k_l_in_kl',
        'volume_available_stationary_cascade',
        'total_closing_stock_scm_kl',
        'transit_loss_gas_volumes_c',
        'loss_percentage',
        'mtd_purchased',
        'cumulative_transit_loss_gas_volumes_scm_c',
        'percentage_loss_mtd',
        'ytd_purchased',
        'cumilative_transit_loss_gas_volume_scm_c',
        'percentage_loss_ytd',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
