<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class DPRUnAccountedKnownGasLoss extends Authenticatable
{
    //  use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $table = "dpr_un_accounted_known_gas_loss";
    protected $fillable = [
        'user_id',
        'date',
        'loss_during_unloading',
        'approx_loss',
        'cng_side_loss',
        'line_damage',
        'venting_purging_vol',
        'line_pack',
        'identified_theft',
        'amc',
        'others',
        'total_unaccounted',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
}
