<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprGCVReport extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_gcv_ga_report';
    protected $fillable = [
        'gcv_total_volume_in_scm', 'gcv_calorific_value', 'gcv_total_volume_in_kg', 'gcv_total_volume_in_kl', 'gcv_conversion_factor_scm_kg', 'gcv_conversion_factor_kl_mt', 'gcv_conversion_factor_scm_kl', 'gcv_conversion_factor_kkal_scm', 'gcv_date_of_unloading'
    ];
}