<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprInputs extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_ga_district_input';
    protected $fillable = [
        'user_id', 'ga_code', 'district', 'input_date', 'input_month', 'quantity_of_LNG_invoiced_at_the_LNG_terminal', 'quantity_of_LNG_unloaded_at_the_LNG_terminal_as_per_MFM', 'quantity_of_LNG_unloaded_at_the_LCNG_station_as_per_weighment', 'tank_1', 'tank_2', 'tank_3', 'tank_4', 'volume_Available_in_Stationary_Cascade', 'HP_Vap_MFM_1', 'HP_Vap_MFM_2', 'LCV_Fill_Post-1_MFM', 'LCV_Fill_Post-2_MFM', 'LCV_Fill_Post-3_MFM', 'LCV_Fill_Post-4_MFM', 'PRS_Skid-1_RPD_Meter_in_SCM_2000_SCMH', 'PRS_Skid-2_RPD_Meter_in_SCM_5000_SCMH', 'MP_Metering_Skid_USM_Meter_in_SCM_10000_SCMH', 'total_Dispenser_Sales', 'total_MCV_Sales', 'total_CNG_Sales', 'CNG_Sales_at_DBS', 'PE_Commissioned_in_Mtr', 'PE_Laying_in_Mtr', 'steel_Commissioned', 'steel_Stringing', 'steel_Commissioned_in_Mtr', 'steel_Stringing_in_Mtr', 'domestic_Connections_registration', 'domestic_Connections_advanced_plumbing', 'domestic_Connections_Commissioned', 'commercial_NDEC_Connections_Registration', 'commercial_NDEC_Connections_Commissioned', 'industrial_Connections_Registration', 'industrial_Connections_Commissioned', 'OFC_Duct_Laying_with_Steel_Pipeline_in_Mtr', 'OFC_Duct_Laying_with_MDPE_in_Mtr', 'CNG_Vehicles_OEM', 'CNG_Vehicles_Conversion', 'OMC_Final_PESO_Applied', 'OMC_No_of_CNG_Stations_Commissioned', 'COCO_CODO_DODO_Final_PESO_Applied', 'COCO_CODO_DODO_No_of_CNG_Stations_Commissioned', 'MDPE_Laid_20_mm', 'MDPE_Commissioned_20_mm', 'created_at', 'updated_at', 'status'
    ];
}