<?php

use App\Models\Logs;
use App\Models\User;
use App\Models\Customer;
use App\Models\SurveyAssignment;
use App\Models\SurveyDone;

use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;

/**
 * Write code on Method
 *
 * @return response()
 */
if (!function_exists('hashIt')) {
    function hashIt($input)
    {
        $key1 = "AGPsurvey@912024#";
        $key2 = "@#*AGPsurvey&#Q";
        $string = $input;
        $enp = hash('sha256', $string . $key1 . $key2);
        return $enp;
    }
}
if(!function_exists('encryptIt'))
{
    function encryptIt($string)
    {
        $iv1="pQsxYWnZq4t7w!z%";
        $key1 ="p\$C&F)H@McQfTjWnZr4u7x!A%D*G-KaG";
        $encrypt_method = "AES-256-CBC";
        $encryptToken = openssl_encrypt($string, $encrypt_method, $key1, 0, $iv1);
        return $encryptToken;
    }
}
if(!function_exists('decryptIt'))
{
    function decryptIt($string)
    {
        $iv1="pQsxYWnZq4t7w!z%";
        $key1 ="p\$C&F)H@McQfTjWnZr4u7x!A%D*G-KaG";
        $encrypt_method = "AES-256-CBC";
        $decryptToken = openssl_decrypt($string, $encrypt_method, $key1, 0, $iv1);
        return $decryptToken;
    }
}
/*Manage logs*/
if (!function_exists('manageLogs')) {
    function manageLogs($data, $lid = "")
    {
        Logs::whereDate('created_at', '<=', now()->subDays(5))->delete();
        if ($data['access_device'] == "") {
            $data['access_device'] = "Mobile";
        }

        if ($lid == "") {
            $roles = Logs::insert($data);
        } else {
            $roles = Logs::where('id', $lid)->update($data);
        }

        return $roles;
    }
}
/*assignment Id  generate*/
if(!function_exists("assignmentId"))
{
    function assignmentId()
    {
        $retcode=SurveyAssignment::orderBy("assignment_id","desc")->value("assignment_id");
        $tot=SurveyAssignment::count();
        if($tot==0)
        $tot=0;
        else
        $tot=$retcode;
        return $tot+1;
    }
}
/*Upload Documents*/
if(!function_exists('uploadDoc'))
{
    function uploadDoc($fieldName,$requestFile,$file_name="")
    {
        $name = $requestFile->getClientOriginalName();
        if($file_name=="")
        $file_name = pathinfo($name, PATHINFO_FILENAME);
        $imageName = $file_name . "__".time() . '.' . $requestFile->extension();
        $requestFile->move(base_path('uploads/'.$fieldName), $imageName);
        $picture=$imageName;
        return $picture;   
    }
}
/*Upload Documents*/
if(!function_exists('uploadImage'))
{
    function uploadImage($fieldName,$requestFile,$file_name="")
    {
        $name = $requestFile->getClientOriginalName();
        if($file_name=="")
        $file_name = pathinfo($name, PATHINFO_FILENAME);
        $imageName = $file_name . "__".time() . '.' . $requestFile->extension();
        $requestFile->move(public_path('uploads/'.$fieldName), $imageName);
        $picture=$imageName;
        return $picture;   
    }
}

/*master dropdown*///added on 1-2-2024 by purnima
if(!function_exists("dd_masters"))
{
    function dd_masters($field,$idfield="")
    {
        if(isset($idfield) && $idfield!="")$id=$idfield;
        else $id="id";
        if($field=="ga")$mname ="MasterGA";
        elseif($field=="station")$mname ="MasterStations";
        elseif($field=="source")$mname ="MasterSources";
        else
        $mname ="Master".makeCamelCase($field);
        $model = "App\Models\\{$mname}";
        if($field=="district")
        $res = $model::where('status', "Active")->pluck( "address_district", "address_district")->all();
        else
        $res = $model::where('status', "Active")->pluck($field . "_name", $id)->all();
        return $res;
    }
}
function makeCamelCase($string) {
    $str = str_replace('_', '', ucwords($string, '_'));
    $str = ucfirst($str);
    return $str;
}
/*field name dynamically*/
if(!function_exists("anyFiled"))
{
    function anyFiled($tbl,$field,$id)
    {
        $data=array();
        $model = "App\Models\\{$tbl}";
        $res = $model::where('id', $id)->value($field);
        return $res;
    }
}
/*menu role wise*/
if(!function_exists("menuList"))
{
    function menuList($userId="")
    {
        $res2=$data=array();
        $model = "App\Models\\UserRoles";
        $res=$model::where("user_id",$userId)->where("status",1)->get()->toArray();
        
        if(!empty($res))
        {
            foreach($res as $k=>$v)
            {
                $data=json_decode($v['role']);
            }
        }
        if(!empty($data))
        {
            foreach($data as $k2=>$v2)
            {
                $model2 = "App\Models\\MasterRole";
                $aa=$model2::where("id",$v2)->where("status","Active")->value("role_access");
                $res2[]=json_decode($aa,true);
            }
        }
        array_multisort($res2);
        return $res2;
    }
}
if(!function_exists("sendWhatsappMessage"))
{
    function sendWhatsappMessage($dtt)
    {
        $phone="91".$dtt['phone_number'];
        /*$fields='{
        
            "to": '.$phone.',
        
            "recipient_type": "individual",
        
            "type": "template",
        
            "template": {
        
                "namespace": "9e2a7da3_a7b8_4d86_aee7_d96fc8a039e3",
        
                "name": "'.$dtt['template_name'].'",
        
                "language": {
        
                    "policy": "deterministic",
        
                    "code": "en"
        
                },
        
                "components": [
                    {
                            "type": "header",
                            "parameters": [
                                
                                 {
                    "type": "image",
                    
                    "image": {
                      
                        "link": "'.$dtt['image_link'].'"
                        
                    }
                  }
                            ]
                        },
                        {
                           "type": "body",
                        "parameters": [
                    
                        ]
                        }
        
                ]
        
            }
        
        }';*/
        $fields='{
    "messaging_product": "whatsapp",
    "to": "'.$phone.'",
    "type": "template",
     "template": {

        "namespace": "7891feca_2a9e_46f8_af48_437d61f84945",

        "name": "bjj_meter_reading",

        "language": {

            "policy": "deterministic",

            "code": "en"

        },

        "components": [
            {
                    "type": "header",
                    "parameters": [
                        
                         {
            "type": "image",
            
            "image": {
              
                "link": "https://whatsappui.netxcell.com/AGP/BJJ_Meter-reading40.jpg"
                
            }
          }
                    ]
                },
                {
                   "type": "body",
                "parameters": [
             
                 
              
            
                ]
                }

        ]

    }
}';

        $url = encode_basename($dtt['template_api']);
        //$url=$components['path']."?".urlencode($components['query']);
        //echo $url;exit;
        $curl = curl_init();
        curl_setopt_array($curl, array(
          CURLOPT_URL => $url,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => '',
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 0,
          CURLOPT_FOLLOWLOCATION => true,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => 'POST',
          CURLOPT_POSTFIELDS =>$fields,
          CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json'
          ),
        ));
        //print_r($curl);exit;
        $response = curl_exec($curl);
        
        if (curl_errno($curl)) {
    $error_msg = curl_error($curl);
}
curl_close($curl);

if (isset($error_msg)) {
  // print_r($error_msg) ;
}
else
return $response;
    }
}
function encode_basename($url) {
    $url = explode('=', $url);
    $base = array_pop($url);

    return implode('=', $url) . '=' . rawurlencode($base);
}

//Debakant's Code
function calculatePELinePackVolume($date){
    return $date;
}
if (!function_exists('cumulativeSalesInSCM')) {
    function cumulativeSalesInSCM($date)
    {
        $explodedDate = explode("-", $date);
        //print $explodedDate[0];
        
        if($explodedDate[1]==01 && $explodedDate[2]==01){
            return $data = DB::select("select total_sales_in_scm from dpr_overall_gas_reco_report where input_date='$date'");
        }
        else{
            $data = array();
            for($i = $explodedDate[2]; $i>=1; $i--){
                $newDate = $explodedDate[0]."-".$explodedDate[1]."-".$i;
                //print $newDate;
                $data[] = DB::select("select total_sales_in_scm from dpr_overall_gas_reco_report where input_date='$newDate'");
            }
            $totalSum = 0;
foreach ($data as $item) {
    $totalSum += $item[0]->total_sales_in_scm;
}
print $totalSum;
            //return array_sum($data);
        }
        /* $jobDescription = MasterShiftChecklist::where("id", $jobId)->value("job_description");
    return $jobDescription; */
    }
}
//Debakant's Code