function tankerUnloading(date, district, month) {
  district = "Jodhpur";
  $.ajax({
    url: "https://agpdpr.gcs-us.com/api/quantityOfLNGInvoiced",
    type: "POST",
    data: {
      date: date,
      district: district,
      month: month,
      device: "web",
      _token: "{{csrf_token()}}",
    },
    dataType: "json",
    success: function (result) {
      $(
        "#quantity_of_lng_invoiced_terminal_q"
      ).val(result.quantityOfLNGInvoiced);
      $(
        "#mtd_purchased"
      ).val(result.quantityOfLNGInvoiced);
      $(
        "#ytd_purchased"
      ).val(result.quantityOfLNGInvoiced);
      $("#quantity_of_lng_invoiced_terminal_q1").val(
        result.quantityOfLNGUnloaded
      );
      $("#quantity_of_lng_invoiced_terminal_q2").val(
        result.quantityOfLNGUnloadedAtLNGTerminal
      );
      $("#closing_level_of_tank_1_e_kl").val(result.closingLevelOfTank1);
      $("#closing_level_of_tank_2_f_kl").val(result.closingLevelOfTank2);
      $("#closing_level_of_tank_3_k_kl").val(result.closingLevelOfTank3);
      $("#closing_level_of_tank_4_l_kl").val(result.closingLevelOfTank4);
      closingOfStock(
        result.closingLevelOfTank1,
        result.closingLevelOfTank2,
        result.closingLevelOfTank3,
        result.closingLevelOfTank4
      );
    },
  });
}
function closingOfStock(
  closing_level_of_tank_1_e_kl,
  closing_level_of_tank_2_f_kl,
  closing_level_of_tank_3_k_kl,
  closing_level_of_tank_4_l_kl
) {
  closing_level_of_tank_1_e_kl = parseFloat(closing_level_of_tank_1_e_kl) || 0; // Default to 0 if empty
  closing_level_of_tank_2_f_kl = parseFloat(closing_level_of_tank_2_f_kl) || 0; // Default to 0 if empty
  closing_level_of_tank_3_k_kl = parseFloat(closing_level_of_tank_3_k_kl) || 0; // Default to 0 if empty
  closing_level_of_tank_4_l_kl = parseFloat(closing_level_of_tank_4_l_kl) || 0; // Default to 0 if empty
  var total_closing_stock_g_e_f_k_l =
    closing_level_of_tank_1_e_kl +
    closing_level_of_tank_2_f_kl +
    closing_level_of_tank_3_k_kl +
    closing_level_of_tank_4_l_kl;
  total_closing_stock_g_e_f_k_l = total_closing_stock_g_e_f_k_l.toFixed(2);
  if ($.isNumeric(total_closing_stock_g_e_f_k_l)) {
    $("#total_closing_stock_g_e_f_k_l").val(total_closing_stock_g_e_f_k_l);
  } else {
    $("#total_closing_stock_g_e_f_k_l").val(0);
  }
}
function allOther(date, district, month) {
  district = "Jodhpur";
  $.ajax({
    url: "https://agpdpr.gcs-us.com/api/volumeAvailableStationaryCascade",
    type: "POST",
    data: {
      date: date,
      district: district,
      month: month,
      device: "web",
      _token: "{{csrf_token()}}",
    },
    dataType: "json",
    success: function (result) {
      $("#volume_available_in_stationary_cascade").val(result);
      //Total Closing Stock in SCM-H
      var date = $("#date").val();
      var volume_available_in_stationary_cascade = $(
        "#volume_available_in_stationary_cascade"
      ).val();
      var total_closing_stock_g_e_f_k_l = $(
        "#total_closing_stock_g_e_f_k_l"
      ).val();

      var quantity_of_lng_invoiced_terminal_kgs = $(
        "#quantity_of_lng_invoiced_terminal_q"
      ).val();
      var quantity_of_lng_invoiced_terminal_as_per_kgs = $(
        "#quantity_of_lng_invoiced_terminal_q1"
      ).val();

      volume_available_in_stationary_cascade =
        parseFloat(volume_available_in_stationary_cascade) || 0; // Default to 0 if empty
      total_closing_stock_g_e_f_k_l =
        parseFloat(total_closing_stock_g_e_f_k_l) || 0; // Default to 0 if empty

      quantity_of_lng_invoiced_terminal_kgs =
        parseFloat(quantity_of_lng_invoiced_terminal_kgs) || 0; // Default to 0 if empty
      quantity_of_lng_invoiced_terminal_as_per_kgs =
        parseFloat(quantity_of_lng_invoiced_terminal_as_per_kgs) || 0; // Default to 0 if empty
      $.ajax({
        url: "https://agpdpr.gcs-us.com/api/totalClosingStock",
        type: "POST",
        data: {
          volume_available_in_stationary_cascade:
            volume_available_in_stationary_cascade,
          total_closing_stock_g_e_f_k_l: total_closing_stock_g_e_f_k_l,
          quantity_of_lng_invoiced_terminal_kgs:
            quantity_of_lng_invoiced_terminal_kgs,
          quantity_of_lng_invoiced_terminal_as_per_kgs:
            quantity_of_lng_invoiced_terminal_as_per_kgs,
          date: date,
          device: "web",
          _token: "{{csrf_token()}}",
        },
        dataType: "json",
        success: function (result) {
          $("#total_closing_stock_in_scm_h").val(
            result.total_closing_stock_in_scm_h
          );
          $("#transit_loss_gas_volumes_scm_c").val(result.transit_loss);
          $("#cumulative_transit_loss_gas_volumes_scm_c").val(
            result.transit_loss
          );
          $("#cumulative_transit_loss_gas_volumes_scm_c1").val(
            result.transit_loss
          );
        },
      });
      //Transit Loss Gas Volumes
      var date = $("#date").val();
      var quantity_of_lng_invoiced_terminal_kgs = $(
        "#quantity_of_lng_invoiced_terminal_q"
      ).val();
      var transit_loss_gas_volumes_scm_c = $(
        "#transit_loss_gas_volumes_scm_c"
      ).val();
      quantity_of_lng_invoiced_terminal_kgs =
        parseFloat(quantity_of_lng_invoiced_terminal_kgs) || 0; // Default to 0 if empty
      transit_loss_gas_volumes_scm_c =
        parseFloat(transit_loss_gas_volumes_scm_c) || 0; // Default to 0 if empty
      $.ajax({
        url: "https://agpdpr.gcs-us.com/api/lossCalculation",
        type: "POST",
        data: {
          date: date,
          quantity_of_lng_invoiced_terminal_kgs:
            quantity_of_lng_invoiced_terminal_kgs,
          transit_loss_gas_volumes_scm_c: transit_loss_gas_volumes_scm_c,
          month: month,
          device: "web",
          _token: "{{csrf_token()}}",
        },
        dataType: "json",
        success: function (result) {
          $("#loss_i_f").val(result);
        },
      });
      //Transit Loss Gas Volumes

      //MTD Loss
      var mtd_purchased = $("#mtd_purchased").val();
      var cumulative_transit_loss_gas_volumes_scm_c = $(
        "#cumulative_transit_loss_gas_volumes_scm_c"
      ).val();
      mtd_purchased = parseFloat(mtd_purchased) || 0; // Default to 0 if empty
      cumulative_transit_loss_gas_volumes_scm_c =
        parseFloat(cumulative_transit_loss_gas_volumes_scm_c) || 0; // Default to 0 if empty
      $.ajax({
        url: "https://agpdpr.gcs-us.com/api/lossCalculationMTD",
        type: "POST",
        data: {
          date: date,
          mtd_purchased: mtd_purchased,
          cumulative_transit_loss_gas_volumes_scm_c:
            cumulative_transit_loss_gas_volumes_scm_c,
          month: month,
          device: "web",
          _token: "{{csrf_token()}}",
        },
        dataType: "json",
        success: function (result) {
          $("#loss_mtd").val(result);
        },
      });
      //MTD Loss

      //YTD Loss
      var ytd_purchased = $("#ytd_purchased").val();
      var cumulative_transit_loss_gas_volumes_scm_c = $(
        "#cumulative_transit_loss_gas_volumes_scm_c"
      ).val();
      ytd_purchased = parseFloat(ytd_purchased) || 0; // Default to 0 if empty
      cumulative_transit_loss_gas_volumes_scm_c =
        parseFloat(cumulative_transit_loss_gas_volumes_scm_c) || 0; // Default to 0 if empty
      $.ajax({
        url: "https://agpdpr.gcs-us.com/api/lossCalculationYTD",
        type: "POST",
        data: {
          date: date,
          ytd_purchased: ytd_purchased,
          cumulative_transit_loss_gas_volumes_scm_c:
            cumulative_transit_loss_gas_volumes_scm_c,
          month: month,
          device: "web",
          _token: "{{csrf_token()}}",
        },
        dataType: "json",
        success: function (result) {
          $("#precentage_loss_ytd").val(result);
        },
      });
      //YTD Loss
    },
  });
}
function checkIfRecordExsists(date, month){
  let specificDate = new Date(date);
  specificDate.setDate(specificDate.getDate() - 1);
  let year = specificDate.getFullYear();
  let mmonth = (specificDate.getMonth() + 1).toString().padStart(2, "0"); // Months are 0-based
  let day = specificDate.getDate().toString().padStart(2, "0");
  let formattedDate = `${year}-${mmonth}-${day}`;
  $.ajax({
    url: "https://agpdpr.gcs-us.com/api/checkIfRecordExsists",
    type: "POST",
    data: {
      date: formattedDate,
      device: "web",
      _token: "{{csrf_token()}}",
    },
    dataType: "json",
    success: function (result) {
      if (result.closing_level_tank_1_e_kl > 0) {
        district = "Jodhpur";
        tankerUnloading(formattedDate, district, month);
        $("#opening_level_of_tank_1_a_kl").val(
          result.closing_level_tank_1_e_kl
        );
        $("#opening_level_of_tank_2_b_kl").val(
          result.closing_level_tank_2_f_kl
        );
        $("#opening_level_of_tank_3_i_kl").val(
          result.closing_level_tank_3_e_kl
        );
        $("#opening_level_of_tank_4_j_kl").val(
          result.closing_level_tank_4_i_kl
        );
        $("#total_opening_stock_c_a_b_i_j").val(result.total_opening_stock);
        $("#total_opening_stock_in_scm_d").val(
          result.total_closing_stock_scm_kl
        );
      }
    },
  });
}
