@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Dashboard</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Dashboard</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
           
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 mt-2 text-white pull-left" id="gaDistrictInputname">Dashboard </h4>
                </div>
                <form id="form-filter" class="form-horizontal" action="{{ route('cngPurchaseInput.post') }}" method="POST">
                     {{ csrf_field() }}
                    <input type="hidden" name="device" value="web">
                    <input type="hidden" name="user_id" value="{{Auth::user()->userId}}">
                    <div class="card-body">
                        <div class="form-body">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option  value="">Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                     @if($myga==$k)
                                                    <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @elseif($myga=="All")
                                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                        <option value="">Please select</option>
                                        
                                       </select>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="input_date" id="input_date"  class="form-control">
                                        </div>
                                    </div>
                                </div>
                            <div> &nbsp;</div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div style="overflow:scroll;"> 
                                <table id="customers" class="table table-bordered table-striped"  style="display:none;">
                            <thead>
                            <tr>
                                    <th colspan="3">Infrastructure </th>
                                    <th>For the Day</th>
                                    <th>Cumulative for present month</th>
                                    <th>Cumulative CY 2024</th>
                                    <th>Cumulative Till Dec 2023</th>
                                    <th>Cumulative till date</th>
                                </tr>
                                
                            </thead>
                            <tbody id="new_data">
                                
                            </tbody>
                        </table> 
                                </div>
                           
                        </div>
                        </div> 
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
function load_it(ga_code,district,input_date)
{
    $("#customers").show();
     $.ajax({
            url: "{{url('api/dashboardCalculations')}}",
            type: "POST",
            data: {
                ga_code:ga_code, district:district, input_date:input_date, "device":"web",
                _token: '{{csrf_token()}}'
            },
            //dataType: 'json',
            success: function (result) {
                console.log(result);
                //$("#customers").dataTable().fnDestroy();
                $("#new_data").html(result);
                /*var table =  new DataTable('#customers', {  
                    dom: 'rti',
                    order:[0,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });*/
        }
    });
}
$(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
        $.ajax({
            url: "{{url('api/getDistrict')}}",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#input_date",function()
{
    var ga_code=$("#ga_code").val();
    var district=$("#district").val();
    var input_date=$("#input_date").val();
    load_it(ga_code,district,input_date);
})
</script>
@endpush