@extends('layout')
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">DOM</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item active">DOM</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        @php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;">{{ isset($msg) ? $msg : '' }}</div>
                        <form name="registration" action="{{ route('postDomData') }}" method="POST"
                            class="needs-validation" novalidate>
                            {{ csrf_field() }}
                            <div class="form-body">
                                <h3 class="card-title">DOM</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="{{ Auth::user()->userId }}">
                                <input type="hidden" name="did" value="{{ isset($singleDomData[0]['id']) ? $singleDomData[0]['id'] : '' }}" />
                                <div class="row">
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <?php //print  $singleDomData[0]['ga_code']; ?>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option>Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                @if($myga == $k || $myga == "All")
            <option value="{{$k}}" {{ (isset($singleDomData[0]['ga_code']) && $singleDomData[0]['ga_code'] == $k) ? "selected" : "" }}>{{$v}} ({{$k}})</option>
        @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                        <option value="">--Please Select--</option>
                                        <?php if(isset($singleDomData[0]['district'])){ ?>
                                        <option value="{{$singleDomData[0]['district']}}"  selected>{{$singleDomData[0]['district']}}</option>
                                        <?php } ?>
                                       </select>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
<input type="date" name="date" id="date" required="true" class="form-control" value="{{ isset($singleDomData[0]['date']) ? $singleDomData[0]['date'] : '' }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                     <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Dom Average as per avg. billing days</label>
                                            <input type="text" name="dom_average" id="dom_average" class="form-control calculation" value="{{ isset($singleDomData[0]['dom_average']) ? $singleDomData[0]['dom_average'] : '' }}" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Count of Move in Customer in SAP</label>
                                            <input type="text" name="count_move_sap" id="count_move_sap"
                                                required="number" class="form-control" value="{{ isset($singleDomData[0]['count_move_sap']) ? $singleDomData[0]['count_move_sap'] : '' }}">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Count of Active Move in Customer in SAP</label>
                                            <input type="number" name="count_active_move_sap" id="count_active_move_sap" class="form-control calculation" value="{{ isset($singleDomData[0]['count_active_move_sap']) ? $singleDomData[0]['count_active_move_sap'] : '' }}" required="true" />
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                     <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">CF</label>
                                            <input type="number" name="cf" id="cf" class="form-control" value="{{ isset($singleDomData[0]['cf']) ? $singleDomData[0]['cf'] : '' }}" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Actual Domestic Volume</label>
                                            <input type="number" name="actual_domestic_volume" id="actual_domestic_volume" class="form-control" value="{{ isset($singleDomData[0]['actual_domestic_volume']) ? $singleDomData[0]['actual_domestic_volume'] : '' }}" required="true" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-4 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                    <!--/span-->
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                           
                                            <th>GA</th>
                                            <th>District</th>
                                            <th>Average Days</th>
                                            <th>Move in Customer</th>
                                            <th>Active Move in Customer</th>
                                            <th>CF</th>
                                            <th>Actual Domestic Volume</th>
                                            <th>Last Modified</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($allDomData))
                                            @foreach ($allDomData as $key => $value)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $value['ga_code'] }}</td>
                                                    <td>{{ $value['district'] }}</td>
                                                    <td>{{ $value['average_days'] }}</td>
                                                    <td>{{ $value['count_move_sap'] }}</td>
                                                    <td>{{ $value['count_active_move_sap'] }}</td>
                                                    <td>{{ $value['cf'] }}</td>
                                                    <td>{{ $value['actual_domestic_volume'] }}</td>
                                                    <td>{{ $value['updated_at'] }}</td>
                                                    <td><a style="float:left; margin-right:10px;" href="{{route('dprDom', ['id'=>$value['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                </form></td>
                                                </tr>
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
@endsection
@push('custom-scripts')
@endpush
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
$(document).ready(function()
{
    var table =  new DataTable('#ga_log_entry', {  
                    dom: 'rti',
                    order:[1,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
})
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        $(".calculation").keyup(function(){
            var dom_average = $("#dom_average").val();
            var count_active_move_sap = $("#count_active_move_sap").val();
            //Actual Domestic Volume Logic
            dom_average = parseFloat(dom_average) || 0; // Default to 0 if empty
            count_active_move_sap = parseFloat(count_active_move_sap) || 0; // Default to 0 if empty
            var actual_domestic_volume = dom_average * count_active_move_sap;
            actual_domestic_volume = actual_domestic_volume.toFixed(2);
            if($.isNumeric(actual_domestic_volume)){
                $("#actual_domestic_volume").val(actual_domestic_volume);
            }
            else{
                $("#actual_domestic_volume").val(0);
            }
        
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "{{url('api/getDistrict')}}",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "{{url('api/getDcu')}}",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

})
    });
</script>
