@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">New Joinees Registration</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Joinees Registration</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">AGP New Joinees Registration Form</h4>
                </div>
                <div class="card-body">
                    <form name="joineeregistration" action="{{ route('joineesRegistration.post') }}" method="POST" class="needs-validation" novalidate >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <h3 class="card-title">Joinees Info</h3>
                            <hr>
                            <input type="hidden" name="device" value="web">
                            <div class="row p-t-20">
                                
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Joinees Name</label>
                                        <input type="text" name="joinee_name" required="true" id="joineeName" class="form-control " placeholder="Enter joinees name">
                                        <small class="form-control-feedback"> This is the full name of the user. </small> </div>
                                </div>
								 <div class="col-md-6">
                                        <div class="form-group">
                                        <label class="form-label">Email</label>
                                        <input type="text" name="joinee_email" required="true" id="joineeEmail" class="form-control " placeholder="Enter joinees email">
                                        <small class="form-control-feedback"> This is the email of the user. </small> </div>
                                </div>
                                <!--/span-->
                          </div>
                            <!--/row-->
                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Position</label>
                                        <input type="text" name="joinee_position" id="joineePosition" required="true" placeholder="Enter joinees position" class="form-control">
                                    </div>
                                </div>
								<div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">Phone Number</label>
                                        <input type="text" name="joinee_phone" id="joineePhone" required="true" placeholder="Enter joinees Phone number" class="form-control">
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
      

                            <!--/row-->
                        </div>
                        <div class="form-actions">
                            <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                            <button type="reset" class="btn btn-secondary">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')

@endpush