@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">WhatsApp Templates Images</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">WhatsApp Templates Images </li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">WhatsApp Templates Images</h4>
                </div>
                <div class="card-body">
                    <!--Table Data-->
                    <table id="whatsAppTemplate" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>GA Code</th>
                                <th>District Code</th>
                                <th>Templates Name</th>
                                <th>Image</th>
                                <th>Approved Limit</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(!empty($whatsAppTemplateImage))
                            @foreach($whatsAppTemplateImage as $k=>$cc)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$cc['ga_code']}}</td>
                                <td>{{$cc['district_code']}}</td>
                                <td>{{anyFiled("WhatsAppTemplates","template_name",$cc['template_id'])}}</td>
                                <td> <img width="50" height="50" src="/uploads/whatsapp/template_image/{{$cc['template_image']}}"></td>
                                <td><form method="post" id="whatsapp_{{$cc['id']}}" action="{{route('whatsAppImageAction',['zid'=>$cc['id'],'val'=>'Update'])}}">
                            @csrf
                                <input type="text" name="max_limit" id="limit_{{$cc['id']}}" value="{{$cc['max_limit']}}" class="form-control limit">
                                </form></td>
                                @if($cc['status']=="Approved")
                                <td><span class="label label-success">{{$cc['status']}}</span></td>
                                @elseif($cc['status']=="Rejected")
                                <td><span class="label label-danger">{{$cc['status']}}</span></td>
                                @elseif($cc['status']=="Old")
                                <td><span class="label label-warning">{{$cc['status']}}</span></td>
                                @else
                                <td><span class="label label-info">{{$cc['status']}}</span></td>
                                @endif
                                <td> 
                                <form method="post" action="{{route('whatsAppImageAction',['zid'=>$cc['id'],'ga'=>$cc['ga_code'],'district'=>$cc['district_code'],'tem_id'=>$cc['template_id'],'val'=>'Approved'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure want to approve it?')" title="Approve"  class="btn btn-success btn-sm pull-left m-r-10"><i class="ti-thumb-up"></i></button>
                                </form>
                                 <form method="post" action="{{route('whatsAppImageAction',['zid'=>$cc['id'],'val'=>'Rejected'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure want to reject it?')" title="Reject"  class="btn btn-danger btn-sm"><i class="ti-thumb-down"></i></button>
                                </form>
                                    <!--<a style="float:left; margin-right:10px;" href="{{route('whatsAppUploadImage', ['zid'=>$cc['id']])}}"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="{{route('whatsAppUploadImageDelete',$cc['id'])}}">
                            @csrf
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form>-->
                                
                                </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
$(document).ready(function() {
        // Basic
        $('.dropify').dropify();

      
        // Used events
        var drEvent = $('#input-file-events').dropify();

        drEvent.on('dropify.beforeClear', function(event, element) {
            return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
        });

        drEvent.on('dropify.afterClear', function(event, element) {
            alert('File deleted');
        });

        drEvent.on('dropify.errors', function(event, element) {
            console.log('Has Errors');
        });

        var drDestroy = $('#input-file-to-destroy').dropify();
        drDestroy = drDestroy.data('dropify')
        $('#toggleDropify').on('click', function(e) {
            e.preventDefault();
            if (drDestroy.isDropified()) {
                drDestroy.destroy();
            } else {
                drDestroy.init();
            }
        })
    });


    $(function()
    {
        $('#whatsAppTemplate').DataTable();
        
    })
    $(document).on("change","#ga_code",function()
    {
        var ga_code=$(this).val();
        $.ajax({
                url: "{{url('api/getDistrict')}}",
                type: "POST",
                data: {
                  ga_code:ga_code,"device":"web",
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                $("#district").html('<option value="">Please Select</option>');
                   $.each(result, function (key, value) {
                     $("#district").append('<option value="' + key + '">' + value + '</option>');
                    });
                }
            });
    })
    $(document).on("change", "[id^='limit_']",function()
    {
        var idd=this.id.split("_")[1];
        
        if( confirm('Are you sure you want to continue?')) {
             $("#whatsapp_"+idd).submit();     
   }
    })
</script>
@endpush