@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">WhatsApp Templates Images</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">WhatsApp Templates Images </li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">WhatsApp Templates Images</h4>
                </div>
                <div class="card-body">
                     <div class="form-body">
                           
                           <form id="form-filter" class="form-horizontal">
                    <div class="row">
                        <div class="form-group element col-3">
                            <label for="text-input" class=" form-control-label">Campaign creation Date
                            </label> 
                           <input type="date" name="created_at" id="created_at" class="form-control">
                        </div>
                        <div class="form-group element col-3">
                            <label for="text-input" class=" form-control-label">GA
                            </label>
                           <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                <option value="">Please Select GA</option>
                                @foreach($ga as $k=>$v)
                                @if($myga==$k)
                                    <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['ga_code'] == $k ? "selected":"") }}>{{$v}} ({{$k}})</option>
                                    @elseif($myga=="All")
                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group element col-3">
                            <label for="text-input" class=" form-control-label">District
                            </label>
                          <select name="district_code" id="district" class="form-control">
                            <option value="">Please select</option>
                           </select>
                        </div>
                        <div class="form-group element col-3">
                            <label for="text-input" class=" form-control-label">Template
                            </label>
                          <select name="template_id" id="template_id"  class="form-control form-select">
                                <option value="">Please Select Template</option>
                                @foreach($whatsAppTemplate as $k=>$v)
                             <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['template_id'] == $k ? "selected":"") }}>{{$v}} </option>
                                @endforeach
                            </select> 
                        </div>
                      
                         <div>
                            <input id="submit" class="btn btn-primary text-white" type="button" value="Search"> 
                           <input type="reset" id="btn-reset" class="btn btn-secondary" value="Cancel">
                        </div>
                    </div>
                </form>
                <table id="customers" class="table table-bordered table-striped col-12">
                    <thead>
                        <tr>
                            <th>SL#</th>
                            <th>GA</th>
                            <th>District</th>
                            <th>Template</th>
                            <th>Image</th>
                            <th>Approved Quantity</th>
                            <th>Send Quantity</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                </table>     
                            <!--/row-->
                        </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
    
    <div class="modal bs-example-modal-lg" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="exampleModalLabel1">WhatsApp Messages</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span aria-hidden="true"></span></button>
            </div>
            <div class="modal-body">
                <table id="whatsapp" class="table table-bordered table-striped col-12">
                    <thead>
                        <tr>
                            <th>SL#</th>
                            <th>GA</th>
                            <th>District</th>
                            <th>Template</th>
                            <th>Phone</th>
                            <th>Date</th>
                            <th>Sent By</th>
                        </tr>
                    </thead>
                </table>    
            </div>
            <div class="modal-footer">
            </div>
        </div>
    </div>
</div>
    
    
    
</div>
     @endsection
@push('custom-scripts')
<script>
   var table =  new DataTable('#customers', {  
       dom:"Blfrtip",
       "buttons": ["csv", "excel", "pdf", "print"],
        processing: true,
        serverSide: true,
        'lengthMenu': [ [100, 250, -1], [100, 250, 'All'] ],
        order:[0,"asc"],
        scrollX: true,
        "ajax":{
                     "url": "{{ route('getWhatsAppReport') }}",
                     "dataType": "json",
                     "type": "POST",
                     
                     "data":
                     function(data)
                     {  
                        data.device= "web",
                        data.userId="{{Auth::user()->userId}}",
                        data._token= "{{csrf_token()}}",
                        data.formdata = $('#form-filter').serialize();
                     }
                   },
                    "columns": [
		        { "data": "slNo" },
		        { "data": "ga_code" },
				{ "data": "district_code" },
				{ "data": "template_name" },
				{ "data": "template_image" },
				{ "data": "max_limit" },
				{ "data": "send_limit" },
               { "data": "options" },
            ],
            
			"columnDefs": [ 
        {
"targets": [0],
"orderable": false
} 
    ],
});
$('#submit').on("click",function(){ //button filter event click
        table.ajax.reload();  //just reload table
    });
$('#btn-reset').click(function(){ //button reset event click
        $('#form-filter')[0].reset();
        table.ajax.reload();  //just reload table
    }); 
    
    $(document).on("change","#ga_code",function()
    {
        var ga_code=$(this).val();
        $.ajax({
                url: "{{url('api/getDistrict')}}",
                type: "POST",
                data: {
                  ga_code:ga_code,"device":"web",
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                $("#district").html('<option value="">Please Select</option>');
                   $.each(result, function (key, value) {
                     $("#district").append('<option value="' + key + '">' + value + '</option>');
                    });
                }
            });
    })
    
$(document).on("click","[id^='openModal_']",function()
{
    var template_id=this.id.split("_")[1];
    var template_image_id=this.id.split("_")[2];
     table2 =  new DataTable('#whatsapp', { 
         dom:"Blfrtip",
       "buttons": ["csv", "excel", "pdf", "print"],
        processing: true,
        serverSide: true,
        'lengthMenu': [ [100, 250, -1], [100, 250, 'All'] ],
        order:[0,"asc"],
        scrollX: true,
        "ajax":{
                     "url": "{{ route('getWhatsAppReportDetails') }}",
                     "dataType": "json",
                     "type": "POST",
                     "data":
                     function(data)
                     {  
                        data.device= "web",
                        data.template_id= template_id,
                        data.template_image_id= template_image_id,
                        data.userId="{{Auth::user()->userId}}",
                        data._token= "{{csrf_token()}}"
                     }
                   },
                    "columns": [
		        { "data": "slNo" },
		        { "data": "ga_code" },
				{ "data": "district_code" },
				{ "data": "template_name" },
				{ "data": "phone" },
				{ "data": "created_at" },
				{ "data": "user_id" },
            ],
			"columnDefs": [ 
        {
"targets": [0],
"orderable": false
} 
    ],
});
 
})
$(document).on('hide.bs.modal','#myModal', function () {
    table2.destroy();

});
</script>
@endpush