@extends('layout')
    @section('content')
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">WhatsApp Send Messages</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">WhatsApp Templates Images </li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
   <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Send WhatsApp Message Form</h4>
                </div>
                <div class="card-body">
                    <form name="whatsAppTemplate" action="{{ route('sendWhatsAppMessagePost') }}" method="POST" class="needs-validation" enctype="multipart/form-data"  >
                        {{ csrf_field() }}
                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option>Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                @if($myga==$k)
                                                    <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['ga_code'] == $k ? "selected":"") }}>{{$v}} ({{$k}})</option>
                                                    @elseif($myga=="All")
                                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district_code" id="district" class="form-control">
                                        <option value="">Please select</option>
                                        
                                       </select>
                                    </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates Name</label>
                                       <select name="template_id" id="template_id"  class="form-control form-select">
                                                <option>Please Select Template</option>
                                                @foreach($whatsAppTemplate as $k=>$v)
                                             <option value="{{$k}}" {{ (@$whatsAppTemplateImageDetail['template_id'] == $k ? "selected":"") }}>{{$v}} </option>
                                                @endforeach
                                            </select> 
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates API</label>
                                        <input type="text" id="template_api"  name="template_api" class="form-control " value="" readonly>
                                        <small class="form-control-feedback text-primary"> This is API of the WhatsApp Templates. </small> </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Max Limit</label>
                                        <input type="text" id="max_limit"  name="max_limit" class="form-control " value="" readonly>
                                         <input type="hidden" id="template_image_id"  name="template_image_id" class="form-control " value="" readonly>
                                        <small class="form-control-feedback text-primary" id="max_limit_text"> </small>
                                       </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label">WhatsApp Templates Image</label>
                                        <input type="hidden" name="template_name" id="template_name">
                                        <input type="hidden" name="template_image" id="template_image">
                                       <img width="200" height="200" id="whatsapp_image">
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-label">Upload CSV</label>
                                        <input type="file" name="file"  placeholder="upload csv file" class="form-control">
                                        <small class="form-control-feedback text-primary"><a href="public/sample/phone.csv" >Download Sample csv</a> </small> </div>
                                </div>
                                <div class="form-actions col-md-3 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Send</button>
                                    <a href="{{route('sendWhatsAppMessage')}}"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
$(document).ready(function() {
        // Basic
        $('.dropify').dropify();

      
        // Used events
        var drEvent = $('#input-file-events').dropify();

        drEvent.on('dropify.beforeClear', function(event, element) {
            return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
        });

        drEvent.on('dropify.afterClear', function(event, element) {
            alert('File deleted');
        });

        drEvent.on('dropify.errors', function(event, element) {
            console.log('Has Errors');
        });

        var drDestroy = $('#input-file-to-destroy').dropify();
        drDestroy = drDestroy.data('dropify')
        $('#toggleDropify').on('click', function(e) {
            e.preventDefault();
            if (drDestroy.isDropified()) {
                drDestroy.destroy();
            } else {
                drDestroy.init();
            }
        })
    });


    $(function()
    {
        $('#whatsAppTemplate').DataTable();
        
    })
    $(document).on("change","#template_id",function()
    {
        var template_id=$(this).val();
        var ga_code=$("#ga_code").val();
        var district_code=$("#district").val();
        $.ajax({
                url: "{{route('getWhatsAppTemplateDetails')}}",
                type: "POST",
                data: {
                  ga_code:ga_code, district_code:district_code, template_id:template_id,"device":"web",
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    var rem= parseInt(result[0].max_limit)-parseInt(result[0].send_limit);
                    $("#template_api").val(result[0].template_api);
                    var srcc="/uploads/whatsapp/template_image/"+result[0].template_image;
                   $("#whatsapp_image").attr("src",srcc);
                   $("#template_image").val(srcc);
                   $("#template_name").val(result[0].template_name);
                   $("#max_limit").val(result[0].max_limit);
                   $("#template_image_id").val(result[0].id);
                    $("#max_limit_text").html(result[0].send_limit+" messages sent, You can send "+rem+" more!");
                   
                }
            });
    })
    $(document).on("change","#ga_code",function()
    {
        var ga_code=$(this).val();
        $.ajax({
                url: "{{url('api/getDistrict')}}",
                type: "POST",
                data: {
                  ga_code:ga_code,"device":"web",
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                $("#district").html('<option value="">Please Select</option>');
                   $.each(result, function (key, value) {
                     $("#district").append('<option value="' + key + '">' + value + '</option>');
                    });
                }
            });
    })
</script>
@endpush