    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">GA/District Input</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">GA/District Input Sheet</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
           
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
             $myga=anyFiled("User","ga",Auth::user()->id);
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 mt-2 text-white pull-left" id="gaDistrictInputname">GA/District Input Sheet</h4>
                </div>
                <form id="form-filter" class="form-horizontal" action="<?php echo e(route('gaDistrictInput.post')); ?>" method="POST">
                     <?php echo e(csrf_field()); ?>

                    <input type="hidden" name="device" value="web">
                    <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->userId); ?>">
                     <?php if(!empty($input_details)): ?>
                     <input type="hidden" name="input_id" value="<?php echo e($input_details['id']); ?>">
                     <div class="card-body">
                        <div class="form-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option  value="">Please Select GA</option>
                                                <?php $__currentLoopData = $ga; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <?php if($myga==$k): ?>
                                                    <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php elseif($myga=="All" ): ?>
                                                     <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                         <?php $__currentLoopData = $district; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <?php if($input_details['district']==$k): ?>
                                                    <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                       </select>
                                    </div>
                                </div>
                            <div> &nbsp;</div>
                        </div>
                        <table id="customers" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                   <!-- <th>Month</th>-->
                                    <th>Date</th>
                                    <th>Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q</th>
                                    <th>Quantity of LNG Unloaded at the LCNG Station as per Unloading MFM (in Kgs)- Q.1</th>
                                    <th>Quantity of LNG Unloaded at the LCNG Station as per Weighment (in Kgs)- Q.2</th>
                                    <th>Tank -1 Stock in KL</th>
                                    <th>Tank -2 Stock in KL</th>
                                    <th>Tank -3 Stock in KL</th>
                                    <th>Tank -4 Stock in KL</th>
                                    <th>Volume Available in Stationary Cascade in KG</th>
                                    <th>HP Vap. MFM 1 in KG</th>
                                    <th>HP Vap. MFM 2 in KG</th>
                                    <th>LCV Fill Post-1 MFM in KG</th>
                                    <th>LCV Fill Post-2 MFM in KG</th>
                                    <th>LCV Fill Post-3 MFM in KG</th>
                                    <th>LCV Fill Post-4 MFM in KG</th>
                                    <th>PRS Skid-1 RPD Meter in SCM(2000SCMH)</th>
                                    <th>PRS Skid-2 RPD Meter in SCM(5000 SCMH)</th>
                                    <th>MP Metering Skid USM Meter in SCM(10000 SCMH)</th>
                                    <th>Total Dispenser Sales in KG</th>
                                    <th>Total MCV Sales in KG</th>
                                    <th>Total CNG Sales</th>
                                    <th>CNG Sales at DBS</th>
                                    <th>PE Commissioned in Mtr.Jodhpur</th>
                                    <th>PE Laying in Mtr.Jodhpur</th>
                                    <th>Steel Commissioned in Inch-Mtr</th>
                                    <th>Steel Stringing in Inch-Mtr.</th>
                                    <th>Steel Commissioned in Mtr</th>
                                    <th>Steel Stringing in Mtr.</th>
                                    <th>Domestic Connections (Registration)Jodhpur</th>
                                    <th>Domestic Connections (Advanced Plumbing)Jodhpur</th>
                                    <th>Domestic Connections (Commissioned)Jodhpur</th>
                                    <th>Commercial / NDEC Connections (Registration)</th>
                                    <th>Commercial / NDEC Connections (Commissioned)</th>
                                    <th>Industrial Connections (Registration)</th>
                                    <th>Industrial Connections (Commissioned)</th>
                                    <th>OFC Duct Laying with Steel Pipeline in Mtr.	</th>
                                    <th>OFC Duct Laying with MDPE in Mtr.</th>
                                    <th>CNG Vehicles (OEM)	</th>
                                    <th>CNG Vehicles (Conversion)</th>
                                    <th>(OMC)Final PESO Applied</th>
                                    <th>(OMC)No. of CNG Stations Commissioned</th>
                                    <th>(COCO/CODO/DODO)Final PESO Applied</th>
                                    <th>(COCO/CODO/DODO)No. of CNG Stations Commissioned</th>
                                    <th>MDPE Laid 20 mm	</th>
                                    <th>MDPE Commissioned 20 mm</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
       <!-- <td><input type="text" name="input_month" value="<?php echo e($input_details['input_month']); ?>"></td>-->
        <td><input type="date" name="input_date" value="<?php echo e($input_details['input_date']); ?>"></td>
        <td><input type="text" name="quantity_of_LNG_invoiced_at_the_LNG_terminal" id="quantity_of_LNG_invoiced_at_the_LNG_terminal" value="<?php echo e($input_details['quantity_of_LNG_invoiced_at_the_LNG_terminal']); ?>"></td>
        <td><input type="text" name="quantity_of_LNG_unloaded_at_the_LNG_terminal_as_per_MFM" id="quantity_of_LNG_unloaded_at_the_LNG_terminal_as_per_MFM" value="<?php echo e($input_details['quantity_of_LNG_unloaded_at_the_LNG_terminal_as_per_MFM']); ?>"></td>
        <td><input type="text" name="quantity_of_LNG_unloaded_at_the_LCNG_station_as_per_weighment" id="quantity_of_LNG_unloaded_at_the_LCNG_station_as_per_weighment" value="<?php echo e($input_details['quantity_of_LNG_unloaded_at_the_LCNG_station_as_per_weighment']); ?>"></td>
        <td><input type="text" name="tank_1" id="tank_1" value="<?php echo e($input_details['tank_1']); ?>"></td>
        <td><input type="text" name="tank_2" id="tank_2" value="<?php echo e($input_details['tank_2']); ?>"></td>
        <td><input type="text" name="tank_3" id="tank_3" value="<?php echo e($input_details['tank_3']); ?>"></td>
        <td><input type="text" name="tank_4" id="tank_4" value="<?php echo e($input_details['tank_4']); ?>"></td>
        <td><input type="text" name="volume_Available_in_Stationary_Cascade" id="volume_Available_in_Stationary_Cascade" value="<?php echo e($input_details['volume_Available_in_Stationary_Cascade']); ?>"></td>
        <td><input type="text" name="HP_Vap_MFM_1" id="HP_Vap_MFM_1" value="<?php echo e($input_details['HP_Vap_MFM_1']); ?>"></td>
        <td><input type="text" name="HP_Vap_MFM_2" id="HP_Vap_MFM_2" value="<?php echo e($input_details['HP_Vap_MFM_2']); ?>"></td>
        <td><input type="text" name="LCV_Fill_Post-1_MFM" id="LCV_Fill_Post-1_MFM" value="<?php echo e($input_details['LCV_Fill_Post-1_MFM']); ?>"></td>
        <td><input type="text" name="LCV_Fill_Post-2_MFM" id="LCV_Fill_Post-2_MFM" value="<?php echo e($input_details['LCV_Fill_Post-2_MFM']); ?>"></td>
        <td><input type="text" name="LCV_Fill_Post-3_MFM" id="LCV_Fill_Post-3_MFM" value="<?php echo e($input_details['LCV_Fill_Post-3_MFM']); ?>"></td>
        <td><input type="text" name="LCV_Fill_Post-4_MFM" id="LCV_Fill_Post-4_MFM" value="<?php echo e($input_details['LCV_Fill_Post-4_MFM']); ?>"></td>
        <td><input type="text" name="PRS_Skid-1_RPD_Meter_in_SCM_2000_SCMH" id="PRS_Skid-1_RPD_Meter_in_SCM_2000_SCMH" value="<?php echo e($input_details['PRS_Skid-1_RPD_Meter_in_SCM_2000_SCMH']); ?>"></td>
        <td><input type="text" name="PRS_Skid-2_RPD_Meter_in_SCM_5000_SCMH" id="PRS_Skid-2_RPD_Meter_in_SCM_5000_SCMH" value="<?php echo e($input_details['PRS_Skid-2_RPD_Meter_in_SCM_5000_SCMH']); ?>"></td>
        <td><input type="text" name="MP_Metering_Skid_USM_Meter_in_SCM_10000_SCMH" id="MP_Metering_Skid_USM_Meter_in_SCM_10000_SCMH" value="<?php echo e($input_details['MP_Metering_Skid_USM_Meter_in_SCM_10000_SCMH']); ?>"></td>
        <td><input type="text" name="total_Dispenser_Sales" id="total_Dispenser_Sales" value="<?php echo e($input_details['total_Dispenser_Sales']); ?>"></td>
        <td><input type="text" name="total_MCV_Sales" id="total_MCV_Sales" value="<?php echo e($input_details['total_MCV_Sales']); ?>"></td>
        <td><input type="text" name="total_CNG_Sales" id="total_CNG_Sales" value="<?php echo e($input_details['total_CNG_Sales']); ?>"></td>
        <td><input type="text" name="CNG_Sales_at_DBS" id="CNG_Sales_at_DBS"  value="<?php echo e($input_details['CNG_Sales_at_DBS']); ?>" readonly></td>
        <td><input type="text" name="PE_Commissioned_in_Mtr" id="PE_Commissioned_in_Mtr" value="<?php echo e($input_details['PE_Commissioned_in_Mtr']); ?>"></td>
        <td><input type="text" name="PE_Laying_in_Mtr" id="PE_Laying_in_Mtr" value="<?php echo e($input_details['PE_Laying_in_Mtr']); ?>"></td>
        <td><input type="text" name="steel_Commissioned" id="steel_Commissioned" value="<?php echo e($input_details['steel_Commissioned']); ?>"></td>
        <td><input type="text" name="steel_Stringing" id="steel_Stringing" value="<?php echo e($input_details['steel_Stringing']); ?>" readonly></td>
        <td><input type="text" name="steel_Commissioned_in_Mtr" id="steel_Commissioned_in_Mtr" value="<?php echo e($input_details['steel_Commissioned_in_Mtr']); ?>"></td>
        <td><input type="text" name="steel_Stringing_in_Mtr" id="steel_Stringing_in_Mtr" value="<?php echo e($input_details['steel_Stringing_in_Mtr']); ?>"></td>
        <td><input type="text" name="domestic_Connections_registration" id="domestic_Connections_registration" value="<?php echo e($input_details['domestic_Connections_registration']); ?>"></td>
        <td><input type="text" name="domestic_Connections_advanced_plumbing" id="domestic_Connections_advanced_plumbing" value="<?php echo e($input_details['domestic_Connections_advanced_plumbing']); ?>"></td>
        <td><input type="text" name="domestic_Connections_Commissioned" id="domestic_Connections_Commissioned" value="<?php echo e($input_details['domestic_Connections_Commissioned']); ?>"></td>
        <td><input type="text" name="commercial_NDEC_Connections_Registration" id="commercial_NDEC_Connections_Registration" value="<?php echo e($input_details['commercial_NDEC_Connections_Registration']); ?>"></td>
        <td><input type="text" name="commercial_NDEC_Connections_Commissioned" id="commercial_NDEC_Connections_Commissioned" value="<?php echo e($input_details['commercial_NDEC_Connections_Commissioned']); ?>"></td>
        <td><input type="text" name="industrial_Connections_Registration" id="industrial_Connections_Registration" value="<?php echo e($input_details['industrial_Connections_Registration']); ?>"></td>
        <td><input type="text" name="industrial_Connections_Commissioned" id="industrial_Connections_Commissioned" value="<?php echo e($input_details['industrial_Connections_Commissioned']); ?>"></td>
        <td><input type="text" name="OFC_Duct_Laying_with_Steel_Pipeline_in_Mtr" id="OFC_Duct_Laying_with_Steel_Pipeline_in_Mtr" value="<?php echo e($input_details['OFC_Duct_Laying_with_Steel_Pipeline_in_Mtr']); ?>"></td>
        <td><input type="text" name="OFC_Duct_Laying_with_MDPE_in_Mtr" id="OFC_Duct_Laying_with_MDPE_in_Mtr" value="<?php echo e($input_details['OFC_Duct_Laying_with_MDPE_in_Mtr']); ?>"></td>
        <td><input type="text" name="CNG_Vehicles_OEM" id="CNG_Vehicles_OEM" value="<?php echo e($input_details['CNG_Vehicles_OEM']); ?>"></td>
        <td><input type="text" name="CNG_Vehicles_Conversion" id="CNG_Vehicles_Conversion" value="<?php echo e($input_details['CNG_Vehicles_Conversion']); ?>"></td>
        <td><input type="text" name="OMC_Final_PESO_Applied" id="OMC_Final_PESO_Applied" value="<?php echo e($input_details['OMC_Final_PESO_Applied']); ?>"></td>
        <td><input type="text" name="OMC_No_of_CNG_Stations_Commissioned" id="OMC_No_of_CNG_Stations_Commissioned" value="<?php echo e($input_details['OMC_No_of_CNG_Stations_Commissioned']); ?>"></td>
        <td><input type="text" name="COCO_CODO_DODO_Final_PESO_Applied" id="COCO_CODO_DODO_Final_PESO_Applied" value="<?php echo e($input_details['COCO_CODO_DODO_Final_PESO_Applied']); ?>"></td>
        <td><input type="text" name="COCO_CODO_DODO_No_of_CNG_Stations_Commissioned" id="COCO_CODO_DODO_No_of_CNG_Stations_Commissioned" value="<?php echo e($input_details['COCO_CODO_DODO_No_of_CNG_Stations_Commissioned']); ?>"></td>
        <td><input type="text" name="MDPE_Laid_20_mm" id="MDPE_Laid_20_mm" value="<?php echo e($input_details['MDPE_Laid_20_mm']); ?>"></td>
        <td><input type="text" name="MDPE_Commissioned_20_mm" id="MDPE_Commissioned_20_mm" value="<?php echo e($input_details['MDPE_Commissioned_20_mm']); ?>"></td>
         <td><button type="submit" class="btn btn-primary text-white" id="submit" value="Submit">Submit</button></td>
        </tr>
                            </tbody>
                        </table>     
                    </div>
                     <?php else: ?>
                    <div class="card-body">
                        <div class="form-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option  value="">Please Select GA</option>
                                                <?php $__currentLoopData = $ga; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <?php if($myga==$k): ?>
                                                    <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php elseif($myga=="All"): ?>
                                                     <option value="<?php echo e($k); ?>"><?php echo e($v); ?> (<?php echo e($k); ?>)</option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control">
                                        <option value="">Please select</option>
                                        
                                       </select>
                                    </div>
                                </div>
                            <div> &nbsp;</div>
                        </div>
                        <table id="customers" class="table table-bordered table-striped"  style="display:none;">
                            <thead>
                                <tr>
                                   <!-- <th>Month</th>-->
                                    <th>Date</th>
                                    <th>Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q</th>
                                    <th>Quantity of LNG Unloaded at the LNG terminal as per MFM (in Kgs)- Q.1</th>
                                    <th>Quantity of LNG Unloaded at the LCNG Station as per Weighment (in Kgs)- Q.2</th>
                                    <th>Tank -1 Stock in KL</th>
                                    <th>Tank -2 Stock in KL</th>
                                    <th>Tank -3 Stock in KL</th>
                                    <th>Tank -4 Stock in KL</th>
                                    <th>Volume Available in Stationary Cascade in KG</th>
                                    <th>HP Vap. MFM 1 in KG</th>
                                    <th>HP Vap. MFM 2 in KG</th>
                                    <th>LCV Fill Post-1 MFM in KG</th>
                                    <th>LCV Fill Post-2 MFM in KG</th>
                                    <th>LCV Fill Post-3 MFM in KG</th>
                                    <th>LCV Fill Post-4 MFM in KG</th>
                                    <th>PRS Skid-1 RPD Meter in SCM(2000SCMH)</th>
                                    <th>PRS Skid-2 RPD Meter in SCM(5000 SCMH)</th>
                                    <th>MP Metering Skid USM Meter in SCM(10000 SCMH)</th>
                                    <th>Total Dispenser Sales in KG</th>
                                    <th>Total MCV Sales in KG</th>
                                    <th>Total CNG Sales</th>
                                    <th>CNG Sales at DBS</th>
                                    <th>PE Commissioned in Mtr.Jodhpur</th>
                                    <th>PE Laying in Mtr.Jodhpur</th>
                                    <th>Steel Commissioned in Inch-Mtr</th>
                                    <th>Steel Stringing in Inch-Mtr.</th>
                                    <th>Steel Commissioned in Mtr</th>
                                    <th>Steel Stringing in Mtr.</th>
                                    <th>Domestic Connections (Registration)Jodhpur</th>
                                    <th>Domestic Connections (Advanced Plumbing)Jodhpur</th>
                                    <th>Domestic Connections (Commissioned)Jodhpur</th>
                                    <th>Commercial / NDEC Connections (Registration)</th>
                                    <th>Commercial / NDEC Connections (Commissioned)</th>
                                    <th>Industrial Connections (Registration)</th>
                                    <th>Industrial Connections (Commissioned)</th>
                                    <th>OFC Duct Laying with Steel Pipeline in Mtr.	</th>
                                    <th>OFC Duct Laying with MDPE in Mtr.</th>
                                    <th>CNG Vehicles (OEM)	</th>
                                    <th>CNG Vehicles (Conversion)</th>
                                    <th>(OMC)Final PESO Applied</th>
                                    <th>(OMC)No. of CNG Stations Commissioned</th>
                                    <th>(COCO/CODO/DODO)Final PESO Applied</th>
                                    <th>(COCO/CODO/DODO)No. of CNG Stations Commissioned</th>
                                    <th>MDPE Laid 20 mm	</th>
                                    <th>MDPE Commissioned 20 mm</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody id="new_data">
                            </tbody>
                        </table>     
                    </div>
                    <?php endif; ?>
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
<style>
    input:read-only {
  background-color: #e7e7e7;
}
</style>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
$(document).ready(function()
{
       table =  new DataTable('#customers', {  
         paging: false,
        "aaSorting": [],
        scrollX:true,
        scrollCollapse: true,
        scrollY: '65vh',
        autoWidth: true,
     });
})

function load_table(ga_code,district)
{
    $("#customers").show();
    $.ajax({
            url: "<?php echo e(url('api/getInputs')); ?>",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
                $("#customers").dataTable().fnDestroy();
                $("#new_data").html(result);
                var table =  new DataTable('#customers', {  
                     paging: false,
                    "aaSorting": [],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                    
                 });
                }
    });
}
$(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
        $.ajax({
            url: "<?php echo e(url('api/getDistrict')); ?>",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();
    
    $("#gaDistrictInputname").html(district+" Input Sheet");
    load_table(ga_code,district);
})
$(document).on("keyup","#total_CNG_Sales",function()
{
    var total_CNG_Sales=$(this).val();
    var total_Dispenser_Sales=$("#total_Dispenser_Sales").val();
    var v=parseFloat(total_CNG_Sales)-parseFloat(total_Dispenser_Sales);
    $("#CNG_Sales_at_DBS").val(v);
});
$(document).on("keyup","#steel_Stringing_in_Mtr",function()
{
    var steel_Stringing_in_Mtr=$(this).val();
    var v=parseFloat(steel_Stringing_in_Mtr)*8;
    $("#steel_Stringing").val(v);
})

//$(document).on("blur","#MDPE_Commissioned_20_mm",function()
//{
$(document).on("submit","#form-filter",function(e)
{
    //e.preventDefault();
    $("#submit").attr("disabled",true);
   /* var form=$("#form-filter");
    $.ajax({
            url:form.attr("action"),
            data:$("#form-filter").serialize(),//only input
            type: "POST",
            Type: 'json',
             success: function (result) {
                if(result=="Success")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                   hideAfter: 3500, 
                    stack: 6,
                     icon: 'success',
                    text: "Data submitted successfully!"
                  });
                }
                if(result=="Failed")
                {
                    $.toast({
                    heading: 'AG&P Pratham',
                    position: 'top-right',
                    loaderBg:'#ff6849',
                    hideAfter: 3500, 
                    stack: 6,
                    icon: 'error',
                    text: "Failed! Please try again!"
                  });
                }
               load_it();
            }
        });*/
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/dpr/districtInputSheet.blade.php ENDPATH**/ ?>