<?php

namespace App\Http\Controllers\Joinees;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;
use App\Models\Logs;
use Illuminate\Support\Facades\Validator;
use Exception;
use Log;
use Storage;
use DB;

class JoineesRegistrationController extends Controller
{
	public function joineesRegistration()
    {
        $user=auth()->user();
        if(Auth::check()){
			
            return view('joinees.joinees_registration',['title'=>"New Joinees"]);
        }
        else
        {
            return redirect("/")->withSuccess('Opps! You do not have access');
             
        } 
    } 
	
   public function joineesRegistrationPost(Request $request)
    {
        $alldata=$request->all();
		
		print_r($alldata);
		exit;
       /*  $password=$alldata['password'];
        if(isset($alldata['device']))
        {
            $device=$alldata['device'];
        }
        else
        {
            $device="Mobile";
        }
        $validator=  Validator::make($alldata, [
            'userId' => ['required'],
            'userName' => ['required'],
            'role' => ['required'],
            'password' => [
            'required',
            'string',
            'min:6',             // must be at least 10 characters in length
            'regex:/[a-z]/',      // must contain at least one lowercase letter
            'regex:/[A-Z]/',      // must contain at least one uppercase letter
            'regex:/[0-9]/',      // must contain at least one digit
            'regex:/[@$!%*#?&]/', // must contain a special character
        ],
        ], ['password.min' => 'The password field must be atleast 6 characters in length and contain at least one lowercase letter,one uppercase letter,one digit and a special character!']
        , ['password.regex' => 'The password field must be atleast 6 characters in length and contain at least one lowercase letter,one uppercase letter,one digit and a special character!']);

        if($validator->fails()) 
        {
            if($device=="web")
            {
                return back()->with(["status" => "failed", "code"=>config("constants.CODE_FAILURE"),"msg" => $validator->errors()->first(), "errors" => $validator->errors()]);
            }
            else
            {
                $logs = array(
                        'module' => "User",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => route('userRegistration'),
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => $validator->errors()->first(),
                        'method_name' => "POST",
        
                    );
                $log = manageLogs($logs);
                return response()->json(["status" => "failed", "code"=>config("constants.CODE_FAILURE"),"msg" => $validator->errors()->first()]);
            }
        }
		else
		{
		    $data['userId']=$alldata['userId'];
		    $data['userName']=$alldata['userName'];
		    $data['email']=$alldata['email'];
		    $data['phone']=$alldata['phone'];
		    $data['role']=$alldata['role'];
		    $data['password']=hashIt($password);
		    $data['ga']=$alldata['GA'];
            $create = User::insertGetId($data); 
            if($create)
            {
                if($device=="web")
                {
                    return back()->with(["status" => 200, "msg" => "User Created successfully.","code" => config("constants.CODE_SUCCESS")]);
                }
                else
                {
                    $logs = array(
                            'module' => "User",
                            'user' => $alldata['userId'],
                            'access_device' => $device,
                            'called_api' => route('userRegistration'),
                            'called_to' => "web",
                            'request_data' => json_encode($alldata),
                            'response_data' => "Password set successfully!",
                            'method_name' => "POST",
            
                        );
                    $log = manageLogs($logs);
                    return response()->json(["status" => 200, "msg" => "User Created successfully.","code" => config("constants.CODE_SUCCESS")]);
                } 
            }
            else
            {
                if($device=="web")
                {
                    return back()->with(["status" => config("constants.OK"),"code"=>config("constants.CODE_FAILURE"),  'msg' => 'Failed! Please try again.']);
                }
                else
                {
                    $logs = array(
                        'module' => "User",
                        'user' => $alldata['userId'],
                        'access_device' => $device,
                        'called_api' => route('userRegistration'),
                        'called_to' => "web",
                        'request_data' => json_encode($alldata),
                        'response_data' => "Failed! Please try again.",
                        'method_name' => "POST",
        
                    );
                $log = manageLogs($logs);
                    return response()->json(["status" => config("constants.OK"),"code"=>config("constants.CODE_FAILURE"),  'msg' => 'Failed! Please try again.']);
                }
            }

       
    	}   */ 
    }
	
	
	
	
	
}
