<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class DprStorageTank1ComponentMi extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'dpr_storage_tank_1_component_mi';
    protected $fillable = [
       'nitrogen', 'Methane', 'Ethane', 'Propane', 'Iso-butane', 'N-butane', 'Iso-pentane', 'N-pentane', 'N-Hexane', 'total', 'mliq', 'GHV', 'Vm', 'Mmix', 'Zmix', 'Vvaps', 'GHV_kcal', 'Density', 'Conversion_factor', 'storage_tank_1_id', 'created_at', 'updated_at', 'status' 
    ];
}