<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;

class SurveyAssignment extends Model
{
    use  HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'survey_assignment';
    protected $fillable = [
        'agp_user', 'customer_type', 'installation_no', 'name_of_the_customer', 'full_address_of_the_customer', 'contact_no', 'mobile_number', 'email_address', 'dma_scheme', 'scheme_description', 'meter_serial_no', 'meter_manufacturer_name', 'meter_installation_date','assignment_id','status'
    ];
}