<!DOCTYPE html>
<html>
<head>
    <?php 
  define('ADMIN_LOGIN','survey'); 
  define('ADMIN_PASSWORD','Gemini@2024'); // Could be hashed too.
  if (!isset($_SERVER['PHP_AUTH_USER']) || !isset($_SERVER['PHP_AUTH_PW']) 
      || ($_SERVER['PHP_AUTH_USER'] != ADMIN_LOGIN) 
      || ($_SERVER['PHP_AUTH_PW'] != ADMIN_PASSWORD)) { 
    header('HTTP/1.1 401 Unauthorized'); 
    header('WWW-Authenticate: Basic realm="Password For Application"'); 
    exit("Access Denied: Username and password required."); 
  } 
?>
    <title>AG&P Survey | Login</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>

    <script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="{{asset('css/survey.css') }}">
    <script src="{{asset('js/login.js') }}"></script>
</head>

<body>
<!-- MultiStep Form -->
  <div class="container">
    <div class="col-md-5" style="margin:100px auto">
        @if(Session::has('msg') && Session::has('code'))
             @if(Session::get('code')==1)
        <div class="alert alert-success">
            {{ Session::get('msg') }}
            @php
                Session::forget('msg');
            @endphp
        </div>
         @else
        <div class="alert alert-danger">
            {{ Session::get('msg') }}
            @php
                Session::forget('msg');
            @endphp
        </div>
         @endif
        @endif
        <div id="msform">
        
            <!-- fieldsets -->
            <fieldset class="step loginBox">
                <form class="needs-validation" action="{{ route('login.post') }}" method="POST">
                {{ csrf_field() }}
                <h2 class="fs-title"><img src="{{asset('images/AG&P-Logo.png') }}" /></h2>
                <h3 class="fs-subtitle">Sign In Form</h3>
                <input type="hidden" name="device" value="web">
                <input type="text" name="userId" id="userId"  class="required" required="true" placeholder="Enter your User Id">
                <input type="password" name="password" id="password"  class="required" required="true" placeholder="Password">
                <input type="submit" name="login" class="submit action-button" value="Login"/>
                 </form>
                  <form>
                 <select id="typee">
                     <option value="">Select User Type</option>
                     <option value="AGP">AGP Users</option>
                     <option value="TG">TG Users</option>
                 </select>
                 
                <a id="o365" style="display:none;" href="{{ route('redirectToProvider') }}"><input type="button" class="" value="O365 Login"/></a>
                </form>
            </fieldset>
            
             
            <!--<fieldset class="step step2">
                <form class="needs-validation" action="{{ route('login.post') }}" method="POST">
                    {{ csrf_field() }}
                <h2 class="fs-title"><img src="{{asset('images/AG&P-Logo.png') }}" /></h2>
                <h3 class="fs-subtitle step-title">Sign Up Form</h3>
                <div class="meter-block">
                <input type="text" name="meter_no" placeholder="Meter No."/>
                <input type="text" name="meter_reading" placeholder="Meter Reading"/>
                <div class="custom-file">
                   <input type="file" name="meter_photo" class="custom-file-input" id="meterPhoto">
                   <label class="custom-file-label" for="meterPhoto">Meter Photo</label>
                </div>
                </div>

                <input type="submit" name="submit" class="submit action-button " value="Submit"/>
                 </form>
                <input type="button" name="previous" class="previous action-button-previous" value="Back to Login"/>
                
            </fieldset>
           -->
           
       </div>
    </div>
</div>
<!-- /.MultiStep Form -->
<script>
    $(document).on("change","#typee",function()
    {
        $("#o365").hide();
         var typee=$(this).val();
        if(typee!="")
        { 
            $.ajax({
                    url: "{{url('api/updateEnv')}}",
                    type: "POST",
                    data: {
                      type:typee,"device":"web",
                        _token: '{{csrf_token()}}'
                    },
                    success: function (result) {
                        setTimeout(function(){ $("#o365").show(); }, 1000);
                     }
                });
        }
    })
</script>
</body>

</html>
