@extends('layout')
@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">SUG</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item active">SUG</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        @php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;">{{ isset($msg) ? $msg : '' }}</div>
                        <form name="registration" action="{{ route('postSugData') }}" method="POST"
                            class="needs-validation" novalidate>
                            {{ csrf_field() }}
                            <div class="form-body">
                                <h3 class="card-title">SUG</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="{{ Auth::user()->userId }}">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="date" id="date"
                                                required="true" class="form-control">
                                        </div>
                                    </div>
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">GA</label>
                                            <select name="ga_code" id="ga_code"  class="form-control form-select" data-placeholder="Choose a GA">
                                                <option>Please Select GA</option>
                                                @foreach($ga as $k=>$v)
                                                @if($myga==$k)
                                                    <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @elseif($myga=="All")
                                                     <option value="{{$k}}">{{$v}} ({{$k}})</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="text-input" class=" form-control-label">District
                                        </label>
                                       <select name="district" id="district" class="form-control form-select">
                                        <option value="">Please select</option>

                                       </select>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">MCV Fuel (KG)</label>
                                            <input type="text" name="mcv_fuel" id="mcv_fuel"
                                                required="text" class="form-control" value="">
                                        </div>
                                    </div>
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Admin Cab Fuel (KG)</label>
                                            <input type="text" name="admin_cab_fuel" id="admin_cab_fuel" class="form-control"  value=""  />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Gas Engine Genset Fuel (KG)</label>
                                            <input type="text" name="gas_engine_genset_fuel" id="gas_engine_genset_fuel"
                                              class="form-control calculation" value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Engine Compressor Fuel (KG)</label>
                                            <input type="text" name="engine_composer_fuel" id="engine_composer_fuel" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                    <!--/span-->
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total CNG Used (MCV+CAB) (KG)</label>
                                            <input type="text" name="total_cng_used" id="total_cng_used" class="form-control" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total PNG Used (GEG+ED) (KG)</label>
                                            <input type="text" name="total_png_used" id="total_png_used"
                                                required="true" placeholder="" class="form-control invoice_data" value="" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                    <!--/span-->
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                           
                                            <th>Date</th>
                                            <th>GA</th>
                                            <th>District</th>
                                            <th>MCV Fuel (KG)</th>
                                            <th>Admin Cab Fuel (KG)</th>
                                            <th>Gas Engine Genset Fuel (KG)</th>
                                            <th>Engine Compressor Fuel (KG)</th>
                                            <th>Total CNG Used (MCV+CAB) (KG)</th>
                                            <th>Total PNG Used (GEG+ED) (KG)</th>
                                            <!-- <th>Financial Year</th>
                                            <th>Month</th>
                                            <th>Opening Reading- -MFM -GG-1 in SCM</th>
                                            <th>Closing Reading- -MFM -GG-1 in SCM</th>
                                            <th>GG-1 SUG-in SCM</th>
                                            <th>Opening Reading- -MFM -GG-2 in SCM</th>
                                            <th>Closing Reading- -MFM -GG-2 in SCM</th>
                                            <th>GG-2 SUG- in SCM</th>
                                            <th>Gross SUG- GG-1 + GG-2 in SCM</th>
                                            <th>Cum. Monthly Purchase in SCM</th>
                                            <th>Cum. Yearly Purchase in SCM</th>
                                            <th>Gross SUG- GG-1 + GG-2 in KG</th>
                                            <th>Gas Filled to MCV from Salawas in KG</th>
                                            <th>Gas Filled to MCV per Month in KG</th>
                                            <th>Gas Filled to MCV from Kameshwari in KG</th> -->
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($allSugData))
                                            @foreach ($allSugData as $key => $value)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                   <td>{{ $value['date'] }}</td>
                                                    <td>{{ $value['ga_code'] }}</td>
                                                    <td>{{ $value['district'] }}</td>
                                                    <td>{{ $value['mcv_fuel'] }}</td>
                                                    <td>{{ $value['admin_cab_fuel'] }}</td>
                                                    <td>{{ $value['gas_engine_genset_fuel'] }}</td>
                                                    <td>{{ $value['engine_composer_fuel'] }}</td>
                                                    <td>{{ $value['total_cng_used'] }}</td>
                                                    <td>{{ $value['total_png_used'] }}</td>
                                                    <!-- <td>{{ $value['financial_year'] }}</td>
                                                    <td>{{ $value['month'] }}</td>
                                                    <td>{{ $value['opening_reading_mfm_gg_1'] }}</td>
                                                    <td>{{ $value['closing_reading_mfm_gg_1'] }}</td>
                                                    <td>{{ $value['gg_1_sug'] }}</td>
                                                    <td>{{ $value['opening_reading_mfm_gg_2'] }}</td>
                                                    <td>{{ $value['closing_reading_mfm_gg_2'] }}</td>
                                                    <td>{{ $value['gg_2_sug'] }}</td>
                                                    <td>{{ $value['gross_sug_scm'] }}</td>
                                                    <td>{{ $value['cum_monthly_purchase'] }}</td>
                                                    <td>{{ $value['cum_yearly_purchase'] }}</td>
                                                    <td>{{ $value['gross_sug_kg'] }}</td>
                                                    <td>{{ $value['gas_filled_to_mcv_from_salawas'] }}</td>
                                                    <td>{{ $value['gas_filled_to_mcv_per_month_in_kg'] }}</td>
                                                    <td>{{ $value['gas_filled_to_mcv_from_kameshwari'] }}</td> -->
                                                </tr>
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
@endsection
@push('custom-scripts')
@endpush
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
$(document).ready(function()
{
    var table =  new DataTable('#ga_log_entry', {  
                    dom: 'rti',
                    order:[1,"asc"],
                    scrollX:true,
                    scrollCollapse: true,
                    scrollY: '65vh',
                    autoWidth: true,
                 });
})
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        $(".calculation").keyup(function(){
            var gas_engine_genset_fuel = $("#gas_engine_genset_fuel").val();
            var engine_composer_fuel = $("#engine_composer_fuel").val();
            //GG 1 Logic
            gas_engine_genset_fuel = parseFloat(gas_engine_genset_fuel) || 0; // Default to 0 if empty
            engine_composer_fuel = parseFloat(engine_composer_fuel) || 0; // Default to 0 if empty
            var total_png_used = gas_engine_genset_fuel + engine_composer_fuel;
           // total_png_used = Math.round(total_png_used);
            //var mcv_fuel=engine_composer_fuel-gas_engine_genset_fuel;
            var mcv_fuel=$("#mcv_fuel").val();
            var admin_cab_fuel = $("#admin_cab_fuel").val();
            mcv_fuel = parseFloat(mcv_fuel) || 0; // Default to 0 if empty
            admin_cab_fuel = parseFloat(admin_cab_fuel) || 0;
            var total_cng_used = mcv_fuel + admin_cab_fuel;
            if($.isNumeric(total_png_used)){
                $("#total_png_used").val(total_png_used.toFixed(3));
               // $("#mcv_fuel").val(mcv_fuel.toFixed(3));
            }
            else{
                $("#total_png_used").val(0);
                //$("#mcv_fuel").val(0);
            }
            if($.isNumeric(total_cng_used)){
                $("#total_cng_used").val(total_cng_used.toFixed(3));
            }
            else{
                $("#total_cng_used").val(0);
            }
        //GG 1 Logic
        
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "{{url('api/getDistrict')}}",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "{{url('api/getDcu')}}",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

})
    });
</script>
