@extends('layout')
@section('content')
    <script src="{{ asset('js/tankerUnloading.js') }}" defer></script>
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">Tanker Unloading</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item active">Tanker Unloading</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        @php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        @endphp
         <style>
        .error {
            color: red;
            display: none;
        }
    </style>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;">{{ isset($msg) ? $msg : '' }}</div>
                        <form name="tankerUnloading" id="tankerUnloading" action="{{ route('postTankerUnloadingData') }}" method="POST"
                            class="needs-validation" novalidate>
                            {{ csrf_field() }}
                            <div class="form-body">
                                <h3 class="card-title">Tanker Unloading</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="{{ Auth::user()->userId }}">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="date" id="date"
                                                required="true" class="form-control control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Opening Level of Tank "1"-(a)-KL</label>
                                            <input type="text" name="opening_level_of_tank_1_a_kl" id="opening_level_of_tank_1_a_kl"
                                                required="text" class="form-control calculation" value="">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Opening Level of Tank "2"-(b)-KL</label>
                                            <input type="text" name="opening_level_of_tank_2_b_kl" id="opening_level_of_tank_2_b_kl" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Opening Level of Tank "3"-(i)-KL</label>
                                            <input type="text" name="opening_level_of_tank_3_i_kl" id="opening_level_of_tank_3_i_kl"
                                                required="text" class="form-control calculation" value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Opening Level of Tank "4"-(j)-KL</label>
                                            <input type="text" name="opening_level_of_tank_4_j_kl" id="opening_level_of_tank_4_j_kl" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total Opening Stock C= (a+b+i+j) in KL</label>
                                            <input type="text" name="total_opening_stock_c_a_b_i_j" id="total_opening_stock_c_a_b_i_j" class="form-control calculation" value="" required="true" readonly />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total Opening Stock in SCM-D</label>
                                            <input type="text" name="total_opening_stock_in_scm_d" id="total_opening_stock_in_scm_d"
                                                required="true" placeholder="" class="form-control invoice_data calculation" value="" />
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--/span-->
                                    
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q</label>
                                            <input type="text" name="quantity_of_lng_invoiced_terminal_q" id="quantity_of_lng_invoiced_terminal_q" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Quantity of LNG Unloaded at the LNG terminal as per MFM (in Kgs)- Q.1</label>
                                            <input type="text" name="quantity_of_lng_invoiced_terminal_q1" id="quantity_of_lng_invoiced_terminal_q1" class="form-control calculation" value="" required="true" />
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Quantity of LNG Unloaded at the LNG terminal as per Weighment (in Kgs)- Q.2</label>
                                            <input type="text" name="quantity_of_lng_invoiced_terminal_q2" id="quantity_of_lng_invoiced_terminal_q2"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Closing Level of Tank "1"-(e)-KL</label>
                                            <input type="text" name="closing_level_of_tank_1_e_kl" id="closing_level_of_tank_1_e_kl"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                </div>
                                <div class="row">
                                    <!--/span-->
                                     
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Closing Level of Tank "2"-(f)-KL</label>
                                            <input type="text" name="closing_level_of_tank_2_f_kl" id="closing_level_of_tank_2_f_kl"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Closing Level of Tank "3"-(k)-KL</label>
                                            <input type="text" name="closing_level_of_tank_3_k_kl" id="closing_level_of_tank_3_k_kl"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Closing Level of Tank "4"-(l)-KL</label>
                                            <input type="text" name="closing_level_of_tank_4_l_kl" id="closing_level_of_tank_4_l_kl"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total Closing Stock (G= E+F+K+L) in KL</label>
                                            <input type="text" name="total_closing_stock_g_e_f_k_l" id="total_closing_stock_g_e_f_k_l"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--/span-->
                                     
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Volume Available in Stationary Cascade in SCM</label>
                                            <input type="text" name="volume_available_in_stationary_cascade" id="volume_available_in_stationary_cascade"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Total Closing Stock in SCM-H</label>
                                            <input type="text" name="total_closing_stock_in_scm_h" id="total_closing_stock_in_scm_h"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Transit loss  Gas Volumes(SCM)- (C)</label>
                                            <input type="text" name="transit_loss_gas_volumes_scm_c" id="transit_loss_gas_volumes_scm_c"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Loss(I/F)</label>
                                            <input type="text" name="loss_i_f" id="loss_i_f"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--/span-->
                                     
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">MTD Purchased</label>
                                            <input type="text" name="mtd_purchased" id="mtd_purchased"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Cumulative Transit loss  Gas Volumes(SCM)- (C)</label>
                                            <input type="text" name="cumulative_transit_loss_gas_volumes_scm_c" id="cumulative_transit_loss_gas_volumes_scm_c"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">Loss MTD</label>
                                            <input type="text" name="loss_mtd" id="loss_mtd"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="form-label">YTD Purchased</label>
                                            <input type="text" name="ytd_purchased" id="ytd_purchased"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--/span-->
                                     
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Cumulative Transit loss  Gas Volumes(SCM)- (C)</label>
                                            <input type="text" name="cumulative_transit_loss_gas_volumes_scm_c1" id="cumulative_transit_loss_gas_volumes_scm_c1"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">% Loss YTD</label>
                                            <input type="text" name="precentage_loss_ytd" id="precentage_loss_ytd"
                                                required="true" placeholder="" class="form-control calculation"
                                                value="">
                                        </div>
                                    </div>
                                    <div class="col-md-4 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Save</button>
                                <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                    
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="ga_log_entry" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                            <th>Date</th>
                                            <th>Total Opening</th>
                                            <th>Total Closing</th>
                                            <th>Loss Precentage</th>
                                            <th>MTD Loss</th>
                                            <th>YTD Loss</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($allSugData))
                                            @foreach ($allSugData as $key => $value)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $value['date'] }}</td>
                                                    <td>{{ $value['total_opening_stock_c_a_b_i_j'] }}</td>
                                                    <td>{{ $value['total_closing_g_e_f_k_l_in_kl'] }}</td>
                                                    <td>{{ $value['loss_percentage'] }}</td>
                                                    <td>{{ $value['percentage_loss_mtd'] }}</td>
                                                    <td>{{ $value['percentage_loss_ytd'] }}</td>
                                                </tr>
                                            @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
@endsection
@push('custom-scripts')
@endpush
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        const monthNames = [
    "January", "February", "March", "April", "May", "June",
    "July", "August", "September", "October", "November", "December",
];
        $('.select2').select2({
            placeholder: "Select an option",
            allowClear: true // Add this if you want the "x" button to clear the selected option
        });
        //Check If a record against the previous date.
                $("#date").change(function(){
        var date = new Date($(this).val());
        let monthIndex = date.getMonth();
        let month = monthNames[monthIndex];
        checkIfRecordExsists(date, month);
            });
        //Check If a record against the previous date.
        $(".calculation").keyup(function(){
            var opening_level_of_tank_1_a_kl = $("#opening_level_of_tank_1_a_kl").val();
            var opening_level_of_tank_2_b_kl = $("#opening_level_of_tank_2_b_kl").val();
            var opening_level_of_tank_3_i_kl = $("#opening_level_of_tank_3_i_kl").val();
            var opening_level_of_tank_4_j_kl = $("#opening_level_of_tank_4_j_kl").val();
            //Total Opening Stock C= (a+b+i+j) in KL
            opening_level_of_tank_1_a_kl = parseFloat(opening_level_of_tank_1_a_kl) || 0; // Default to 0 if empty
            opening_level_of_tank_2_b_kl = parseFloat(opening_level_of_tank_2_b_kl) || 0; // Default to 0 if empty
            opening_level_of_tank_3_i_kl = parseFloat(opening_level_of_tank_3_i_kl) || 0; // Default to 0 if empty
            opening_level_of_tank_4_j_kl = parseFloat(opening_level_of_tank_4_j_kl) || 0; // Default to 0 if empty
            var total_opening_stock_c_a_b_i_j = opening_level_of_tank_1_a_kl + opening_level_of_tank_2_b_kl + opening_level_of_tank_3_i_kl + opening_level_of_tank_4_j_kl;
            total_opening_stock_c_a_b_i_j = total_opening_stock_c_a_b_i_j.toFixed(2);
            if($.isNumeric(total_opening_stock_c_a_b_i_j)){
                $("#total_opening_stock_c_a_b_i_j").val(total_opening_stock_c_a_b_i_j);
            }
            else{
                $("#total_opening_stock_c_a_b_i_j").val(0);
            }
        //Total Opening Stock C= (a+b+i+j) in KL
        //Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q
        var district = "Jodhpur"
            tankerUnloading(date, district, month);
    //Quantity of LNG invoiced at the LNG terminal (in Kgs)- Q

//Total Closing Stock (G= E+F+K+L) in KL Logic
            var closing_level_of_tank_1_e_kl = $("#closing_level_of_tank_1_e_kl").val();
            var closing_level_of_tank_2_f_kl = $("#closing_level_of_tank_2_f_kl").val();
            var closing_level_of_tank_3_k_kl = $("#closing_level_of_tank_3_k_kl").val();
            var closing_level_of_tank_4_l_kl = $("#closing_level_of_tank_4_l_kl").val();
            closingOfStock(closing_level_of_tank_1_e_kl, closing_level_of_tank_2_f_kl, closing_level_of_tank_3_k_kl, closing_level_of_tank_4_l_kl);
//Total Closing Stock (G= E+F+K+L) in KL Logic

//Volume Available in Stationary Cascade in SCM
            allOther(date, district, month)
        });
        $(document).on("change","#ga_code",function()
{
    var ga_code=$(this).val();
    $.ajax({
            url: "{{url('api/getDistrict')}}",
            type: "POST",
            data: {
              ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
            $("#district").html('<option value="">Please Select</option>');
               $.each(result, function (key, value) {
                 $("#district").append('<option value="' + key + '">' + value + '</option>');
                });
            }
        });
})
$(document).on("change","#district",function()
{
    var ga_code=$("#ga_code").val();
    var district=$(this).val();

    $("#dcuname").html("DCU "+district);
    $("#customers").show();
     $.ajax({
            url: "{{url('api/getDcu')}}",
            type: "POST",
            data: {
              district:district,ga_code:ga_code,"device":"web",
                _token: '{{csrf_token()}}'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
             $("#new_data").html(result);
            }
        });

});
        $('#tankerUnloading').on('submit', function(e) {
            if ($('#month').val() === "") {
                e.preventDefault();
                $('#error-message').show();
                $('#select2-example').focus();
            }
            else {
                    $('#error-message').hide();
                }
        });
    });
</script>