@extends('layout')
    @section('content')
    <style>
       /* #example1 tr td{width:50%;}
        #example1 tr td span{margin-top:8px; float: left;}
        .table>:not(caption)>*>*{padding: 5px 10px;}*/
        #example1 tr td{border:1px solid #f2652c;}
    .btn-info {
    color: #000 !important;
    background-color: #29b6f5 !important;
    border-color: #1cb2f4 !important;
}
    </style>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Storage Tank </h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Home</a></li>
                <li class="breadcrumb-item active">Storage Tank </li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     @php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
           
        @endphp
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 mt-2 text-white pull-left" id="dcuname">Storage Tank </h4>
                </div>
                <form id="form-filter" class="form-horizontal" action="{{ route('storageTank.post') }}" method="POST">
                     {{ csrf_field() }}
                    <input type="hidden" name="device" value="web">
                    <input type="hidden" name="user_id" value="{{Auth::user()->userId}}">
                    <div class="card-body">
                        <div class="row">
                            
                            <div class="col-md-12">
                                <div style="overflow:scroll;">
                                <table id="example1" class="table">
                            
                                </table>
                                </div>
                            </div>  
                        </div>
                    </div>    
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     @endsection
@push('custom-scripts')
<script>
$(function()
{
   testing();
})
function testing()
{
    var columns=[];
    var tr="";
    var html="";
    $.ajax({
             "url": "{{ url('api/getStorageTank') }}",
             "dataType": "json",
             "type": "POST",
             "data":{"device": "web","userId":"{{Auth::user()->userId}}","_token": "{{csrf_token()}}"},
             "success":function(result)
             {
                var i;
                console.log(result['storage']);
                $.each(result['storage'], function(k, v) {
                    html+="<tr><td>"+k+"</td>";
                    i=1;
                    $.each(v, function(k2,v2) {
                       i++;
                    html+="<td>"+v2+"</td>";
                });
                    html+=" </tr>";
                });
                //$("#table_body").html(html);
                var htmll="";
               html+="<tr><td>Component Mi</td>";
               for(var s=1; s<i; s++)
               {
                    html+="<td></td>";
               }
                html+="</tr>";
                $.each(result['componentM'], function(k, v) {
                    html+="<tr><td>"+k+"</td>";
                    $.each(v, function(k2,v2) {
                       
                    html+="<td>"+v2+"</td>";
                });
                    html+=" </tr>";
                });
                 html+="<tr><td>Component 1-Zi</td>";
               for(var s=1; s<i; s++)
               {
                    html+="<td></td>";
               }
                html+="</tr>";
                $.each(result['componentZ'], function(k, v) {
                    html+="<tr><td>"+k+"</td>";
                   htmll="<td></td>";
                    $.each(v, function(k2,v2) {
                      htmll+="<td></td>";
                    html+="<td>"+v2+"</td>";
                });
                
                    html+=" </tr>";
                   //console.log(ii);
                });
                
                html+="<tr><td>Action</td><td><button type='button' class='btn btn-info text-white' id='but' value='Submit'>Submit</button></td>";
               for(var s=2; s<i; s++)
               {
                    html+="<td></td>";
               }
                html+="</tr>";
               // var ii=result['componentZ']['Ethane'].length+1;
                //console.log(htmll);
                //$("#column_head").html(htmll); 
                 $("#example1").html(html);
$("#example1").DataTable({
    "dom": 'frtip',
   "scrollY": true,
});
             }
});

}
$(document).on("keyup",".input",function()
{
   var after_onloading_tank_volume=parseFloat($("#after_onloading_tank_volume").val()).toFixed(3);
   var before_unloading_tank_volume=parseFloat($("#before_unloading_tank_volume").val()).toFixed(3);
   $("#total_volumn_in_kl").attr("readonly",true);
   $("#total_volumn_in_kl").val((after_onloading_tank_volume-before_unloading_tank_volume).toFixed(3));
   var Vvaps=parseFloat($("#Vvaps").val()).toFixed(3);
   var total_volumn_in_kl=parseFloat($("#total_volumn_in_kl").val()).toFixed(3);
   $("#conversion").attr("readonly",true);
   $("#conversion").val((Vvaps/total_volumn_in_kl).toFixed(3));
   var GHV_kcal=parseFloat($("#GHV_kcal").val()).toFixed(3);
   var conversion=parseFloat($("#conversion").val()).toFixed(3);
   $("#after_conversion").val((GHV_kcal/conversion).toFixed(3));
   var Conversion_factor_m=parseFloat($("#Conversion_factor_m").val()).toFixed(3);
   $("#conversion_factor").attr("readonly",true);
   $("#conversion_factor").val((((1.354363791*before_unloading_tank_volume)+(Conversion_factor_m*total_volumn_in_kl))/after_onloading_tank_volume).toFixed(3));

   $("#calorific_value").attr("readonly",true);
   $("#calorific_value").val((((9669.631293*before_unloading_tank_volume)+(GHV_kcal*total_volumn_in_kl))/after_onloading_tank_volume).toFixed(3));
  

   var sum_m=parseFloat($("#nitrogen").val())+parseFloat($("#Methane").val())+parseFloat($("#Ethane").val())+parseFloat($("#Propane").val())+parseFloat($("#Iso_butane").val())+parseFloat($("#N_butane").val())+parseFloat($("#Iso_pentane").val())+parseFloat($("#N_pentane").val())+parseFloat($("#N_Hexane").val());
   $("#total").attr("readonly",true);
   $("#total").val(parseFloat(sum_m).toFixed(3));
  // var sum_z=$("#nitrogen_z").val()+$("#Methane_z").val()+$("#Ethane_z").val()+$("#Propane_z").val()+$("#Iso-butane_z").val()+$("#N-butane_z").val()+$("#Iso-pentane_z").val()+$("#N-pentane_z").val()+$("#N-Hexane_z").val();
   var sum_z=parseFloat($("#total_z").val()).toFixed(3);
    //$("#total_z").attr("readonly",true);
   var Mmix=((parseFloat($("#nitrogen_z").val())*28.013)+(parseFloat($("#Methane_z").val())*16.042)+(parseFloat($("#Ethane_z").val())*30.069)+(parseFloat($("#Propane_z").val())*44.096)+(parseFloat($("#Iso_butane_z").val())*58.122)+(parseFloat($("#N_butane_z").val())*58.122)+(parseFloat($("#Iso_pentane_z").val())*72.149)+(parseFloat($("#N_pentane_z").val())*72.149)+(parseFloat($("#N_Hexane_z").val())*86.175))/parseFloat(sum_z);
   $("#Mmix").attr("readonly",true);
   $("#Mmix").val(Mmix.toFixed(3));
  var sqzmix=((parseFloat($("#nitrogen_z").val())*0.0170)+(parseFloat($("#Methane_z").val())*0.0445)+(parseFloat($("#Ethane_z").val())*0.0919)+(parseFloat($("#Propane_z").val())*0.1344)+(parseFloat($("#Iso_butane_z").val())*0.1722)+(parseFloat($("#N_butane_z").val())*0.1840)+(parseFloat($("#Iso_pentane_z").val())*0.2251)+(parseFloat($("#N_pentane_z").val())*0.2361)+(parseFloat($("#N_Hexane_z").val())*0.3001))/parseFloat(sum_z);
   var Zmix=1-(sqzmix*sqzmix);
   $("#Zmix").attr("readonly",true);
   $("#Zmix").val(Zmix.toFixed(3));
   var Vvaps2=parseFloat((parseFloat($("#mliq").val())*1000*parseFloat($("#Vm").val())*Zmix)/Mmix);
   var Vvaps3=Vvaps2.toFixed(3);
   $("#Vvaps").attr("readonly",true);
   $("#Vvaps").val(Vvaps2.toFixed(3));
   var GHV_kcal2=(parseFloat($("#mliq").val())*parseFloat($("#GHV").val())*252000)/Vvaps2;
   $("#GHV_kcal").attr("readonly",true);
   $("#GHV_kcal").val(GHV_kcal2.toFixed(3));
   var Density=(parseFloat($("#mliq").val())*1000)/Vvaps2;
   $("#Density").attr("readonly",true);
   $("#Density").val(Density.toFixed(3));
   var Conversion_factor_m=1/Density;
   $("#Conversion_factor_m").attr("readonly",true);
   $("#Conversion_factor_m").val(Conversion_factor_m.toFixed(3));
   var nitrogen_z=(parseFloat($("#nitrogen").val())*sum_z)/sum_m;
   $("#nitrogen_z").attr("readonly",true);
   $("#nitrogen_z").val(nitrogen_z.toFixed(3));
   var Methane_z=(parseFloat($("#Methane").val())*sum_z)/sum_m;
   $("#Methane_z").attr("readonly",true);
   $("#Methane_z").val(Methane_z.toFixed(3));
   var Ethane_z=(parseFloat($("#Ethane").val())*sum_z)/sum_m;
   $("#Ethane_z").attr("readonly",true);
   $("#Ethane_z").val(Ethane_z.toFixed(3));
   var Propane_z=(parseFloat($("#Propane").val())*sum_z)/sum_m;
   $("#Propane_z").attr("readonly",true);
   $("#Propane_z").val(Propane_z.toFixed(3));
   var Iso_butane_z=(parseFloat($("#Iso_butane").val())*sum_z)/sum_m;
   $("#Iso_butane_z").attr("readonly",true);
   $("#Iso_butane_z").val(Iso_butane_z.toFixed(3));
   var N_butane_z=(parseFloat($("#N_butane").val())*sum_z)/sum_m;
   $("#N_butane_z").attr("readonly",true);
   $("#N_butane_z").val(N_butane_z.toFixed(3));
   var Iso_pentane_z=(parseFloat($("#Iso_pentane").val())*sum_z)/sum_m;
   $("#Iso_pentane_z").attr("readonly",true);
   $("#Iso_pentane_z").val(Iso_pentane_z.toFixed(3));
   var N_pentane_z=(parseFloat($("#N_pentane").val())*sum_z)/sum_m;
   $("#N_pentane_z").attr("readonly",true);
   $("#N_pentane_z").val(N_pentane_z.toFixed(3));
    var N_Hexane_z=(parseFloat($("#N_Hexane").val())*sum_z)/sum_m;
   $("#N_Hexane_z").attr("readonly",true);
   $("#N_Hexane_z").val(N_Hexane_z.toFixed(3));
    $("#total_volume_in_scm").attr("readonly",true);
   var total_volume_in_scm=parseFloat(before_unloading_tank_volume*conversion)+parseFloat(Vvaps3);

   $("#total_volume_in_scm").val(total_volume_in_scm.toFixed(3));
})

$(document).on("click","#but",function(e)
{
    
   // e.preventDefault();
    var v=$("#total_volume_in_scm").val();
    var vv=$("#total").val();
    var s=$("#station").val();
    var ss=$("#storage_tank").val();
    if(v==0 || v=="" || vv==0 || vv=="" || s==0 || s=="" || ss==0 || ss=="")
    {
       alert("Please Enter Data!");
       return false;
        
    }
    else
    {
       // alert("ppp");
         $("#form-filter").submit();
         
    }
});
</script>
@endpush