    <?php $__env->startSection('content'); ?>
<div class="container-fluid">
        <div class="row page-titles">
        <div class="col-md-12">
            <h4 class="text-white">Module</h4>
        </div>
        <div class="col-md-6">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                <li class="breadcrumb-item active">Module</li>
            </ol>
        </div>
        <div class="col-md-6 text-end">
            <!--<form class="app-search d-none d-md-block d-lg-block">
                <input type="text" class="form-control" placeholder="Search &amp; enter">
            </form>-->
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
     <?php
        $success="";
        $error="";
            if (Session::has('msg') && Session::has('code'))
            {
                if (Session::get('code') == 1)
                {
                    $success=Session::get('msg');
                }
                else
                {
                    $error=Session::get('msg');
               }
            }
        ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-info">
                    <h4 class="m-b-0 text-white">Module Master Form</h4>
                </div>
                <div class="card-body">
                    <form name="module" action="<?php echo e(route('moduleMasterPost')); ?>" method="POST" class="needs-validation" novalidate >
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <input type="hidden" name="device" value="web">
                            <?php if(isset($moduledetail)): ?>
                             <input type='hidden' name='zid'  value='<?php echo e($moduledetail["id"]); ?>'>
                             <?php endif; ?>
                            <div class="row p-t-20">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Parent Module</label>
                                        <select class="form-control form-select" name="parent_module" id="parent_module">
                                            <option value="" >No Parent Module</option>
                                            <?php if(isset($parent_modules)): ?>
                                            <?php $__currentLoopData = $parent_modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <option value="<?php echo e($key); ?>"  <?php echo e((@$moduledetail['parent_module'] == $key ? "selected":"")); ?>><?php echo e($val); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                          <?php endif; ?>
                                        </select>
                                        <small class="form-control-feedback text-primary">Parent module </small> </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Module Name</label>
                                        <input type="text" name="module_name" id="module_name" required="true" placeholder="Enter Module Name" class="form-control" value="<?php echo e(@$moduledetail['module_name']); ?>">
                                        <small class="form-control-feedback text-primary"> Name of the control center</small>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Module Link</label>
                                        <input type="text" name="module_link" id="module_link" class="form-control " placeholder="Enter Module Link" value="<?php echo e(@$moduledetail['module_link']); ?>">
                                        <small class="form-control-feedback text-primary">Link of the module </small> </div>
                                </div>
                                 <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Module Icon</label>
                                        <input type="text" name="module_icon" id="module_icon" class="form-control " placeholder="Enter Module Icon" value="<?php echo e(@$moduledetail['module_icon']); ?>">
                                        <small class="form-control-feedback text-primary">Icon of the module </small> </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-label">Status</label>
                                        <select  name="status" id="status" required="true" class="form-control form-select">
                                            <option value="Active"  <?php echo e((@$moduledetail['status'] == 'Active' ? "selected":"")); ?>>Active</option>
                                            <option value="Inactive" <?php echo e((@$moduledetail['status'] == 'Inactive' ? "selected":"")); ?>>Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-actions col-md-4 mt-4">
                                    <button type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary text-white "> <i class="fa fa-check"></i> Save</button>
                                    <a href="<?php echo e(route('moduleMaster')); ?>"><button type="button" class="btn btn-secondary">Cancel</button></a>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                        </div>
                    </form>
                    <!--Table Data-->
                    <table id="module" class="table table-bordered table-striped ">
                        <thead>
                            <tr>
                                <th>SL#</th>
                                <th>Parent Module</th>
                                <th>Module Name</th>
                                <th>Module Link</th>
                                <th>Module Icon</th>
                               <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(!empty($modules)): ?>
                            <?php $__currentLoopData = $modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$cc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e(anyFiled("MasterModule","module_name",$cc->parent_module)); ?></td>
                                <td><?php echo e($cc['module_name']); ?></td>
                                <td><?php echo e($cc['module_link']); ?></td>
                                <td><i class="<?php echo e($cc['module_icon']); ?>"></i></td>
                                <?php if($cc['status']=="Active"): ?>
                                <td><span class="label label-success"><?php echo e($cc['status']); ?></span></td>
                                <?php else: ?>
                                <td><span class="label label-danger"><?php echo e($cc['status']); ?></span></td>
                                <?php endif; ?>
                                <td><a style="float:left; margin-right:10px;" href="<?php echo e(route('moduleMaster', ['zid'=>$cc['id']])); ?>"><button type="button" class="btn btn-info btn-sm"><i class="ti-pencil"></i></button></a>
                                 <form method="post" action="<?php echo e(route('moduleMasterDelete',$cc['id'])); ?>">
                            <?php echo csrf_field(); ?>
                                <button type="submit" onclick="return confirm('Are you sure?')"  class="btn btn-warning btn-sm"><i class="ti-trash"></i></button>
                                </form></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
     <?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(function()
    {
        $('#module').DataTable();
    })
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/masters/module.blade.php ENDPATH**/ ?>