<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-12">
                <h4 class="text-white">Over All Gas Reco Report</h4>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Over All Gas Reco Report</li>
                </ol>
            </div>
            <div class="col-md-6 text-end">
                <!--<form class="app-search d-none d-md-block d-lg-block">
                    <input type="text" class="form-control" placeholder="Search &amp; enter">
                </form>-->
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <!-- Row -->
        <?php //print Session::get('code'); exit;
?>
        <?php
            $success = '';
            $error = '';
            if (Session::has('msg') && Session::has('code')) {
                if (Session::get('code') == 1) {
                    $success = Session::get('msg');
                } else {
                    $error = Session::get('msg');
                }
            }
            $myga=anyFiled("User","ga",Auth::user()->id);
        ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div style="color:red; font-weight:bold;"><?php echo e(isset($msg) ? $msg : ''); ?></div>
                        <form name="registration" action="<?php echo e(route('overAllGasRecoReport')); ?>" method="POST"
                            class="needs-validation" novalidate>
                            <?php echo e(csrf_field()); ?>

                            <div class="form-body">
                                <h3 class="card-title">Over All Gas Reco Report</h3>
                                <hr>
                                <input type="hidden" name="device" value="web">
                                <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->userId); ?>">
                                <div class="row">
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Date</label>
                                            <input type="date" name="date" id="date"
                                                required="true" class="form-control">
                                        </div>
                                    </div>
                                <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Districts</label>
                                            <select name="district" id="district"  class="form-control form-select">
                                                <option value="">--Select District--</option>
                                                <option value="Jodhpur">Jodhpur</option>
                                                <option value="Barmer">Barmer</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 p-t-30">
                                <button type="submit" name="submit" id="submit" value="Submit"
                                    class="btn btn-primary text-white"> <i class="fa fa-check"></i> Search</button>
                                    </div>
                                </div>
                        </form>
                        <!--Table Data-->
                            <div class="fixed-table-body"
                                style="overflow-x: scroll; overflow-y: auto; padding-bottom:20px; padding-right:10px;">
                                <table id="overall_gas_reco_report" class="table table-bordered table-striped nowrap"
                                    data-show-columns="true" data-height="300">
                                    <thead>
                                        <tr>
                                            <th>SL#</th>
                                            <th>Date</th>
                                            <th>PNG Sales SCM</th>
                                            <th>CNG Sales SCM</th>
                                            <th>MP Line Sales</th>
                                            <th>Total Sales SCM</th>
                                            <th>Total Purchase SCM</th>
                                            <th>Cumulative Sales SCM</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($finalData)): ?>
                                            <?php $__currentLoopData = $finalData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($loop->iteration); ?></td>
                                                    <td><?php echo e($value->input_date); ?></td>
                                                    <td><?php echo e($value->png_sales_scm); ?></td>
                                                    <td><?php echo e($value->cng_sales_scm); ?></td>
                                                    <td><?php echo e($value->mp_line_sales); ?></td>
                                                    <td><?php echo e($value->total_sales_in_scm); ?></td>
                                                    <td><?php echo e($value->total_purchase_in_scm); ?></td>
                                                    <td><?php echo e(cumulativeSalesInSCM($value->input_date)); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row -->
    </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<?php $__env->stopPush(); ?>
<!-- Include jQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Include Select2 JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        var table = $('#overall_gas_reco_report').DataTable();
    });
</script>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/gemini/public_html/agp_dpr/resources/views/dpr/dprOverAllGasRecoReport.blade.php ENDPATH**/ ?>